This file is generated automatically by
 
     cvs2cl -r -b -t --fsf -w --header <This header>
 
 cvs2cl version 2.67; distributed under the GNU GPL. 
 This script is available from  http://www.red-bean.com/cvs2cl/


2008-03-12 Wednesday 10:32  seiya

	* ChangeLog, install.rb, app/controllers/image_controller.rb,
	  app/controllers/knowledge_controller.rb,
	  app/views/analysis/_analysis_settings.rhtml,
	  app/views/analysis/_draw_settings.rhtml,
	  public/images/analyze.gif, public/images/drawbutton.gif,
	  public/javascripts/draw_method.js
	  (RELEASE_1_0.[1,1,1,1,1,1,1,1,1]):

	  * marge from trunk

2008-03-11 Tuesday 16:07  otsuka

	* public/images/: analyze.gif (1.1), drawbutton.gif (1.1) (utags:
	  marge_to_release_1_0): change draw button and analyze button to
	  images

2008-03-11 Tuesday 15:50  otsuka

	* app/views/analysis/: _analysis_settings.rhtml (1.10),
	  _draw_settings.rhtml (1.19) (utags: marge_to_release_1_0): change
	  draw button and analyze button to images

2008-03-10 Monday 02:19  otsuka

	* install.rb (1.25, marge_to_release_1_0):
	  * bug fix of config/*.yml configuration

2008-03-09 Sunday 22:11  horinout

	* app/controllers/image_controller.rb (1.3, marge_to_release_1_0):
	  * (correction to support mswin) Not to use File.read but to
	  explicitly open files with the 'rb' mode

2008-03-09 Sunday 21:29  otsuka

	* install.rb (1.24):
	  * bugfix for windows. now ENV is used to set proxy. rake runs with
	  rake.bat.

2008-03-09 Sunday 19:05  otsuka

	* install.rb (1.23): tentative workaround for windows and some
	  bugfix. may not workcvs update

2008-03-09 Sunday 17:31  horinout

	* install.rb (1.22):
	  * treatment of the "rails" command execution was corrected
	  (hopefully...)

2008-03-09 Sunday 16:11  horinout

	* install.rb (1.21): * (Minor re-odering) To set the default mswin
	  destination before asking the destination path

2008-03-09 Sunday 11:00  tomoba

	* app/controllers/knowledge_controller.rb (1.8,
	  marge_to_release_1_0):
	  * bugfix for sqlite3.

2008-03-08 Saturday 23:49  otsuka

	* install.rb (1.20): bugfix for proxy

2008-03-08 Saturday 23:29  otsuka

	* install.rb (1.19):
	  * use proxy if needed

2008-03-08 Saturday 13:53  seiya

	* public/javascripts/draw_method.js (1.1, marge_to_release_1_0):

	  * forgot to commit

2008-03-07 Friday 22:53  seiya

	* ChangeLog (1.5, marge_to_release_1_0, VERSION_1_0):

	  * release-1.0

2008-03-07 Friday 22:25  otsuka

	* install.rb (1.18, VERSION_1_0, VERSION_0_1, BASE_1_0): add new
	  plugin

2008-03-07 Friday 21:33  tomoba

	* public/javascripts/analysis.js (1.50, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0):
	  * deleted unnecessary method.

2008-03-07 Friday 21:29  tomoba

	* app/: controllers/analysis_controller.rb (1.104,
	  marge_to_release_1_0), views/analysis/_draw_settings.rhtml
	  (1.18), views/analysis/index.rhtml (1.46, marge_to_release_1_0)
	  (utags: BASE_1_0, VERSION_1_0): *
	  ログイン無しのモードのとき、analysis画面において 「Create a
	  Knowledge Document」ボタンが出ないようにしました。 (make "Create a
	  Knowledge Document" button disabled in analysis when login menu is
	  disabled.  )

2008-03-07 Friday 21:28  tomoba

	* app/views/knowledge/list.rhtml (1.12, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0):
	  * minor change.

2008-03-07 Friday 19:11  tomoba

	* app/controllers/knowledge_controller.rb (1.7, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), app/views/analysis/_draw_settings.rhtml
	  (1.17), app/views/analysis/index.rhtml (1.45),
	  app/views/knowledge/list.rhtml (1.11),
	  public/javascripts/analysis.js (1.49),
	  public/stylesheets/knowledge.css (1.4, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0): for Nishizawa san.

2008-03-07 Friday 18:31  seiya

	* public/javascripts/analysis.js (1.48):

	  * bugfix for rails-1.*

2008-03-07 Friday 15:52  tomoba

	* app/views/search/_children_details_tr.rhtml (1.20,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0):
	  * search 画面の変な表示を修正しました。 (fix a strange expression on
	  search.)

2008-03-07 Friday 13:27  tomoba

	* app/models/analysis.rb (1.59, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0):
	  *

	  Gfdnavi外で作られた絵を用いて知見情報を作成、閲覧できるようにしました。(enabled to make and show knowledge documents using figures that are
	  not made in Gfdnavi.)

2008-03-07 Friday 12:07  tomoba

	* app/models/node.rb (1.5, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0):
	  * allow find method to having a hash includes ":user" as its
	  argument for paginate.  (paginateのために、findメソッドが ":user"
	  を含むハッシュを 引数にとることができるようにしました。)

2008-03-07 Friday 09:29  tomoba

	* app/views/knowledge/: _form.rhtml (1.6, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), _layout0.rhtml (1.6,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  _layout1.rhtml (1.6, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), _layout2.rhtml (1.6,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  list.rhtml (1.10):
	  * Arrange source code.

2008-03-07 Friday 09:23  tomoba

	* app/models/node.rb (1.4):
	  * return node.rb to the previous state.

2008-03-07 Friday 04:03  tomoba

	* app/: controllers/knowledge_controller.rb (1.6), models/node.rb
	  (1.3):
	  * bugfix for knowledge.

2008-03-07 Friday 01:11  tomoba

	* app/views/knowledge/list.rhtml (1.9):
	  * bugfix.

2008-03-07 Friday 01:05  tomoba

	* app/views/knowledge/list.rhtml (1.8):
	  * bugfix.

2008-03-07 Friday 00:43  tomoba

	* app/views/knowledge/list.rhtml (1.7):
	  * Adapted to Rails 1.*

2008-03-07 Friday 00:22  otsuka

	* install.rb (1.17): bug fix

2008-03-06 Thursday 18:46  horinout

	* app/controllers/search_controller.rb (1.41, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0):
	  * Adapted to the node system

2008-03-06 Thursday 18:37  tomoba

	* app/models/analysis.rb (1.58):
	  * delete unnecessary print method.

2008-03-06 Thursday 18:34  tomoba

	* app/controllers/knowledge_controller.rb (1.5),
	  app/models/analysis.rb (1.57), app/models/knowledge.rb (1.3,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/knowledge_figure.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/knowledge/_form.rhtml (1.5),
	  app/views/knowledge/_layout0.rhtml (1.5),
	  app/views/knowledge/_layout1.rhtml (1.5),
	  app/views/knowledge/_layout2.rhtml (1.5),
	  app/views/knowledge/edit.rhtml (1.7, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/knowledge/list.rhtml (1.6),
	  app/views/knowledge/new.rhtml (1.7, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/knowledge/new_from_analysis.rhtml (1.3,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/knowledge/show.rhtml (1.6, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/layouts/gfdnavi.rhtml (1.28, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), public/images/new_knowledge.png (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/javascripts/knowledge.js (1.4, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/stylesheets/knowledge.css (1.3): *
	  知見情報に関する機能が動くようになりました。 それに伴い、メニューに
	  "Knowledge" を加えました。 (enable to function about knowledge and
	  add "Knowledge" to the menu.)

2008-03-06 Thursday 18:28  tomoba

	* db/migrate/001_initial_scheme.rb (1.29, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0):
	  * nodes テーブルに対応するため knowledges, knowledge_figures
	  テーブルの column を変えました (Change knowledges table and
	  knowledge_figures table to correspond to nodes table.)

2008-03-06 Thursday 17:32  tomoba

	* app/controllers/analysis_controller.rb (1.103):
	  * bugfix

2008-03-06 Thursday 17:31  otsuka

	* install.rb (1.16): bugfix for windows

2008-03-06 Thursday 17:00  seiya

	* lib/vizshot_gfdnavi.rb (1.13, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0):

	  * bugfix

2008-03-06 Thursday 13:13  seiya

	* db/register_directory_tree.rb (1.58, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0):

	  * bugfix for Windows

2008-03-06 Thursday 13:03  seiya

	* app/models/variable.rb (1.46, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), app/views/search/_children_details_tr.rhtml (1.19),
	  lib/vizshot_gfdnavi.rb (1.12):

	  * bugfix

2008-03-06 Thursday 01:10  otsuka

	* install.rb (1.15): bug fix

2008-03-06 Thursday 00:59  otsuka

	* install.rb (1.14): installer updated

2008-03-04 Tuesday 21:33  seiya

	* db/functions/mean.yml (1.3, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), public/javascripts/analysis.js (1.47):

	  * bugfix

2008-03-03 Monday 20:51  seiya

	* app/models/analysis.rb (1.56):

	  * remove redundancy code

2008-03-03 Monday 18:31  seiya

	* app/models/analysis.rb (1.55),
	  app/views/analysis/_dimension_option.rhtml (1.17,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  lib/execute_analysis.rb (1.16, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), public/javascripts/analysis.js (1.46):

	  * bugfix

2008-03-01 Saturday 09:44  seiya

	* app/apis/webservice_analysis_api.rb (1.8, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/controllers/analysis_controller.rb (1.102),
	  app/controllers/application.rb (1.13, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/controllers/description_controller.rb
	  (1.19, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/controllers/draw_method_controller.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/controllers/explorer_controller.rb (1.3,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/controllers/function_controller.rb (1.9,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/controllers/group_controller.rb (1.4, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/controllers/image_controller.rb (1.2,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/controllers/node_controller.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/controllers/search_controller.rb (1.40),
	  app/controllers/user_controller.rb (1.13, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/controllers/work_flow_controller.rb
	  (1.10, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/helpers/application_helper.rb (1.6, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/helpers/search_helper.rb (1.5,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/models/analysis.rb (1.54), app/models/directory.rb (1.29,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/models/draw_method.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/draw_method_attribute.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/models/draw_parameter.rb
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/explorer_result.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/models/function.rb
	  (1.15, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/models/function_argument.rb (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/models/group.rb (1.7,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/models/group_member.rb (1.2), app/models/image.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/keyword_attribute.rb (1.13, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/models/knowledge.rb (1.2),
	  app/models/node.rb (1.2), app/models/node_entity_abstract.rb
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/node_relation.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/models/path_node.rb
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/query.rb (1.21, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), app/models/results.rb (1.4, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/models/sign_up_user.rb
	  (1.2, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/models/spatial_and_time_attribute.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/models/spatial_attribute.rb (1.2), app/models/type.rb (1.2),
	  app/models/user.rb (1.8, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), app/models/value_type.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/models/variable.rb
	  (1.45), app/models/variable_relation.rb (1.2),
	  app/views/analysis/_analysis_function_settings.rhtml (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/analysis/_analysis_settings.rhtml (1.9, VERSION_1_0,
	  BASE_1_0), app/views/analysis/_diagram.rhtml (1.15,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/analysis/_draw_general_settings.rhtml (1.10,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/analysis/_draw_line_settings.rhtml (1.2),
	  app/views/analysis/_draw_settings.rhtml (1.16),
	  app/views/analysis/_draw_tone_settings.rhtml (1.8),
	  app/views/analysis/_draw_vector_settings.rhtml (1.3),
	  app/views/analysis/_variables.rhtml (1.18, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/analysis/_variables_order.rhtml
	  (1.2, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/analysis/preview.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/analysis/save.rhtml (1.10, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/description/_ancestors.rhtml
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/description/_mode.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/description/directory.rhtml (1.9, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/description/variable.rhtml
	  (1.18, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/draw_method/_edit_form.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/draw_method/create.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/draw_method/details.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/draw_method/edit.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/draw_method/list.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/explorer/_display_map.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/explorer/_show_result_tree.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/explorer/_show_results.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/explorer/_style.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/explorer/index.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/function/_edit_form.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/function/create.rhtml (1.5, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/function/details.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/function/edit.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/function/list.rhtml (1.4, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/group/change_owner.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/group/delete_member.rhtml (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/group/list.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/layouts/gfdnavi.rhtml (1.27),
	  app/views/node/change_mode.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/search/_children.rhtml (1.15, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), app/views/search/_children_details.rhtml
	  (1.16, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/search/_children_details_tr.rhtml (1.18),
	  app/views/search/_show_grouplist.rhtml (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/search/create_tree.rhtml (1.4, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/views/search/index.rhtml
	  (1.6, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  app/views/search/show_details.rhtml (1.3, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), app/views/user/index.rhtml
	  (1.9, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  config/environment.rb (1.21, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), config/gfdnavi.yml.example (1.12,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  config/load_config.rb (1.11, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), db/dump_db.rb (1.3, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), db/function_defaults.yml (1.9),
	  db/register_directory_tree.rb (1.57), db/register_variables.rb
	  (1.4), db/restore_db.rb (1.3, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), db/draw_methods/line.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  db/draw_methods/scatter.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), db/draw_methods/tone.yml
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  db/draw_methods/vector.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), db/functions/additions.yml
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  db/functions/cut.yml (1.2, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), db/functions/division.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  db/functions/mean.yml (1.2), db/functions/multiplication.yml
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  db/functions/stddev.yml (1.2, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), db/functions/subtraction.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  db/migrate/001_initial_scheme.rb (1.28), db/migrate/002_rel01.rb
	  (1.5), lib/activerecord_gfdnavi.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), lib/execute_analysis.rb
	  (1.15), lib/file_gfdnavi.rb (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), lib/localdir.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  lib/login_system.rb (1.5, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), lib/multibytes.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), lib/narray_yaml.rb (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0), lib/opendapdir.rb
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  lib/rdb_concat.rb (1.2), lib/tar.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), lib/vizshot_gfdnavi.rb (1.11),
	  lib/tasks/setup.rake (1.22, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), public/data/samples/jmadata.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/jmadata/MSM-P/2006.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/jmadata/MSM-P/2006/0101.nc.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/reanalysis/era40.SIGEN (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/reanalysis/ncep/T.jan.100hPa.png (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/reanalysis/ncep/T.jan.100hPa.png.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/reanalysis/ncep/T.jan.zonal_mean.nc (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/reanalysis/ncep/T.jan.zonal_mean.nc.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/data/samples/reanalysis/ncep/UV.jan.nc.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/images/map_icon_g.gif (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), public/images/map_icon_r.gif
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  public/javascripts/analysis.js (1.45),
	  public/javascripts/directory_tree.js (1.14, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), public/javascripts/function.js (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0), script/server_ssl
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/diagram_cache_data.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/fixtures/diagram_cache_sessions.yml
	  (1.2, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/fixtures/diagram_caches.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/fixtures/directories.yml (1.8,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/fixtures/draw_parameters.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/function_arguments.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/fixtures/function_outputs.yml (1.3,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/fixtures/functions.yml (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/fixtures/group_members.yml (1.5,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/fixtures/groups.yml (1.3, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), test/fixtures/images.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/keyword_attributes.yml (1.8, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/fixtures/knowledges.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/node_relations.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), test/fixtures/nodes.yml
	  (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/spatial_and_time_attributes.yml (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/spatial_attributes.yml (1.4),
	  test/fixtures/types.yml (1.2), test/fixtures/users.yml (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/fixtures/value_types.yml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/fixtures/variable_relations.yml (1.2),
	  test/fixtures/variables.yml (1.9, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/unit/diagram_cache_test.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/unit/directory_test.rb (1.9, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/unit/function_test.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/unit/group_member_test.rb (1.2), test/unit/group_test.rb
	  (1.2, marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/unit/image_test.rb (1.2, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0), test/unit/keyword_attribute_test.rb (1.5,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/unit/knowledge_test.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/unit/node_relation_test.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0), test/unit/node_test.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/unit/spatial_and_time_attribute_test.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/unit/spatial_attribute_test.rb (1.2), test/unit/type_test.rb
	  (1.2), test/unit/user_mailer_test.rb (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), test/unit/user_test.rb (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0),
	  test/unit/value_type_test.rb (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0),
	  test/unit/variable_relation_test.rb (1.2),
	  test/unit/variable_test.rb (1.6, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0):

	  * marged from BRANCH_NODE
	  * somo fixs

2008-02-28 Thursday 16:28  seiya

	* app/: controllers/search_controller.rb, models/query.rb
	  (BRANCH_NODE.[15,1]) (utags: MARGE_TO_TRUNK_0):

	  * enable to work search

2008-02-26 Tuesday 16:30  seiya

	* app/views/analysis/_diagram.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.2):

	  * bugfix
	    * image does not change in analysis page with rails-2.0

2008-02-22 Friday 12:30  seiya

	* app/controllers/node_controller.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.2):

	  * remove debuging code

2008-02-22 Friday 12:28  seiya

	* db/register_directory_tree.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.17):

	  * support other_mode in yaml file

2008-02-18 Monday 12:09  seiya

	* app/: controllers/user_controller.rb, models/user.rb,
	  views/user/index.rhtml (BRANCH_NODE.[3,4,2]) (utags:
	  MARGE_TO_TRUNK_0):

	  * enable to edit user information

2008-02-17 Sunday 11:26  seiya

	* app/: controllers/group_controller.rb, models/group.rb,
	  models/node.rb (BRANCH_NODE.[8,10,54]) (utags: MARGE_TO_TRUNK_0):

	  * bugfix

2008-02-16 Saturday 18:08  tomoba

	* app/controllers/group_controller.rb (BRANCH_NODE.7): *
	  グループを作れないバグを直しました。 (Fix a bug that groups cannot
	  be created.)

2008-02-16 Saturday 15:48  seiya

	* db/register_directory_tree.rb, lib/localdir.rb (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[16,6]):

	  * do not open file if it is not necessary

2008-02-16 Saturday 12:58  seiya

	* app/: controllers/analysis_controller.rb,
	  controllers/application.rb, views/analysis/_variables.rhtml
	  (BRANCH_NODE.[18,4,6]) (utags: MARGE_TO_TRUNK_0):

	  * enable upload file in analysis page when users log in

2008-02-16 Saturday 00:38  seiya

	* db/register_variables.rb (BRANCH_NODE.1):

	  * remove obsolute file

2008-02-16 Saturday 00:36  seiya

	* db/register_directory_tree.rb (BRANCH_NODE.15):

	  * bugfix

2008-02-16 Saturday 00:27  seiya

	* app/controllers/analysis_controller.rb,
	  db/register_directory_tree.rb (BRANCH_NODE.[17,14]):

	  * enable to add draw_parametes option to directory nodes

2008-02-16 Saturday 00:06  seiya

	* app/models/analysis.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/node.rb, db/register_directory_tree.rb
	  (BRANCH_NODE.[12,53,13]):

	  * bugfix for sqlite3

2008-02-15 Friday 16:09  seiya

	* public/javascripts/directory_tree.js (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.4):

	  * bugfix

2008-02-15 Friday 14:14  seiya

	* app/models/analysis.rb (BRANCH_NODE.11):

	  * bugfix for draw spesific settings

2008-02-15 Friday 12:37  seiya

	* app/: controllers/search_controller.rb, models/node.rb
	  (BRANCH_NODE.[14,52]):

	  * open top directory in directory tree in search page, when number
	  of top directory is one
	  * bugfix for sqlite3

2008-02-13 Wednesday 18:45  seiya

	* app/: controllers/analysis_controller.rb, models/variable.rb
	  (tags: MARGE_TO_TRUNK_0), views/analysis/_diagram.rhtml,
	  views/analysis/_variables.rhtml (BRANCH_NODE.[16,11,1,5]):

	  * disable to download data which is created from data which is
	  disabled to download

2008-02-13 Wednesday 14:45  seiya

	* app/: models/node.rb, views/search/_children.rhtml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[51,9]):

	  * add methods; Node#have_(entity_name)_nodes?

2008-02-12 Tuesday 19:03  seiya

	* app/models/keyword_attribute.rb (tags: MARGE_TO_TRUNK_0),
	  db/register_directory_tree.rb (BRANCH_NODE.[6,12]):

	  * bugfix

2008-02-07 Thursday 15:45  tomoba

	* app/views/knowledge/_layout3.rhtml (1.1),
	  public/images/create_from_analysis_button.png (1.1),
	  public/images/down.png (1.1), public/images/up.png (1.1),
	  public/images/white.bmp (1.1) (utags: BASE_1_0, BASE_OLD_TRUNK_0,
	  VERSION_0_1, VERSION_1_0, marge_to_release_1_0): [no log message]

2008-02-07 Thursday 15:43  tomoba

	* app/controllers/analysis_controller.rb (1.101),
	  app/controllers/description_controller.rb (1.18),
	  app/controllers/knowledge_controller.rb (1.4),
	  app/views/analysis/_diagram.rhtml (1.14),
	  app/views/analysis/_draw_settings.rhtml (1.15),
	  app/views/analysis/index.rhtml (1.44),
	  app/views/description/variable.rhtml (1.17),
	  app/views/knowledge/_form.rhtml (1.4),
	  app/views/knowledge/_knowledge_figure_form.rhtml (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0),
	  app/views/knowledge/_layout0.rhtml (1.4),
	  app/views/knowledge/_layout1.rhtml (1.4),
	  app/views/knowledge/_layout2.rhtml (1.4),
	  app/views/knowledge/edit.rhtml (1.6),
	  app/views/knowledge/list.rhtml (1.5),
	  app/views/knowledge/new.rhtml (1.6),
	  app/views/knowledge/new_from_analysis.rhtml (1.2),
	  app/views/knowledge/show.rhtml (1.5),
	  app/views/layouts/gfdnavi.rhtml (1.26),
	  app/views/search/_children_details_tr.rhtml (1.17),
	  public/index.html (1.4, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0), public/javascripts/analysis.js (1.44),
	  public/javascripts/knowledge.js (1.3),
	  public/stylesheets/analysis.css (1.21, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0), public/stylesheets/knowledge.css (1.2),
	  public/stylesheets/search.css (1.6, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0) (utags: BASE_OLD_TRUNK_0): *
	  知見情報を作成する際の入力フォームにおいて、
	  入力する絵の順序を入れ替える up & down ボタンと 絵を削除する x
	  ボタンを実装しました。 (Implement up and down button to swap figures
	  and x button to delete a figure at input form to create a knowledge
	  document.)

2008-02-06 Wednesday 21:43  seiya

	* app/controllers/search_controller.rb, app/models/node.rb,
	  app/models/variable.rb, app/views/analysis/_variables.rhtml,
	  db/register_directory_tree.rb,
	  public/data/samples/jmadata/MSM-P/2006.yml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[13,50,10,4,11,3]):

	  * enable aggregation
	    * change form in yaml file: use aggregate in gfdnavi

2008-02-06 Wednesday 17:59  seiya

	* app/models/keyword_attribute.rb (BRANCH_NODE.5):

	  * bugfix

2008-02-06 Wednesday 17:54  seiya

	* app/models/keyword_attribute.rb (BRANCH_NODE.4):

	  * reduce SQL call in KeywordAttribute.find_by_stdname

2008-02-06 Wednesday 17:40  seiya

	* app/controllers/description_controller.rb (tags:
	  MARGE_TO_TRUNK_0), app/controllers/group_controller.rb,
	  app/controllers/search_controller.rb, app/models/directory.rb
	  (tags: MARGE_TO_TRUNK_0), app/models/node.rb,
	  app/models/node_entity_abstract.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/variable.rb, lib/login_system.rb (tags:
	  MARGE_TO_TRUNK_0), lib/tar.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[6,6,12,5,49,11,9,1,1]):

	  * remove 'def method_missing' from node_entity_abstract class

2008-02-06 Wednesday 16:41  seiya

	* app/controllers/search_controller.rb, app/models/node.rb,
	  app/views/search/_children.rhtml,
	  app/views/search/create_tree.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/search/index.rhtml (tags: MARGE_TO_TRUNK_0),
	  public/javascripts/directory_tree.js
	  (BRANCH_NODE.[11,48,8,4,3,3]):

	  * enable to show a specific directory when the search page is opened
	    * e.g. search/index?path=/samples
	  * reduce number of Ajax call when the search page is opened
	  * bugfix

2008-02-05 Tuesday 21:58  seiya

	* app/: controllers/analysis_controller.rb,
	  controllers/draw_method_controller.rb (tags: MARGE_TO_TRUNK_0),
	  controllers/function_controller.rb (tags: MARGE_TO_TRUNK_0),
	  controllers/group_controller.rb, controllers/user_controller.rb,
	  models/group.rb, models/keyword_attribute.rb, models/node.rb,
	  models/node_entity_abstract.rb, models/sign_up_user.rb (tags:
	  MARGE_TO_TRUNK_0),
	  views/analysis/_analysis_function_settings.rhtml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[15,3,7,5,2,9,3,47,10,1,5]):

	  * change find_by_*(+) to find(:first,:conditions=>["*=?",+])

2008-02-05 Tuesday 19:37  seiya

	* lib/vizshot_gfdnavi.rb (tags: MARGE_TO_TRUNK_0) (BRANCH_NODE.8):

	  * bugfix for sqlite3

2008-02-05 Tuesday 11:15  seiya

	* app/models/keyword_attribute.rb, db/register_directory_tree.rb
	  (BRANCH_NODE.[2,10]):

	  * minor change in handling keyword_attributes

2008-02-05 Tuesday 10:53  seiya

	* app/models/directory.rb, db/register_directory_tree.rb,
	  db/migrate/001_initial_scheme.rb (tags: MARGE_TO_TRUNK_0),
	  public/data/samples/reanalysis/era40.SIGEN (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[4,9,20,1]):

	  * add 'downloadable' column to directories table

2008-02-04 Monday 21:28  seiya

	* db/register_directory_tree.rb (BRANCH_NODE.8):

	  * minor change

2008-02-04 Monday 16:45  seiya

	* db/register_directory_tree.rb, lib/localdir.rb
	  (BRANCH_NODE.[7,5]):

	  * changes for handling nusdas

2008-02-04 Monday 14:34  seiya

	* db/register_directory_tree.rb (BRANCH_NODE.6):

	  * suport nusdas

2008-02-03 Sunday 23:41  seiya

	* app/: controllers/search_controller.rb, helpers/search_helper.rb
	  (tags: MARGE_TO_TRUNK_0), models/node.rb,
	  views/search/_children.rhtml,
	  views/search/_children_details_tr.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[10,3,46,7,7]):

	  * reduce SQL call in directory tree

2008-02-03 Sunday 22:44  seiya

	* app/views/search/_children.rhtml,
	  public/javascripts/directory_tree.js (BRANCH_NODE.[6,2]):

	  * minor change and bugfix in directory tree

2008-02-02 Saturday 13:25  seiya

	* lib/execute_analysis.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.13):

	  * change to use MD5 hexdigest as directory name for work and diagram

2008-02-02 Saturday 13:10  seiya

	* config/environment.rb (tags: MARGE_TO_TRUNK_0) (BRANCH_NODE.4):

	  * change to use pstore for session_store
	    * for rails-1.* pstore is default

2008-02-01 Friday 23:20  seiya

	* config/environment.rb (BRANCH_NODE.3):

	  * bugfix for rails-1.*

2008-02-01 Friday 16:07  seiya

	* app/helpers/application_helper.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/node.rb, config/environment.rb,
	  config/gfdnavi.yml.example (tags: MARGE_TO_TRUNK_0),
	  config/load_config.rb (tags: MARGE_TO_TRUNK_0), db/dump_db.rb
	  (tags: MARGE_TO_TRUNK_0), lib/execute_analysis.rb,
	  lib/file_gfdnavi.rb (tags: MARGE_TO_TRUNK_0),
	  lib/tasks/setup.rake (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[1,45,2,2,4,3,12,1,8]):

	  * changes for rails-2.*
	    * there still remains big probrem cookie size

2008-01-31 Thursday 16:41  seiya

	* app/models/node.rb (BRANCH_NODE.44):

	  * change to use cache in finding children entities in Node
	    * directory_nodes, directories, and so

2008-01-24 Thursday 14:48  seiya

	* app/controllers/analysis_controller.rb, app/models/node.rb,
	  app/models/node_entity_abstract.rb,
	  db/register_directory_tree.rb, db/migrate/001_initial_scheme.rb,
	  public/data/samples/reanalysis/ncep/T.jan.100hPa.png.yml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[14,43,9,5,19,2]):

	  * add column 'vizshot' to images table

2008-01-24 Thursday 13:37  seiya

	* app/models/node_entity_abstract.rb (BRANCH_NODE.8):

	  * bugfix

2007-12-30 Sunday 15:39  seiya

	* app/: controllers/description_controller.rb,
	  controllers/node_controller.rb, controllers/search_controller.rb,
	  models/group.rb, models/node.rb, models/node_entity_abstract.rb,
	  views/description/_mode.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/description/directory.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/description/variable.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/node/change_mode.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[5,1,9,8,42,7,1,2,3,1]):

	  * enable to change mode of node; other_mode, rgroups, and wgroups

2007-12-30 Sunday 12:30  seiya

	* app/models/analysis.rb (BRANCH_NODE.10):

	  * bugfix: axes were transposed unexpectively

2007-12-30 Sunday 12:05  seiya

	* app/models/node.rb (BRANCH_NODE.41):

	  * bugfix

2007-12-29 Saturday 21:35  seiya

	* app/models/node.rb, lib/activerecord_gfdnavi.rb (tags:
	  MARGE_TO_TRUNK_0), lib/vizshot_gfdnavi.rb (BRANCH_NODE.[40,3,7]):

	  * bugfix for sqlite

2007-12-28 Friday 21:14  chiemi

	* app/views/explorer/: _display_map.rhtml, _show_result_tree.rhtml,
	  _show_results.rhtml, index.rhtml (BRANCH_NODE.[2,1,2,4]) (utags:
	  MARGE_TO_TRUNK_0): display query result by tree

2007-12-28 Friday 21:10  chiemi

	* app/: controllers/explorer_controller.rb,
	  models/explorer_result.rb, models/path_node.rb
	  (BRANCH_NODE.[3,2,1]) (utags: MARGE_TO_TRUNK_0): update explorer
	  query interface

2007-12-28 Friday 21:09  chiemi

	* db/migrate/001_initial_scheme.rb (BRANCH_NODE.18): modify
	  query_history table

2007-12-22 Saturday 13:38  chiemi

	* app/views/explorer/index.rhtml (BRANCH_NODE.3): modify keyword
	  list menu and bug fix

2007-12-22 Saturday 13:30  chiemi

	* app/controllers/explorer_controller.rb (BRANCH_NODE.2): bugfix

2007-12-21 Friday 15:35  horinout

	* app/views/explorer/index.rhtml (BRANCH_NODE.2):
	  * bugfix (treatment of nil)

2007-12-21 Friday 14:55  horinout

	* app/models/node.rb (BRANCH_NODE.39):
	  * Node.find (class method) : changed not to use a subquery to see
	    the condition to read.
	  * Added a new class method Node.conditions_to_read, which generates
	    a piece of SQL statement to inspect wheather a Node is readable or
	    not.  This method is used in Node.find. Also, you can use it along
	    with Node.find_by_sql. In that case, you should explicitly add the
	    result from Node.conditions_to_read if not nil.

2007-12-20 Thursday 22:43  chiemi

	* app/views/explorer/_style.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.1): add _style.rhtml.

2007-12-20 Thursday 19:51  chiemi

	* app/models/explorer_result.rb (BRANCH_NODE.1): rename result.rb
	  to explorer_result.rb

2007-12-20 Thursday 19:49  chiemi

	* app/views/explorer/_show_results.rhtml (BRANCH_NODE.1): add
	  _show_results.rhtml

2007-12-20 Thursday 19:48  chiemi

	* app/views/explorer/_display_map.rhtml (BRANCH_NODE.1): add
	  display_map.rhtml

2007-12-20 Thursday 18:33  horinout

	* app/: controllers/description_controller.rb, models/node.rb
	  (BRANCH_NODE.[4,38]):
	  * Node#fname : file --> self.file (don"t know why, but it works)
	  * deleted update_permission_of_user_directory

2007-12-20 Thursday 18:02  chiemi

	* app/views/explorer/index.rhtml (BRANCH_NODE.1): update explorer
	  interface

2007-12-20 Thursday 17:42  chiemi

	* app/controllers/explorer_controller.rb (BRANCH_NODE.1): update
	  explorer_controller.rb

2007-12-18 Tuesday 17:59  seiya

	* app/models/analysis.rb,
	  app/views/analysis/_draw_general_settings.rhtml (tags:
	  MARGE_TO_TRUNK_0), lib/execute_analysis.rb
	  (BRANCH_NODE.[9,4,11]):

	  * enable to draw one diagram piled up graphs of selected variables

2007-12-18 Tuesday 17:11  seiya

	* app/: controllers/analysis_controller.rb,
	  views/analysis/_variables.rhtml (BRANCH_NODE.[13,3]):

	  * sort variables in analysis page by name and path

2007-12-18 Tuesday 13:37  seiya

	* app/: controllers/analysis_controller.rb,
	  controllers/draw_method_controller.rb,
	  controllers/function_controller.rb,
	  views/draw_method/_edit_form.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/function/_edit_form.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[12,2,6,2,3]):

	  * create button to create default html

2007-12-18 Tuesday 12:23  seiya

	* app/: controllers/draw_method_controller.rb,
	  controllers/function_controller.rb,
	  views/draw_method/_edit_form.rhtml,
	  views/draw_method/create.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/draw_method/details.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/draw_method/edit.rhtml (tags: MARGE_TO_TRUNK_0),
	  views/draw_method/list.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[1,5,1,1,1,1,1]):

	  * add files which were forgotten to add
	  * add check of html

2007-12-18 Tuesday 11:31  seiya

	* app/: models/node.rb, views/analysis/preview.rhtml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[37,1]):

	  * add file which was forgotten to add
	  * bugfix

2007-12-17 Monday 19:52  seiya

	* app/controllers/analysis_controller.rb,
	  app/controllers/function_controller.rb, app/models/node.rb,
	  app/views/analysis/_analysis_function_settings.rhtml,
	  app/views/function/_edit_form.rhtml, db/functions/mean.yml (tags:
	  MARGE_TO_TRUNK_0), db/functions/stddev.yml (tags:
	  MARGE_TO_TRUNK_0), db/migrate/001_initial_scheme.rb,
	  lib/execute_analysis.rb, lib/tasks/setup.rake,
	  public/javascripts/analysis.js (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[11,4,36,4,2,3,3,17,10,7,5]):

	  * add column to functions
	    * setting_html
	  * enable to preview setting html in create or edit page of function
	  and draw_met hod
	  * change rgroups of user direcotry after create or update node of
	  function or draw_method

2007-12-17 Monday 00:05  seiya

	* app/controllers/function_controller.rb, app/models/draw_method.rb
	  (tags: MARGE_TO_TRUNK_0), app/models/draw_method_attribute.rb
	  (tags: MARGE_TO_TRUNK_0), app/models/function.rb (tags:
	  MARGE_TO_TRUNK_0), app/views/analysis/_draw_line_settings.rhtml,
	  app/views/analysis/_draw_scatter_settings.rhtml,
	  app/views/analysis/_draw_settings.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/analysis/_draw_tone_settings.rhtml,
	  app/views/analysis/_draw_vector_settings.rhtml,
	  app/views/function/details.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/function/edit.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/function/list.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/layouts/gfdnavi.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/user/index.rhtml, db/register_tmp.rb,
	  db/draw_methods/line.yml (tags: MARGE_TO_TRUNK_0),
	  db/draw_methods/scatter.yml (tags: MARGE_TO_TRUNK_0),
	  db/draw_methods/tone.yml (tags: MARGE_TO_TRUNK_0),
	  db/draw_methods/vector.yml (tags: MARGE_TO_TRUNK_0),
	  db/migrate/001_initial_scheme.rb, lib/tasks/setup.rake
	  (BRANCH_NODE.[3,3,2,3,1,2,2,2,2,2,2,3,1,1,4,3,3,3,3,16,6]):

	  * add columns to draw_methods table
	    * setting_html
	    * default
	  * add column to function table
	    * default
	  * change to create yaml file when new function or draw_method is
	  created
	  * change to regist functions and draw_method at user directory

2007-12-16 Sunday 14:00  seiya

	* app/models/variable.rb, lib/execute_analysis.rb,
	  test/fixtures/diagram_cache_data.yml (tags: MARGE_TO_TRUNK_0),
	  test/fixtures/diagram_cache_sessions.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/diagram_caches.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/draw_parameters.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/function_arguments.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/function_outputs.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/functions.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/knowledges.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/nodes.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/spatial_and_time_attributes.yml
	  (tags: MARGE_TO_TRUNK_0), test/fixtures/spatial_attributes.yml,
	  test/fixtures/types.yml, test/fixtures/value_types.yml (tags:
	  MARGE_TO_TRUNK_0), test/unit/diagram_cache_test.rb (tags:
	  MARGE_TO_TRUNK_0), test/unit/function_test.rb (tags:
	  MARGE_TO_TRUNK_0), test/unit/knowledge_test.rb (tags:
	  MARGE_TO_TRUNK_0), test/unit/node_test.rb (tags:
	  MARGE_TO_TRUNK_0), test/unit/spatial_and_time_attribute_test.rb
	  (tags: MARGE_TO_TRUNK_0), test/unit/user_mailer_test.rb (tags:
	  MARGE_TO_TRUNK_0), test/unit/value_type_test.rb (tags:
	  MARGE_TO_TRUNK_0), test/unit/variable_test.rb (tags:
	  MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[8,9,1,1,1,1,1,1,1,1,10,1,1,1,1,1,1,2,13,2,1,2,3]):

	  * changes for all unit tests to success

2007-12-16 Sunday 11:41  seiya

	* app/models/node.rb (BRANCH_NODE.35):

	  * change not to create yaml when Node create if it not necessary

2007-12-15 Saturday 23:57  seiya

	* app/controllers/function_controller.rb,
	  app/controllers/group_controller.rb, app/models/node.rb,
	  app/views/function/_edit_form.rhtml,
	  app/views/function/create.rhtml (tags: MARGE_TO_TRUNK_0),
	  app/views/function/details.rhtml, app/views/function/edit.rhtml,
	  app/views/function/list.rhtml,
	  app/views/group/delete_member.rhtml (tags: MARGE_TO_TRUNK_0),
	  public/javascripts/function.js (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[2,4,34,1,2,1,1,2,2,1]):

	  * enable edit function

2007-12-15 Saturday 20:11  seiya

	* app/views/group/change_owner.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.1):

	  * forgot add file

2007-12-15 Saturday 19:21  seiya

	* app/: controllers/group_controller.rb, models/group.rb,
	  views/group/delete_member.rhtml, views/group/list.rhtml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[3,7,1,3]):

	  * enable to change owner of group

2007-12-14 Friday 13:25  horinout

	* db/register_directory_tree.rb (BRANCH_NODE.4):
	  * enhanced to register image files

2007-12-14 Friday 13:25  horinout

	* lib/: localdir.rb, opendapdir.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[4,5]):
	  * added a new method each_file. (and ommented out unused method
	  plain_file_paths)

2007-12-14 Friday 11:32  horinout

	* app/models/node.rb (BRANCH_NODE.33):
	  * bugfix (option passing in #{pluralized_name} methods such as
	  directories, variables)

2007-12-14 Friday 09:41  horinout

	* app/: controllers/description_controller.rb,
	  views/search/_children_details_tr.rhtml (BRANCH_NODE.[3,6]):
	  * Corrected download link to opendap data

2007-12-14 Friday 09:40  horinout

	* app/models/node.rb (BRANCH_NODE.32):
	  * added a new method "opendap?", which is currently equivalent to
	  "remote?"

2007-12-13 Thursday 22:10  horinout

	* app/: controllers/function_controller.rb,
	  views/function/create.rhtml, views/function/list.rhtml
	  (BRANCH_NODE.[1,1,1]):
	  * adapted to the node system : function user definition and listing

2007-12-13 Thursday 22:09  horinout

	* app/models/node.rb (BRANCH_NODE.31):
	  * added a new class method make_user_directory (ref:
	  analysis/save.rhtml)

2007-12-13 Thursday 22:06  horinout

	* db/restore_db.rb (tags: MARGE_TO_TRUNK_0) (BRANCH_NODE.3):
	  * bugfix (restore super user)

2007-12-13 Thursday 18:20  horinout

	* app/: controllers/group_controller.rb, views/group/list.rhtml
	  (BRANCH_NODE.[2,2]):
	  * updated

2007-12-13 Thursday 14:49  horinout

	* app/views/analysis/_analysis_function_settings.rhtml
	  (BRANCH_NODE.3):
	  * avoid error even when no function is available

2007-12-13 Thursday 08:50  chiemi

	* public/images/: map_icon_r.gif, map_icon_g.gif
	  (BRANCH_NODE.[1,1]) (utags: MARGE_TO_TRUNK_0): add icon image

2007-12-13 Thursday 08:49  chiemi

	* app/views/search/_show_grouplist.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.1): change icon images on google map

2007-12-12 Wednesday 23:44  horinout

	* app/models/node.rb (BRANCH_NODE.30):
	  * minor bugfix

2007-12-12 Wednesday 23:29  horinout

	* test/unit/node_test.rb (BRANCH_NODE.12):
	  * commented out a test printing, since all tests pass now.

2007-12-12 Wednesday 23:25  horinout

	* app/models/node.rb (BRANCH_NODE.29):
	  * redefined parent not to depend on user.

2007-12-12 Wednesday 23:23  horinout

	* test/unit/directory_test.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.5):
	  * bugfix. --- It is (at least now) the second arg to specify :user
	  in children

2007-12-12 Wednesday 22:20  horinout

	* test/unit/node_test.rb (BRANCH_NODE.11):
	  * sorry. minor change again.

2007-12-12 Wednesday 22:09  horinout

	* test/unit/node_test.rb (BRANCH_NODE.10):
	  * minor change

2007-12-12 Wednesday 22:00  horinout

	* app/models/node.rb, db/migrate/001_initial_scheme.rb,
	  test/fixtures/nodes.yml, test/unit/node_test.rb
	  (BRANCH_NODE.[28,15,9,9]):
	  * Support preprocessing of read permision.
	    (So far, find has not been changed. Thus, iI only added columns
	    and methods for before_creation / (before|after)_update.)

2007-12-12 Wednesday 21:51  horinout

	* db/register_directory_tree.rb (BRANCH_NODE.3):
	  * new option (--clear-tree)

2007-12-12 Wednesday 20:14  horinout

	* db/restore_db.rb (BRANCH_NODE.2):
	  * Allow one to specify the restoration file as an argument

2007-12-12 Wednesday 20:05  horinout

	* lib/tasks/setup.rake (BRANCH_NODE.5):
	  * bugfix

2007-12-12 Wednesday 19:24  horinout

	* db/dump_db.rb (BRANCH_NODE.2):
	  * bugfix (yyyymmHHdd... -> yyyymmddHH...)

2007-12-12 Wednesday 19:13  horinout

	* db/restore_db.rb (BRANCH_NODE.1):
	  * Changed to restore the ids in DB

2007-12-12 Wednesday 15:15  seiya

	* app/models/analysis.rb, lib/tasks/setup.rake,
	  public/data/samples/jmadata/MSM-P/2006.yml,
	  public/data/samples/jmadata/MSM-P/2006/0101.nc.yml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[8,4,2,1]):

	  * change to make valid draw_parameter option in yaml

2007-12-12 Wednesday 14:37  seiya

	* app/models/node.rb, db/register_directory_tree.rb
	  (BRANCH_NODE.[27,2]):

	  * bugfix

2007-12-11 Tuesday 20:45  horinout

	* app/controllers/analysis_controller.rb (BRANCH_NODE.10):
	  * bugfix

2007-12-11 Tuesday 20:30  horinout

	* app/views/: analysis/_variables.rhtml,
	  search/_children_details.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[2,6]):
	  * adapted to the node system : to use :action=>"node" for
	  :controller => "description"

2007-12-11 Tuesday 14:19  horinout

	* app/: controllers/analysis_controller.rb, models/node.rb,
	  views/analysis/save.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[9,26,3]):
	  * bugfix

2007-12-11 Tuesday 00:31  horinout

	* db/register_tmp2.rb (BRANCH_NODE.9):
	  * Renamed to register_directory_tree.rb

2007-12-11 Tuesday 00:29  horinout

	* db/register_directory_tree.rb (BRANCH_NODE.1):
	  * Rewritten from scratch : IDENTICAL to register_tmp2.rb 1.1.2.8
	    * register_tmp2.rb was removed from the repositiry.

2007-12-11 Tuesday 00:25  horinout

	* db/register_tmp2.rb (BRANCH_NODE.8):
	  * Supported command-line options
	  * Minor improvements

2007-12-11 Tuesday 00:24  horinout

	* lib/opendapdir.rb (BRANCH_NODE.4):
	  * a fix in mtime treatment (to handle with Time)

2007-12-11 Tuesday 00:21  horinout

	* config/: gfdnavi.yml.example, load_config.rb (BRANCH_NODE.[1,3]):
	  * config/load_config.rb : added GFDNAVI_REMOTE_DATA_PATHS, which is
	    read from "remote_data_paths:" in gfdnavi.yml
	  * gfdnavi.yml.example : added example of "remote_data_paths:" as a
	    commented-out field.

2007-12-11 Tuesday 00:17  horinout

	* public/data/samples/reanalysis/ncep/UV.jan.nc.yml (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.1):
	  * a bit modified

2007-12-11 Tuesday 00:15  horinout

	* db/migrate/001_initial_scheme.rb (BRANCH_NODE.14):
	  * removed columns lon_ax_name and lat_ax_name from
	  spatial_and_time_attributes

2007-12-10 Monday 21:45  horinout

	* app/models/node.rb (BRANCH_NODE.25):
	  * top_directory_nodes : changed to order by path

2007-12-10 Monday 21:23  horinout

	* app/models/spatial_and_time_attribute.rb (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.2):
	  * to permit nil in lon/lat

2007-12-10 Monday 20:31  horinout

	* db/register_tmp2.rb (BRANCH_NODE.7):
	  * support spatial_and_time_attributes
	  * bugfix

2007-12-10 Monday 14:49  horinout

	* db/register_tmp2.rb (BRANCH_NODE.6):
	  * Enhanced (such as gfdnavi metadata support)

2007-12-10 Monday 14:33  horinout

	* app/models/node.rb (BRANCH_NODE.24):
	  * draw_parameter was changed to belong_to a node (it was a variable)
	    : ddded has_many :draw_parameters

	  * debug in save_yaml : not to make yaml files for remote files
	    (in future, we could support metadata annotation of remote files
	    by yaml, but in that case, yaml files should be saved locally,
	    not under http://)

2007-12-10 Monday 14:29  horinout

	* app/models/variable.rb (BRANCH_NODE.7):
	  * draw_parameter was changed to belong_to a node (it was a variable)
	    : deleted has_many :draw_parameters

2007-12-10 Monday 14:14  horinout

	* app/models/draw_parameter.rb (tags: MARGE_TO_TRUNK_0),
	  db/migrate/001_initial_scheme.rb, lib/execute_analysis.rb
	  (BRANCH_NODE.[1,13,8]):
	  * draw_parameter was changed to belong_to a node (is was a variable)

2007-12-08 Saturday 11:37  horinout

	* app/models/node.rb (BRANCH_NODE.23):
	  * debug
	    * make_attribute_hash : hash key in yaml files are strings, not
	    symbols.
	  * add_prefix : to classify all paths starting with "/usr" as user
	      paths.  (it was assumed to be /usr/uname/hogehoge..., but in that
	      case, '/usr' and '/usr/uname' are  excluded.)

2007-12-06 Thursday 17:40  seiya

	* app/models/node.rb, lib/narray_yaml.rb (tags: MARGE_TO_TRUNK_0),
	  public/javascripts/analysis.js, test/unit/node_test.rb
	  (BRANCH_NODE.[22,1,4,8]):

	  * change to save yaml file when a node is created
	  * change yaml data of narray

2007-12-06 Thursday 16:12  seiya

	* app/controllers/search_controller.rb,
	  app/views/search/_children.rhtml,
	  app/views/search/create_tree.rhtml, app/views/search/index.rhtml,
	  public/javascripts/directory_tree.js (BRANCH_NODE.[8,5,3,2,1]):

	  * bugfix

2007-12-06 Thursday 15:10  seiya

	* app/controllers/analysis_controller.rb, lib/vizshot_gfdnavi.rb
	  (BRANCH_NODE.[8,6]):

	  * change to create node relation when diagrams are saved

2007-12-05 Wednesday 21:54  horinout

	* app/views/analysis/save.rhtml (BRANCH_NODE.2):
	  * minor change

2007-12-05 Wednesday 21:43  horinout

	* app/: controllers/analysis_controller.rb,
	  views/analysis/save.rhtml (BRANCH_NODE.[7,1]):
	  * Updated image saving

2007-12-05 Wednesday 21:42  horinout

	* app/models/group.rb (BRANCH_NODE.6):
	  * Debug of find_by_bit_flag

2007-12-05 Wednesday 21:40  horinout

	* app/models/node.rb (BRANCH_NODE.21):
	  * Added a new class method system_path.

2007-12-05 Wednesday 21:39  horinout

	* config/load_config.rb (BRANCH_NODE.2):
	  * Limited the basename of the GFDNAVI_USER_PATH to 'usr', since I
	    will assume it in node.rb

2007-12-05 Wednesday 19:28  horinout

	* app/views/search/_children_details.rhtml (BRANCH_NODE.5):
	  * Changed not to sort by title, since it does not work. This is
	    because title is not a field of nodes (it is rather derived from
	    metadata based on a few candidate field names).

2007-12-05 Wednesday 18:55  seiya

	* app/: controllers/search_controller.rb,
	  views/search/_children.rhtml (BRANCH_NODE.[7,4]):

	  * bugfix

2007-12-05 Wednesday 18:11  seiya

	* app/: controllers/search_controller.rb,
	  views/search/_children_details.rhtml,
	  views/search/show_details.rhtml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[6,4,3]):

	  * enable to sort items in details in tree

2007-12-05 Wednesday 17:23  seiya

	* app/: controllers/search_controller.rb,
	  views/search/_children.rhtml, views/search/create_tree.rhtml,
	  views/search/index.rhtml (BRANCH_NODE.[5,3,2,1]):

	  * reverse foreground and background of selected path name in tree
	  when page is reloaded

2007-12-05 Wednesday 00:55  horinout

	* db/register_tmp2.rb (BRANCH_NODE.5):
	  * to support rgoups and wgroups

2007-12-05 Wednesday 00:54  horinout

	* public/data/samples/jmadata.yml (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.1):
	  * added samples on how to specify owner (with a String) and rgroups
	    (with an Array).  (wgroups can be specified in the same manner. --
	  avoided for a security reason.)

2007-12-05 Wednesday 00:49  horinout

	* app/models/node.rb (BRANCH_NODE.20):
	  * added new methods set_rgroups and set_wgroups

2007-12-05 Wednesday 00:48  horinout

	* app/models/group.rb (BRANCH_NODE.5):
	  * enhanced the class method bit_mask_for (to support strings)

2007-12-05 Wednesday 00:09  horinout

	* app/models/node.rb (BRANCH_NODE.19):
	  * debug (reverted the enbug by revision 1.1.2.13)

2007-12-04 Tuesday 23:44  horinout

	* test/unit/group_test.rb (tags: MARGE_TO_TRUNK_0) (BRANCH_NODE.5):
	  * not to fail with the current fixture

2007-12-04 Tuesday 23:38  horinout

	* app/: controllers/group_controller.rb, models/group.rb,
	  views/group/list.rhtml (BRANCH_NODE.[1,4,1]):
	  * Updated for current DB

2007-12-04 Tuesday 22:21  horinout

	* lib/tasks/setup.rake (BRANCH_NODE.3):
	  * changed not to register the "group_missing" group.

2007-12-04 Tuesday 15:42  horinout

	* db/register_tmp2.rb (BRANCH_NODE.4):
	  * supported plain_file setting

2007-12-04 Tuesday 15:08  horinout

	* app/views/search/_children_details_tr.rhtml, lib/multibytes.rb
	  (tags: MARGE_TO_TRUNK_0) (BRANCH_NODE.[5,1]):
	  * Limited lengths of srings (title and description) shown in the rhs
	  window

2007-12-04 Tuesday 13:54  horinout

	* app/models/node.rb, app/views/search/_children_details.rhtml,
	  app/views/search/_children_details_tr.rhtml, db/register_tmp2.rb,
	  db/migrate/001_initial_scheme.rb, lib/localdir.rb,
	  lib/opendapdir.rb (BRANCH_NODE.[18,3,4,3,12,3,3]):
	  * supported size
	  * app/views/search/_children_details*rhtml:  In addition, "last
	    modified" was introduced.

2007-12-04 Tuesday 11:36  horinout

	* app/models/node.rb, db/register_tmp2.rb, lib/localdir.rb,
	  lib/opendapdir.rb (BRANCH_NODE.[17,2,2,2]):
	  * lib/localdir.rb, lib/opendapdir.rb: supported mtime
	    (also, basic support of size is done in lib/opendapdir.rb, but a
	    consolidated support in iterators is yet to be done.)
	  * app/models/node.rb: before_create: changed to set mtime only if
	  not yet.
	  * db/register_tmp2.rb
	    * supported mtime
	    * minor change in name (to use full urls for opendap top
	    directories)
	  * to scan GFDNAVI_USER_PATH

2007-12-04 Tuesday 10:49  horinout

	* db/migrate/001_initial_scheme.rb (BRANCH_NODE.11):
	  * debug (table to drop variable_relations --> node_relations)

2007-12-02 Sunday 19:02  seiya

	* app/controllers/analysis_controller.rb, app/models/node.rb,
	  app/views/analysis/_draw_general_settings.rhtml,
	  lib/execute_analysis.rb (BRANCH_NODE.[6,16,3,7]):

	  * changes for OPeNDAP

2007-12-02 Sunday 03:00  horinout

	* db/register_tmp2.rb (BRANCH_NODE.1):
	  * TEMPORARY FILE : just another test directory tree register program

2007-12-02 Sunday 00:55  horinout

	* lib/: localdir.rb, opendapdir.rb (BRANCH_NODE.[1,1]):
	  * Classes to handle openbap and local directories in a consolidated
	  manner.

2007-12-02 Sunday 00:38  horinout

	* app/models/node.rb (BRANCH_NODE.15):
	  * Renamed create_parent to before_create, and changed it not to
	    create a parent node. It just look for the parent, to give up if
	    none found.  Also change is made to inherit the ownership of the
	    parent if its owner has not been set.

2007-12-01 Saturday 18:44  seiya

	* app/controllers/analysis_controller.rb,
	  app/controllers/application.rb, app/models/analysis.rb,
	  app/models/node.rb, app/models/variable.rb,
	  app/views/analysis/_analysis_function_settings.rhtml,
	  app/views/analysis/_analysis_settings.rhtml (tags:
	  MARGE_TO_TRUNK_0), lib/execute_analysis.rb,
	  public/javascripts/analysis.js
	  (BRANCH_NODE.[5,3,7,14,6,2,2,6,3]):

	  * remove function_nvars

2007-12-01 Saturday 16:59  seiya

	* app/controllers/analysis_controller.rb, app/models/analysis.rb,
	  app/models/draw_method.rb, app/models/function.rb,
	  app/models/variable.rb,
	  app/views/analysis/_analysis_function_settings.rhtml,
	  app/views/analysis/_analysis_settings.rhtml,
	  db/functions/additions.yml (tags: MARGE_TO_TRUNK_0),
	  db/functions/cut.yml (tags: MARGE_TO_TRUNK_0),
	  db/functions/division.yml (tags: MARGE_TO_TRUNK_0),
	  db/functions/mean.yml, db/functions/multiplication.yml (tags:
	  MARGE_TO_TRUNK_0), db/functions/stddev.yml,
	  db/functions/subtraction.yml (tags: MARGE_TO_TRUNK_0),
	  lib/execute_analysis.rb
	  (BRANCH_NODE.[4,6,2,2,5,1,1,2,2,2,2,2,2,2,5]):

	  * bugfix for function

2007-12-01 Saturday 16:00  seiya

	* app/controllers/analysis_controller.rb,
	  app/controllers/application.rb, app/models/analysis.rb,
	  app/models/node.rb,
	  app/views/analysis/_draw_general_settings.rhtml,
	  config/environment.rb, db/register_tmp.rb,
	  db/draw_methods/line.yml, db/draw_methods/scatter.yml,
	  db/draw_methods/tone.yml, db/draw_methods/vector.yml,
	  db/migrate/001_initial_scheme.rb, lib/vizshot_extensions.rb,
	  lib/vizshot_gfdnavi.rb, public/javascripts/analysis.js
	  (BRANCH_NODE.[3,2,5,13,2,1,3,2,2,2,2,10,3,5,2]):

	  * changes for new vizshot
	  * change names to nvars, ndims

2007-11-28 Wednesday 00:47  morikawa

	* db/register_directory_tree.rb (1.56, BASE_OLD_TRUNK_0):
	  * Remove nonsence space (test for CVSROOT/loginfo).

2007-11-28 Wednesday 00:43  morikawa

	* db/register_directory_tree.rb (1.55):
	  * Add nonsence space (test for CVSROOT/loginfo).

2007-11-27 Tuesday 15:59  horinout

	* lib/vizshot_gfdnavi.rb (BRANCH_NODE.4):
	  * Not to  require "vizshot_extensions".
	    To: NISHIZAWA-sama: please remove vizshot_extensions.rb when you
	    think you can.

2007-11-20 Tuesday 14:44  horinout

	* app/models/node.rb (BRANCH_NODE.12):
	  * Debug regading SQL's SELECT syntax (equal operator is =, not ==)

2007-11-20 Tuesday 10:01  seiya

	* lib/: execute_analysis.rb, vizshot_extensions.rb
	  (BRANCH_NODE.[4,2]):

	  * bugfix

2007-11-18 Sunday 19:49  seiya

	* app/models/analysis.rb, app/models/node_entity_abstract.rb,
	  app/views/analysis/_draw_scatter_settings.rhtml,
	  app/views/analysis/_draw_vector_settings.rhtml,
	  app/views/analysis/_variables_order.rhtml (tags:
	  MARGE_TO_TRUNK_0), db/draw_methods/scatter.yml,
	  lib/execute_analysis.rb, lib/vizshot_extensions.rb,
	  lib/vizshot_gfdnavi.rb (BRANCH_NODE.[4,6,1,1,1,1,3,1,3]):

	  * experimentally changes
	    * enable to add extensions of plot method
	    * add scatter plot

2007-11-17 Saturday 17:10  seiya

	* app/controllers/analysis_controller.rb,
	  app/controllers/application.rb, app/models/analysis.rb,
	  app/models/node.rb, app/models/node_entity_abstract.rb,
	  app/views/analysis/_draw_general_settings.rhtml,
	  app/views/analysis/_draw_settings.rhtml,
	  app/views/analysis/_draw_tone_settings.rhtml, db/register_tmp.rb,
	  lib/activerecord_gfdnavi.rb, lib/execute_analysis.rb,
	  lib/vizshot_gfdnavi.rb, public/javascripts/analysis.js
	  (BRANCH_NODE.[2,1,3,11,5,1,1,1,2,2,2,2,1]):

	  * enable to draw diagram after separation of draw method description
	  * bugfix

2007-11-17 Saturday 00:25  seiya

	* db/register_tmp.rb (BRANCH_NODE.1):

	  * add temporal register script for test

2007-11-15 Thursday 09:33  seiya

	* app/models/analysis.rb, app/models/draw_method.rb,
	  app/models/draw_method_attribute.rb, app/models/function.rb,
	  app/models/function_argument.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/node.rb, app/models/node_entity_abstract.rb,
	  app/models/spatial_and_time_attribute.rb,
	  app/models/spatial_attribute.rb,
	  app/views/description/_ancestors.rhtml (tags: MARGE_TO_TRUNK_0),
	  db/function_defaults.yml, db/draw_methods/line.yml,
	  db/draw_methods/tone.yml, db/draw_methods/vector.yml,
	  db/functions/additions.yml, db/functions/cut.yml,
	  db/functions/division.yml, db/functions/mean.yml,
	  db/functions/multiplication.yml, db/functions/stddev.yml,
	  db/functions/subtraction.yml, db/migrate/001_initial_scheme.rb,
	  lib/tasks/setup.rake
	  (BRANCH_NODE.[2,1,1,1,2,10,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,2]):

	  * move descriptions of functions and draw methods to individual yaml
	  file

2007-11-15 Thursday 01:39  tomoba

	* app/views/analysis/: _diagram.rhtml (1.13), index.rhtml (1.43): *
	  解析画面で描いた複数の絵をまとめて保存してから
	  その絵を使った知見情報を作成するまでを一度に行えるようにしました。
	  (Saving some images that are drew in 'analysis'and making new
	  knowledge document that includes the images can have been done by an
	  operation once.) *
	  上記の機能に関して追加し忘れたファイルを追加しました。 (Add new file
	  concernd the above-mentioned function that I forgot to add.)

2007-11-15 Thursday 00:47  tomoba

	* app/views/knowledge/new_from_analysis.rhtml (1.1): *
	  解析画面で描いた複数の絵をまとめて保存してから
	  その絵を使った知見情報を作成するまでを一度に行えるようにしました。
	  (Saving some images that are drew in 'analysis'and making new
	  knowledge document that includes the images can have been done by an
	  operation once.) *
	  上記の機能に関して追加し忘れたファイルを追加しました。 (Add new file
	  concernd the above-mentioned function that I forgot to add.)

2007-11-15 Thursday 00:42  tomoba

	* app/controllers/knowledge_controller.rb (1.3),
	  app/views/knowledge/_form.rhtml (1.3),
	  app/views/knowledge/_layout0.rhtml (1.3),
	  app/views/knowledge/_layout1.rhtml (1.3),
	  app/views/knowledge/_layout2.rhtml (1.3),
	  app/views/knowledge/edit.rhtml (1.5),
	  app/views/knowledge/list.rhtml (1.4),
	  app/views/knowledge/new.rhtml (1.5),
	  app/views/knowledge/show.rhtml (1.4),
	  public/javascripts/knowledge.js (1.2): *
	  知見情報を作成・編集するときの入力フォームを新しくしました。 (Change
	  input form to create or edit knowledge documents.) *
	  知見情報のレイアウトを更新しました。 (Update layouts of knowledge
	  documents.) * 知見情報の閲覧画面から、 "redraw this figure to
	  further explore the data" および"link to this
	  diagram"をクリックしたとき、
	  表示される絵のX座標とY座標が逆になってしまう問題を解決しました。
	  (Solve the problem that X and Y coordinates of image is reversed
	  when you click the link "redraw this figure to further explore the
	  data" and "link to diagram".) *
	  解析画面で描いた複数の絵をまとめて保存してから
	  その絵を使った知見情報を作成するまでを一度に行えるようにしました。
	  (Saving some images that are drew in 'analysis'and making new
	  knowledge document that includes the images can have been done by an
	  operation once.) * ソースコードを整理しました。 (Fix the source
	  code.)

2007-11-10 Saturday 15:03  seiya

	* app/apis/webservice_analysis_api.rb (tags: MARGE_TO_TRUNK_0),
	  app/controllers/user_controller.rb,
	  app/controllers/work_flow_controller.rb (tags: MARGE_TO_TRUNK_0),
	  config/load_config.rb, script/server_ssl (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[1,1,1,1,1]):

	  * add webrick server using ssl
	  * changes for SSL

2007-10-26 Friday 05:12  tomoba

	* public/stylesheets/knowledge.css (1.1),
	  app/views/knowledge/_form.rhtml (1.2),
	  app/views/knowledge/edit.rhtml (1.4),
	  app/views/knowledge/new.rhtml (1.4),
	  public/javascripts/knowledge.js (1.1):
	  * knowledge 用の JavaScript ファイルとスタイルシートファイルを
	  新たに加えました。 (Add knowledge.js and knowledge.css .) *
	  ソースコードを整理しました。 (Fix the source code.)

2007-10-22 Monday 14:25  seiya

	* app/controllers/analysis_controller.rb,
	  app/controllers/image_controller.rb (tags: MARGE_TO_TRUNK_0),
	  app/controllers/search_controller.rb, app/models/analysis.rb,
	  app/models/node.rb, app/models/node_entity_abstract.rb,
	  app/models/variable.rb, app/views/analysis/_variables.rhtml,
	  app/views/search/_children_details_tr.rhtml,
	  lib/execute_analysis.rb, lib/vizshot_gfdnavi.rb,
	  test/unit/directory_test.rb
	  (BRANCH_NODE.[1,1,4,1,9,3,4,1,3,1,1,4]):

	  * enable to draw

2007-10-21 Sunday 18:23  seiya

	* app/controllers/description_controller.rb,
	  app/controllers/search_controller.rb,
	  app/helpers/search_helper.rb, app/models/node.rb,
	  app/views/description/directory.rhtml,
	  app/views/description/variable.rhtml,
	  app/views/search/_children.rhtml,
	  app/views/search/_children_details.rhtml,
	  app/views/search/_children_details_tr.rhtml,
	  app/views/search/show_details.rhtml,
	  public/data/samples/reanalysis/ncep/T.jan.100hPa.png (tags:
	  MARGE_TO_TRUNK_0),
	  public/data/samples/reanalysis/ncep/T.jan.100hPa.png.yml,
	  public/data/samples/reanalysis/ncep/T.jan.zonal_mean.nc (tags:
	  MARGE_TO_TRUNK_0),
	  public/data/samples/reanalysis/ncep/T.jan.zonal_mean.nc.yml
	  (tags: MARGE_TO_TRUNK_0), test/fixtures/directories.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/images.yml (tags:
	  MARGE_TO_TRUNK_0), test/fixtures/node_groups.yml,
	  test/fixtures/node_relations.yml (tags: MARGE_TO_TRUNK_0),
	  test/fixtures/nodes.yml, test/fixtures/variables.yml (tags:
	  MARGE_TO_TRUNK_0), test/unit/directory_test.rb,
	  test/unit/node_group_test.rb, test/unit/node_relation_test.rb
	  (tags: MARGE_TO_TRUNK_0)
	  (BRANCH_NODE.[2,3,2,8,1,2,2,2,2,2,1,1,1,1,3,2,2,2,8,2,3,2,2]):

	  * add zonal-mean data and image generated from T.jan.nc
	  * bugfixes

2007-10-20 Saturday 21:14  seiya

	* app/controllers/description_controller.rb,
	  app/controllers/search_controller.rb,
	  app/helpers/search_helper.rb, app/models/keyword_attribute.rb,
	  app/models/node.rb, app/models/node_entity_abstract.rb,
	  app/models/node_relation.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/variable.rb, app/models/variable_relation.rb,
	  app/views/description/variable.rhtml,
	  app/views/search/_children.rhtml,
	  app/views/search/_children_details.rhtml,
	  app/views/search/_children_details_tr.rhtml,
	  app/views/search/create_tree.rhtml,
	  app/views/search/show_details.rhtml,
	  test/fixtures/keyword_attributes.yml (tags: MARGE_TO_TRUNK_0),
	  test/fixtures/node_relations.yml,
	  test/fixtures/variable_relations.yml,
	  test/unit/directory_test.rb, test/unit/keyword_attribute_test.rb
	  (tags: MARGE_TO_TRUNK_0), test/unit/node_relation_test.rb,
	  test/unit/node_test.rb, test/unit/variable_relation_test.rb,
	  test/unit/variable_test.rb
	  (BRANCH_NODE.[1,2,1,1,7,2,1,3,1,1,1,1,1,1,1,1,1,1,2,1,1,7,1,2]):

	  * changes for tree search to work

2007-10-20 Saturday 19:03  seiya

	* lib/activerecord_gfdnavi.rb (BRANCH_NODE.1):

	  * add methods to activerecord

2007-10-19 Friday 23:19  seiya

	* app/models/directory.rb, app/models/function_argument.rb,
	  app/models/group_member.rb, app/models/knowledge.rb (tags:
	  MARGE_TO_TRUNK_0), app/models/node.rb, app/models/results.rb
	  (tags: MARGE_TO_TRUNK_0), app/models/type.rb,
	  app/models/value_type.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/variable.rb, db/dump_db.rb,
	  db/migrate/001_initial_scheme.rb, lib/rdb_concat.rb,
	  public/data/samples/jmadata/MSM-P/2006.yml,
	  test/fixtures/nodes.yml, test/unit/group_member_test.rb,
	  test/unit/knowledge_test.rb, test/unit/node_test.rb,
	  test/unit/spatial_and_time_attribute_test.rb,
	  test/unit/spatial_attribute_test.rb, test/unit/type_test.rb,
	  test/unit/value_type_test.rb
	  (BRANCH_NODE.[3,1,1,2,6,1,1,1,2,1,8,1,1,7,2,1,6,1,1,1,1]):

	  * remove file and variable delimitor
	  * rename some files

2007-10-19 Friday 13:20  seiya

	* app/models/node.rb, test/fixtures/nodes.yml,
	  test/fixtures/users.yml (tags: MARGE_TO_TRUNK_0),
	  test/unit/node_test.rb (BRANCH_NODE.[5,6,3,5]):

	  * modified Node.find to consider group
	    * add tests

2007-10-19 Friday 09:36  tomoba

	* app/views/knowledge/: _layout0.rhtml (1.2), _layout1.rhtml (1.2),
	  _layout2.rhtml (1.2), edit.rhtml (1.3), new.rhtml (1.3),
	  show.rhtml (1.3):
	  * improve on knowledge layout.

2007-10-19 Friday 03:45  tomoba

	* app/views/knowledge/list.rhtml (1.3):
	  * minor debug.

2007-10-18 Thursday 05:32  tomoba

	* public/stylesheets/analysis.css (1.20):
	  * for views/analysis/show_diagram.rhtml

2007-10-18 Thursday 04:58  tomoba

	* app/: views/knowledge/show.rhtml (1.2),
	  controllers/knowledge_controller.rb (1.2): *
	  レイアウトの変更機能に関連して、各レイアウトの共通部分を
	  show.rhtmlにまとめるようにしました。 (In relation to the function of
	  changing layout, common part of each layout is bundled in
	  show.rhtml.)
	  * show.rhtml(_layout0.rhtml, _layout1.rhtml, _layout2.rhtml) に
	  絵のURL へのリンクを"link to this diagram"という形で追加しました。
	  (Add link "link to this diagram" to show.rhtml(_layout0.rhtml,
	  _layout1.rhtml, _layout2.rhtml).)
	  * show.rhtml(_layout0.rhtml, _layout1.rhtml, _layout2.rhtml) に
	  解析画面へのリンクを追加しました。 (Add link to analysis to
	  show.rhtml(_layout0.rhtml, _layout1.rhtml, _layout2.rhtml).)
	  * knowledge_controller.rb に絵から Analysis オブジェクトを得る
	  fig2analysis メソッドの定義を加えました。
	  これを用いて解析画面で絵を再描画します。 (Add the definition of
	  fig2analysis method that get Analysis object from image.  In
	  analysis window you can redraw the image by this method.)
	  * directory tree から knowledge
	  のリストを画面下のフレームに出すところで 余計な装飾を外して
	  views/knowledges/list.rhtml を出すために knowledge_controller.rb
	  に変更を加えました。 (Add the codes to knowledge_controller.rb, had
	  "vies/knowledges/list.rhtml" displayed in frame under window in
	  directory tree without extra decoration.)
	  * knowledge_controller.rb に、新たに knoweledges テーブルに追加した
	  default_layout column に関する記述を加えました。 (Add the codes to
	   knowledge_controller.rb and correspond new column "default_layout"
	  in knowledges table.)

2007-10-18 Thursday 04:30  tomoba

	* app/: views/search/_children_details.rhtml (1.15,
	  BASE_OLD_TRUNK_0), views/search/_children_details_tr.rhtml
	  (1.16), models/variable.rb (1.44, BASE_OLD_TRUNK_0),
	  views/description/variable.rhtml (1.16):
	  * directory tree
	  の画面で、選択したデータを使って作られた絵を使って作られた
	  知見情報のリストを表示できるようにしました。 (I had the list of
	  knowledge that use images made by the selected data displayed in
	  directory tree.)
	  * _children_details.rhtml と _children_details_tr.rhtml に

	  追記することで、知見情報が存在するときに"knowledges"アイコンを出現させ、
	  それをクリックすると画面下のフレームに知見情報のリストを表示するようにしました。 (By add the code to _children_details.rhtml and
	  _children_details_tr.rhtml, had "knowledges" icon appear when there
	  are knowledge, and I had the list of knowledge displayed in frame
	  under window when "knowledges" icon is clicked.) * また、details
	  をクリックしたときに画面下のフレームに表示される部分の
	  下の方に、知見情報へのリンクを表示するようにしました。
	  views/description/variable.rhtml に追記しています。 (I had link to
	  knowledge document displayed under frame under window when "details"
	  icon is clicked.  I added the code to
	  views/description/variable.rhtml.) *
	  それに関連して、models/variable.rb に 特定の絵を使っている知見情報の
	  ID の配列を取得するメソッドを追加しました。 (In relation to it, I
	  add a method in models/variable.rb.  By the method, array of ID of
	  knowledge that use specific image is found.)

2007-10-18 Thursday 03:59  tomoba

	* app/controllers/analysis_controller.rb (1.100):
	  * lib/vizshot_gfdnavi.rb の reopen_variable
	  メソッドの呼び出しを追加し、 絵を保存する前に diagram_cache
	  を消すようにしました。 (Add reopen_variable and delete diagram_cache
	  before save image.)

2007-10-18 Thursday 03:53  tomoba

	* app/views/analysis/show_diagram.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, BASE_OLD_TRUNK_0): *
	  解析画面へのリンクを目立つように大きくし、上に動かしました。 (To
	  stand out, I enlarged "click here to move to analysis page" link and
	  moved above the image.) * 絵のURLを表示するようにしました。 (I had
	  URL of the image displayed.)

2007-10-18 Thursday 03:43  tomoba

	* lib/vizshot_gfdnavi.rb (1.10, BASE_OLD_TRUNK_0): *
	  新たに2つのメソッドを追加しました。 reopen_variables は絵の
	  diagram_cache を空にします。 find_variables は YAML ファイルから
	  Variable オブジェクトを 復旧させるために使います。 (Add new two
	  methods.  "reopen_variables" made diagram_cache empty.
	  "find_variables" is used in order to restore Variable object from a
	  YAML file.)

2007-10-18 Thursday 03:33  tomoba

	* app/views/knowledge/list.rhtml (1.2):
	  * minor changes.

2007-10-18 Thursday 03:31  tomoba

	* app/views/knowledge/: edit.rhtml (1.2), new.rhtml (1.2): *
	  新たに知見情報を作成、または編集する際に
	  デフォルトのレイアウトを選択できるようにしました。 (Add a function
	  of select a default layout of knowledge document when you create or
	  edit knowledge.)

2007-10-18 Thursday 03:26  tomoba

	* db/migrate/002_rel01.rb (1.4, BASE_OLD_TRUNK_0): *
	  レイアウト情報を持たせるために knowledges テーブルに 新たな column
	  として default_layout を追加しました。 (To had information of layout
	  included in knowledge table, I added a column "default_layout" to
	  knowledges table.)

2007-10-18 Thursday 03:19  tomoba

	* app/views/knowledge/: _layout0.rhtml (1.1), _layout1.rhtml (1.1),
	  _layout2.rhtml (1.1): *
	  知見情報にレイアウト選択機能を加えるために、 新たな rhtml
	  ファイルを追加しました。 (Add new rhtml file in order to select
	  layout of knowledge document.)

2007-10-18 Thursday 03:06  tomoba

	* public/images/tree/knowledges.png (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, BASE_OLD_TRUNK_0):
	  * Add "knowledges" icon to public/images/tree/ .

2007-10-17 Wednesday 19:44  seiya

	* db/migrate/001_initial_scheme.rb, test/fixtures/nodes.yml
	  (BRANCH_NODE.[7,5]):

	  * some changes in db table structure

2007-10-17 Wednesday 00:00  seiya

	* app/controllers/search_controller.rb, app/models/directory.rb,
	  app/models/image.rb (tags: MARGE_TO_TRUNK_0),
	  app/models/knowledge.rb, app/models/node.rb,
	  app/models/node_entity_abstract.rb, app/models/variable.rb,
	  db/migrate/001_initial_scheme.rb, lib/tasks/setup.rake,
	  test/fixtures/directories.yml, test/fixtures/images.yml,
	  test/fixtures/nodes.yml, test/fixtures/variables.yml,
	  test/unit/directory_test.rb, test/unit/group_test.rb,
	  test/unit/image_test.rb (tags: MARGE_TO_TRUNK_0),
	  test/unit/node_test.rb, test/unit/variable_test.rb
	  (BRANCH_NODE.[1,2,1,1,4,1,1,6,1,2,1,4,1,1,4,1,4,1]):
	  * make abstract class for node entities
	  * changes in unit tests and fixtures
	  * changes in db table structure

2007-10-13 Saturday 19:36  seiya

	* app/models/group.rb, app/models/node.rb, test/fixtures/groups.yml
	  (tags: MARGE_TO_TRUNK_0), test/fixtures/users.yml,
	  test/unit/group_test.rb (BRANCH_NODE.[3,3,2,2,3]):
	  * change order of arguments for assert_equal ( assert_equal
	  expected_value, value_for_tested)
	  * minor changes

2007-10-13 Saturday 15:31  horinout

	* app/models/user.rb (BRANCH_NODE.3):
	  * not to create a group for each user automatically

2007-10-12 Friday 15:31  horinout

	* app/models/group.rb, app/models/user.rb,
	  db/migrate/001_initial_scheme.rb, test/fixtures/nodes.yml,
	  test/fixtures/users.yml, test/unit/group_test.rb,
	  test/unit/node_test.rb, test/unit/user_test.rb (tags:
	  MARGE_TO_TRUNK_0) (BRANCH_NODE.[2,2,5,3,1,2,3,1]):
	  * Updated group treatement

2007-10-10 Wednesday 21:19  horinout

	* db/migrate/001_initial_scheme.rb (BRANCH_NODE.4):
	  * added 8-byte int groups to Nodes and Users. Removed node_groups

2007-10-04 Thursday 21:53  horinout

	* app/models/directory.rb, app/models/group.rb, app/models/node.rb,
	  app/models/user.rb, db/migrate/001_initial_scheme.rb,
	  test/fixtures/directories.yml, test/fixtures/group_members.yml
	  (tags: MARGE_TO_TRUNK_0), test/fixtures/groups.yml,
	  test/fixtures/node_groups.yml, test/fixtures/nodes.yml,
	  test/unit/group_member_test.rb, test/unit/group_test.rb,
	  test/unit/node_group_test.rb, test/unit/node_test.rb
	  (BRANCH_NODE.[1,1,2,1,3,1,1,1,1,2,1,1,1,2]): *
	  いろいろコミットしますが，まだ悩み中

2007-10-04 Thursday 18:30  horinout

	* app/models/node.rb (BRANCH_NODE.1):
	  * very preliminary version

2007-10-04 Thursday 18:23  horinout

	* db/migrate/001_initial_scheme.rb, test/fixtures/nodes.yml,
	  test/unit/node_test.rb (BRANCH_NODE.[2,1,1]):
	  * db schema updated
	  * made a unit test -- which is not yet enough (relations to other
	    tabls are yet to be supported.)

2007-09-28 Friday 13:04  otsuka

	* install.rb (1.13, BASE_OLD_TRUNK_0):
	   * modification to server_type: type-2 enables user accounts and
	   type-3 disables user accounts

2007-09-20 Thursday 20:25  horinout

	* db/migrate/: 001_initial_scheme.rb, 002_rel01.rb
	  (BRANCH_NODE.[1,1]):
	  * introduced the node system.

2007-09-13 Thursday 12:51  seiya

	* app/models/analysis.rb (1.53, BASE_OLD_TRUNK_0, BASE_NODE):

	  * remove a debug message output to stdout

2007-09-04 Tuesday 19:49  otsuka

	* install.rb (1.12, MARGE_TO_TRUNK_0, BASE_NODE): merge
	  modification for Win Native and fix bugs

2007-09-04 Tuesday 19:46  otsuka

	* config/load_config.rb (1.10, BASE_OLD_TRUNK_0, BASE_NODE):
	  require rubygems before requiring action_mailer

2007-08-31 Friday 14:47  otsuka

	* install.rb (1.11): change var name: load_inst_params ->

2007-08-30 Thursday 16:34  otobe

	* install.rb (RELEASE_0_2.7): collect typo null -> nul

2007-08-30 Thursday 16:18  otobe

	* install.rb (RELEASE_0_2.6): Modified dest_path and rails command
	  for Windows Native Environment.

2007-08-27 Monday 17:00  koshiro

	* install.rb (1.10):
	  * added selection of Rails environment.
	  * fixed some typos in messages.

2007-08-27 Monday 11:38  koshiro

	* config/load_config.rb (1.9):
	  * add 'require "action_mailer"'
	  * renamed: ActionMailer::Base.server_settings ->
	  ActionMailer::Base.smtp_settings

2007-08-27 Monday 10:42  horinout

	* ChangeLog (RELEASE_0_2.1):
	  * Updated by make cl

2007-08-27 Monday 10:37  horinout

	* db/migrate/001_initial_scheme.rb (RELEASE_0_2.1):
	  * merged from trunk (revision 1.27)

2007-08-25 Saturday 14:16  seiya

	* app/models/analysis.rb (1.52):

	  * bugfix

2007-08-25 Saturday 13:42  seiya

	* app/models/analysis.rb (1.51):

	  * bugfix: error occured when analysis was executed

2007-08-25 Saturday 10:34  otsuka

	* install.rb (RELEASE_0_2.5): bug fix

2007-08-25 Saturday 09:27  seiya

	* app/models/group.rb (RELEASE_0_2.1):

	  * bugfix: variable which saved to database by user did not appear in
	  directory tree

2007-08-24 Friday 15:36  uwabami

	* db/migrate/001_initial_scheme.rb (1.27, BASE_OLD_TRUNK_0,
	  BASE_NODE): [no log message]

2007-08-24 Friday 11:39  seiya

	* app/models/analysis.rb (1.50), lib/execute_analysis.rb (1.14,
	  BASE_OLD_TRUNK_0, BASE_NODE):

	  * bugfix for analysis webservice

2007-08-24 Friday 10:17  seiya

	* install.rb (1.9), app/controllers/analysis_controller.rb (1.99,
	  BASE_NODE), app/views/description/variable.rhtml (1.15,
	  BASE_NODE), app/views/function/list.rhtml (1.3, BASE_OLD_TRUNK_0,
	  BASE_NODE), db/function_defaults.yml (1.8, BASE_OLD_TRUNK_0,
	  BASE_NODE), db/register_directory_tree.rb (1.54, BASE_NODE),
	  db/restore_db.rb (1.2, BASE_OLD_TRUNK_0, BASE_NODE),
	  lib/execute_analysis.rb (1.13), lib/tasks/setup.rake (1.21,
	  BASE_OLD_TRUNK_0, BASE_NODE), lib/tasks/update.rake (1.3,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE),
	  public/javascripts/analysis.js (1.43, BASE_NODE):

	  * marge from RELEASE_0_2 branch

2007-08-24 Friday 02:30  otsuka

	* install.rb (RELEASE_0_2.4): load install_params.yml in the
	  previous installation

2007-08-23 Thursday 17:21  horinout

	* lib/execute_analysis.rb (tags: VERSION_0_2) (RELEASE_0_2.3):
	  * to be more user-friendly

2007-08-23 Thursday 17:07  seiya

	* public/javascripts/analysis.js (tags: VERSION_0_2)
	  (RELEASE_0_2.2):

	  * bugfix of animation

2007-08-23 Thursday 17:04  seiya

	* app/: controllers/analysis_controller.rb,
	  views/function/list.rhtml (RELEASE_0_2.[1,1]) (utags:
	  VERSION_0_2):

	  * bugfix in downloading of script and data
	  * bugfix in view of function list

2007-08-23 Thursday 16:47  seiya

	* public/javascripts/analysis.js (RELEASE_0_2.1):

	  * bugfix in selecting axes

2007-08-23 Thursday 16:20  seiya

	* db/function_defaults.yml (tags: VERSION_0_2) (RELEASE_0_2.1):

	  * fix description and suffix of mean and stddev

2007-08-23 Thursday 16:01  seiya

	* lib/execute_analysis.rb (RELEASE_0_2.2):

	  * bugfix: arguments of function was not valide

2007-08-23 Thursday 14:34  otsuka

	* lib/tasks/setup.rake (tags: VERSION_0_2) (RELEASE_0_2.6): [no log
	  message]

2007-08-23 Thursday 14:24  seiya

	* lib/tasks/setup.rake (RELEASE_0_2.5): [no log message]

2007-08-23 Thursday 14:17  seiya

	* db/restore_db.rb, lib/tasks/update.rake (RELEASE_0_2.[2,2])
	  (utags: VERSION_0_2):

	  * show menu at execution of rake update
	  * bugfix

2007-08-23 Thursday 14:16  otsuka

	* lib/tasks/setup.rake (RELEASE_0_2.4): previous change has been
	  removed

2007-08-23 Thursday 13:40  otsuka

	* lib/tasks/setup.rake (RELEASE_0_2.3): changed not to use
	  temporary_password

2007-08-23 Thursday 13:15  seiya

	* lib/tasks/setup.rake (RELEASE_0_2.2):

	  * bugfix: password was not kept by rake setup

2007-08-23 Thursday 12:56  seiya

	* db/restore_db.rb, lib/tasks/update.rake (RELEASE_0_2.[1,1]):

	  * bugfix
	  * fix typo

2007-08-23 Thursday 12:32  horinout

	* install.rb (tags: VERSION_0_2) (RELEASE_0_2.3):
	  * Removed set_root_password, which is not used any more.

2007-08-23 Thursday 11:38  horinout

	* app/views/description/variable.rhtml (tags: VERSION_0_2)
	  (RELEASE_0_2.1):
	  * Adapted to a recent change in SearchController#add_to_list usage:
	    to use path, not id.

2007-08-22 Wednesday 19:08  horinout

	* lib/tasks/setup.rake (RELEASE_0_2.1):
	  * changed a message to print a little bit (Input password --> Input
	  password for root)

2007-08-22 Wednesday 17:07  horinout

	* install.rb (RELEASE_0_2.2):
	  * Changed not to copy temporary files and data other than samples.

2007-08-22 Wednesday 14:42  horinout

	* install.rb (RELEASE_0_2.1):
	  * copy_files_in_dir: Not to exclude CVS, so that one can use the
	    copied resource as a CVS workspace (if he/she obtained gfdnavi from
	  the cvs repository).

2007-08-22 Wednesday 14:36  horinout

	* db/register_directory_tree.rb (tags: VERSION_0_2)
	  (RELEASE_0_2.1):
	  * debug: Directory#plain_file will be false if the Directory object
	    represents virtually integrted multiple files.

2007-08-22 Wednesday 13:03  seiya

	* lib/execute_analysis.rb (RELEASE_0_2.1):

	  * fix error in analysis. The error may be due to bug of ruby.

2007-08-22 Wednesday 12:27  seiya

	* app/: controllers/explorer_controller.rb,
	  models/query_history.rb, models/results.rb,
	  views/explorer/index.rhtml (RELEASE_0_2.[1,1,1,1]):

	  * remove exploere

2007-08-22 Wednesday 11:50  seiya

	* install.rb (1.8, BASE_0_2):

	  * change of install.rb for the moveing of directory of samples

2007-08-22 Wednesday 10:53  seiya

	* app/controllers/explorer_controller.rb (1.2),
	  app/models/directory.rb (1.28, VERSION_0_2),
	  app/models/results.rb (1.3), lib/rdb_concat.rb (1.1, VERSION_0_2)
	  (utags: BASE_0_2, BASE_NODE, BASE_OLD_TRUNK_0):

	  * change not to use sql function concat directory, because sqlite3
	  does not have the concat

2007-08-22 Wednesday 10:39  horinout

	* public/data/samples/: jmadata.SIGEN (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  jmadata.yml (1.1), reanalysis.SIGEN (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  sonde_operational.yml (1.1, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0), jmadata/MSM-P/2006.yml
	  (1.1), jmadata/MSM-P/2006/0101.nc (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  jmadata/MSM-P/2006/0101.nc.yml (1.1), jmadata/MSM-P/2006/0102.nc
	  (1.1, marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), jmadata/MSM-P/2006/0103.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), jmadata/MSM-P/2006/0104.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), jmadata/MSM-P/2006/0105.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), jmadata/MSM-P/2006/skip_data.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), jmadata/MSM-P/2006/skip_data.sh (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), reanalysis/era40.SIGEN (1.1),
	  reanalysis/ncep.SIGEN (1.1, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  reanalysis/era40/t.jan.nc (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  reanalysis/era40/t.jan.nc.yml (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  reanalysis/ncep/T.jan.nc (1.1, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  reanalysis/ncep/UV.jan.nc (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  reanalysis/ncep/UV.jan.nc.yml (1.1),
	  reanalysis/ncep/UV.jan.nc.yml.ja (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  sonde_operational/std_plev.yml (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0),
	  sonde_operational/std_plev/41256.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/42410.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/43333.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/43346.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/48698.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/61641.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/63741.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/67083.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/72261.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/76805.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/82193.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/91165.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/91610.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/91948.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0), sonde_operational/std_plev/94294.spl.nc (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0) (utags: BASE_0_2, BASE_NODE, BASE_OLD_TRUNK_0,
	  VERSION_0_2):
	  * Moved contents of public/data to public/data/samples

2007-08-22 Wednesday 10:18  seiya

	* app/controllers/search_controller.rb (1.39, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2), db/register_directory_tree.rb (1.53)
	  (utags: BASE_0_2):

	  * bugfix
	    * DL link did not appear in tree
	    * gphysizable was not set true in sqlite3 (I do not know the
	    reason)

2007-08-22 Wednesday 09:34  seiya

	* app/: controllers/search_controller.rb (1.38), models/group.rb
	  (1.6, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  models/variable.rb (1.43, BASE_NODE, VERSION_0_2, BASE_0_2):

	  * bugfix for sqlite3

2007-08-21 Tuesday 19:38  otsuka

	* install.rb (1.7), lib/tasks/setup.rake (1.20, BASE_0_2): setup
	  root's password in setup.rake

2007-08-20 Monday 18:59  horinout

	* app/models/results.rb (1.2):
	  * refactoring to cover mysql-4: replace :order=>"count(*) DESC"
	    with :order=>"cnt DESC"

2007-08-20 Monday 14:26  horinout

	* db/migrate/: 001_initial_scheme.rb (1.26), 002_rel01.rb (1.3,
	  BASE_NODE) (utags: BASE_0_2, VERSION_0_2):
	  * latest changes in 001_initial_scheme.rb by watanabe-san were moved
	    to 002_rel01.rb. (Currently, changes of database tables should be
	    made in 002_rel01.rb)

2007-08-19 Sunday 20:36  chiemi

	* db/migrate/001_initial_scheme.rb (1.25): Add newfile for
	  interactive search

2007-08-19 Sunday 20:30  chiemi

	* app/: models/query_history.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, BASE_0_2), models/results.rb (1.1),
	  controllers/explorer_controller.rb (1.1),
	  views/explorer/index.rhtml (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  BASE_0_2): Add newfile for interactive search

2007-08-16 Thursday 20:04  horinout

	* install.rb (1.6):
	  * More detailed messages for Setup 1

2007-08-15 Wednesday 23:25  otsuka

	* lib/tasks/setup.rake (1.19): bug fix

2007-08-08 Wednesday 22:12  tomoba

	* db/migrate/002_rel01.rb (1.2):
	  * Add knowledges table and knowledge_figures table.

2007-08-05 Sunday 20:10  seiya

	* app/controllers/analysis_controller.rb (1.98),
	  app/models/analysis.rb (1.49, VERSION_0_2),
	  app/views/analysis/_dimension_option.rhtml (1.16,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2),
	  app/views/analysis/_draw_general_settings.rhtml (1.9,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2),
	  lib/execute_analysis.rb (1.12), public/javascripts/analysis.js
	  (1.42) (utags: BASE_0_2):

	  * change setting of axes to based on their name instead of number in
	  analysis page

2007-08-03 Friday 23:22  seiya

	* app/controllers/search_controller.rb (1.37),
	  app/views/search/_children.rhtml (1.14, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/search/_children_details_tr.rhtml (1.15, BASE_NODE,
	  VERSION_0_2, BASE_0_2), app/views/search/create_tree.rhtml (1.3,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/directory_tree.js (1.13, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):

	  * add javascript function, openTree(path), which open tree and show
	  the path
	  * bugfix

2007-08-03 Friday 21:14  seiya

	* app/views/search/_children_details_tr.rhtml (1.14):

	  * bugfix

2007-08-03 Friday 12:57  tomoba

	* app/controllers/search_controller.rb (1.36):
	  * delete unnecessary comment.

2007-08-02 Thursday 16:04  seiya

	* app/controllers/search_controller.rb (1.35),
	  app/views/search/_children.rhtml (1.13),
	  app/views/search/create_tree.rhtml (1.2),
	  app/views/search/show_details.rhtml (1.2, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/directory_tree.js (1.12):

	  * use path name instead of id in the directory tree

2007-08-02 Thursday 14:40  seiya

	* app/controllers/search_controller.rb (1.34),
	  app/views/search/_tree.rhtml (1.20),
	  app/views/search/create_tree.rhtml (1.1),
	  app/views/search/index.rhtml (1.5, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2), app/views/search/show_details.rhtml
	  (1.1), public/javascripts/directory_tree.js (1.11):

	  * enable to change action when directory in the tree selected
	    * to change the action, set selectedFunction (e.g.
	    selectedFunction = showDirDetails; in view/search/index.rhtml)

2007-07-28 Saturday 21:15  tomoba

	* app/: controllers/knowledge_controller.rb (1.1,
	  MARGE_TO_TRUNK_0), models/knowledge.rb (1.1, BASE_OLD_TRUNK_0),
	  models/knowledge_figure.rb (1.1, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0), views/knowledge/_form.rhtml (1.1,
	  MARGE_TO_TRUNK_0), views/knowledge/edit.rhtml (1.1,
	  MARGE_TO_TRUNK_0), views/knowledge/list.rhtml (1.1,
	  MARGE_TO_TRUNK_0), views/knowledge/new.rhtml (1.1,
	  MARGE_TO_TRUNK_0), views/knowledge/show.rhtml (1.1,
	  MARGE_TO_TRUNK_0) (utags: BASE_0_2, BASE_NODE, VERSION_0_2): *
	    知見情報(knowledge)に関するファイルを新たに追加しました。 (Add new
	  files about "knowledge".)
	  *



	  knowledgeでは今のところ、Gfdnaviで作成した絵を使って絵を含んだ文章を作成し、参照することができます。また、作成者ならば編集や削除も可能です。
	    (Now in "knowledge", you can create and show writing with pictures
	     created on Gfdnavi.  The owner can also edit and delete them.) *
	    作成した知見情報の情報はknowledgesテーブルに格納されます。

	  また、画像のid、知見情報のid、画像につけた注釈をknowledge_figuresテーブルに格納します。
	    (Created "knowledge" data is in "knowledges" table.
	     "knowledge_figures" table has "variable_id", "knowledge_id", and
	     caption of images.)

2007-07-27 Friday 12:36  tomoba

	* app/models/variable.rb (1.42): ;; This buffer is for notes you
	  don't want to save, and for Lisp evaluation.  ;; If you want to
	  create a file, visit that file with C-x C-f, ;; then enter the text
	  in that file's own buffer.

	  * すみません。さきほどコメントを入れるときに失敗しました。
	    version1.41 と 1.42 の中身は同じです。
	    (Sorry, 1.42 is same as 1.41.)

	  * find_for_user メソッドで、引数 *args
	    が空の場合の対処を最初に移しました。

	  これにより、rootユーザーが引数が空のfindメソッドを使ってしまう問題を修正しました。
	    また、引数 user が空のときにnil.loginをしないようにしました。
	    (Modify find_for_user method. By this change, "root" don't use
	     "find" method without arguments and fix the problem that
	  "nil.login" when "user" is nil.)

2007-07-27 Friday 12:10  tomoba

	* app/models/variable.rb (1.41): ../temp_toukou.txt

2007-07-20 Friday 16:00  tomoba

	* app/models/variable.rb (1.40):
	  * If user is root, run "find" automatically.

2007-07-18 Wednesday 19:03  horinout

	* app/views/analysis/_draw_general_settings.rhtml (1.8):
	  * Added mini documents as <span title="...">

	  * Layout change from:
	       Animation:
	       [ ] enable
	    to (simply):
	       [ ] Animation

2007-07-18 Wednesday 18:08  horinout

	* app/views/analysis/_dimension_option.rhtml (1.15):
	  * Added the number of grid points in the pop-up window for each
	  dimension

2007-07-18 Wednesday 18:02  horinout

	* app/views/analysis/_variables.rhtml (1.17, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * Added path in the pop-up window for each variable

2007-07-10 Tuesday 20:05  horinout

	* app/controllers/analysis_controller.rb (1.97):
	  * minor debug

2007-07-05 Thursday 16:38  horinout

	* app/controllers/search_controller.rb (1.33):
	  * security update

2007-07-05 Thursday 16:04  horinout

	* app/controllers/function_controller.rb (1.8, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * Sorry, the last modification was unnecessary. Reverted.

2007-07-05 Thursday 15:01  horinout

	* app/controllers/function_controller.rb (1.7):
	  * security update

2007-07-02 Monday 11:48  horinout

	* TODO (1.2, marge_to_release_1_0, VERSION_1_0, VERSION_0_1,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2):
	  * Updated (though far from complete).

2007-06-28 Thursday 14:04  horinout

	* public/stylesheets/analysis.css (1.19, MARGE_TO_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * modified tabs' border color, width, bgcolor(if closed)

2007-06-28 Thursday 12:06  horinout

	* app/models/analysis.rb (1.48):
	  * commented out l.448 (return nil unless var.id). see email from
	    horinout to seiya on 2007-06-27.

2007-06-28 Thursday 11:28  horinout

	* lib/execute_analysis.rb (1.11):
	  * ExecuteAnalysis::create_new_variable: analysis cripts was made
	    runnable at any direcotry if located in tmp/work/*/.

2007-06-27 Wednesday 22:24  horinout

	* lib/gphys_gfdnavi.rb (1.2, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * minort refactoring

2007-06-27 Wednesday 21:39  horinout

	* config/gfdnavi.yml.example (1.11, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2):
	  * Added sample to set the size limits.

2007-06-27 Wednesday 21:37  horinout

	* config/load_config.rb (1.8, VERSION_0_2, BASE_0_2),
	  lib/execute_analysis.rb (1.10), lib/gphys_gfdnavi.rb (1.1):
	  * Introduced the maximum sizes to read in onto run-time memory, and
	    applied them to analysis scripts created in
	    ExecuteAnalysis::create_new_variable.  To actually limit, you need
	  to specify them in gfdnavi.yml.

2007-06-27 Wednesday 16:50  horinout

	* lib/execute_analysis.rb (1.9):
	  * Moved the location of ActiveRecord::Base.connection.reconnect!
	    according to the email from seiya on May 23

2007-06-27 Wednesday 15:49  seiya

	* app/models/analysis.rb (1.47):

	  * remove duplicate code in analysis.rb

2007-06-27 Wednesday 13:43  seiya

	* app/controllers/search_controller.rb (1.32):

	  * fixed bug about download link

2007-06-27 Wednesday 12:22  horinout

	* app/helpers/application_helper.rb (1.5, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * Added title 'Help' to the helpmark.

2007-06-27 Wednesday 11:28  horinout

	* app/views/search/: _children_details.rhtml (1.14, BASE_NODE,
	  VERSION_0_2, BASE_0_2), _children_details_tr.rhtml (1.13):
	  * To use images for Anal/Viz, DL, etc
	  * Changed table spacing and bgcolor for some td's.

2007-06-27 Wednesday 11:07  horinout

	* public/images/tree/: DL.png (1.1, VERSION_0_1), anal_viz.png
	  (1.1, VERSION_0_1), details.png (1.1, VERSION_0_1), folder.png
	  (1.2) (utags: BASE_0_2, BASE_1_0, BASE_NODE, BASE_OLD_TRUNK_0,
	  MARGE_TO_TRUNK_0, VERSION_0_2, VERSION_1_0,
	  marge_to_release_1_0):
	  * Added new images for dir details
	  * folder.png: deleted top margin

2007-06-26 Tuesday 23:23  seiya

	* app/controllers/description_controller.rb (1.17, BASE_NODE,
	  VERSION_0_2, BASE_0_2), app/controllers/search_controller.rb
	  (1.31), app/views/description/variable.rhtml (1.14, BASE_0_2),
	  app/views/layouts/gfdnavi.rhtml (1.25, BASE_NODE, VERSION_0_2,
	  BASE_0_2), app/views/search/_children_details.rhtml (1.13),
	  app/views/search/_children_details_tr.rhtml (1.12),
	  app/views/search/_show_results.rhtml (1.4, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), app/views/search/_tree.rhtml
	  (1.19), app/views/search/index.rhtml (1.4),
	  public/javascripts/resizable_box.js (1.3, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/stylesheets/tree.css (1.16, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * change contents in right window of search page
	  * change to show information of directory and variable at bottom ob
	  search page
	  * bugfix

2007-06-26 Tuesday 22:20  horinout

	* app/: models/analysis.rb (1.46),
	  views/analysis/_draw_general_settings.rhtml (1.7):
	  * Image size -> 700,550,400,250 (large,med,small,x-small)

2007-06-26 Tuesday 14:57  seiya

	* app/: controllers/analysis_controller.rb (1.96),
	  models/analysis.rb (1.45):

	  * bugfix

2007-06-26 Tuesday 14:36  horinout

	* app/views/analysis/_history.rhtml (1.4, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2):
	  * to show the correct history number (by using the new
	  AnalysisHistory#offset)

2007-06-26 Tuesday 14:35  horinout

	* app/controllers/application.rb (1.12, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * class AnalysisHistory: Added a new method offset, which is +=1 if
	    shift is made in "push". Array index + offset gives the correct
	    history number.

2007-06-26 Tuesday 12:56  horinout

	* app/models/analysis.rb (1.44),
	  app/views/analysis/_draw_general_settings.rhtml (1.6),
	  lib/vizshot_gfdnavi.rb (1.9, BASE_NODE, VERSION_0_2, BASE_0_2):
	  * supported viewport specification.

2007-06-26 Tuesday 10:56  horinout

	* app/: models/analysis.rb (1.43),
	  views/analysis/_draw_tone_settings.rhtml (1.7, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * Added an option to select logarithmic tone/contour levels

2007-06-25 Monday 20:16  seiya

	* app/models/analysis.rb (1.42):

	  * bugfix

2007-06-22 Friday 22:30  seiya

	* app/controllers/analysis_controller.rb (1.95),
	  app/controllers/application.rb (1.11),
	  app/models/keyword_attribute.rb (1.12, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/analysis/_history.rhtml (1.3), lib/execute_analysis.rb
	  (1.8):

	  * change behavior of history function.
	    * add history when analysis is executed
	    * not draw and change parameters when history link is clicked

2007-06-19 Tuesday 17:19  seiya

	* app/controllers/: analysis_controller.rb (1.94), application.rb
	  (1.10):

	  * fixed bug; an error occur when user move to search page after
	  drawing diagram

2007-06-14 Thursday 11:58  horinout

	* app/views/analysis/_history.rhtml (1.2):
	  * Changed numbering to show the real one: the N-th command is
	    labeled by N (N=1,2,...).

2007-06-14 Thursday 11:32  horinout

	* app/views/analysis/index.rhtml (1.42, MARGE_TO_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * A bit increased the initial height of the variables window.

2007-06-14 Thursday 10:48  horinout

	* app/views/analysis/index.rhtml (1.41):
	  * Minor change in appearance:
	    * Apply <span class="tab_font"> to the titles of the lhs windows
	    * Cleared up the duplication of the titles of the upper-left
	    window

2007-06-12 Tuesday 20:51  seiya

	* app/controllers/analysis_controller.rb (1.93),
	  app/views/analysis/_history.rhtml (1.1),
	  app/views/analysis/index.rhtml (1.40),
	  public/javascripts/gfdnavi.js (1.14, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):

	  * add history function to the analysis page
	  * move suggesion of diagrams to the bottom of the analysis page

2007-06-12 Tuesday 17:10  seiya

	* app/views/analysis/index.rhtml (1.39),
	  public/javascripts/resizable_box.js (1.2),
	  public/stylesheets/analysis.css (1.18):

	  * fixing bugs in resizable box

2007-06-12 Tuesday 12:06  horinout

	* db/register_directory_tree.rb (1.52):
	  * To raise error (not just to warn) when option parse failed.

2007-06-11 Monday 01:34  seiya

	* app/views/analysis/_dimension_option.rhtml (1.14),
	  app/views/analysis/index.rhtml (1.38),
	  app/views/layouts/gfdnavi.rhtml (1.24),
	  app/views/search/_tree.rhtml (1.18),
	  public/javascripts/directory_tree.js (1.10),
	  public/javascripts/resizable_box.js (1.1),
	  public/stylesheets/analysis.css (1.17),
	  public/stylesheets/gfdnavi.css (1.14, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), public/stylesheets/tree.css
	  (1.15):
	  * enable to change size of menu box in analysis page

2007-06-08 Friday 15:58  horinout

	* lib/execute_analysis.rb (1.7): * [DEBUG] in method
	    push_diagram_cache: To set user in the Analysis made from vizshot.
	  Otherwise, one cannot draw figure with limited access.

2007-05-31 Thursday 20:26  horinout

	* app/views/description/: directory.rhtml (1.8, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), variable.rhtml (1.13):
	  * To show the full path in the title line.

2007-05-28 Monday 18:39  horinout

	* app/views/analysis/__help_draw_share.en.html (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2):
	  * minor change.

2007-05-28 Monday 17:54  horinout

	* app/views/analysis/: __help_draw_share.en.html (1.1),
	  _draw_general_settings.rhtml (1.5):
	  * Changed the message for the draw_share check box
	    from "I share the information of diagrams which I draw."
	    to "Record visualization for statistics".
	  * Added help message on the checkbox.

2007-05-28 Monday 12:03  horinout

	* lib/tasks/clean.rake (1.3, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2):
	  * Added treatment for the cases where directories under tmp/work
	    have subdirectories (such as aws).

2007-05-23 Wednesday 20:47  seiya

	* app/controllers/work_flow_controller.rb (1.9, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/layouts/gfdnavi.rhtml (1.23),
	  public/javascripts/directory_tree.js (1.9):

	  * keep changes in width and height of directory tree
	  * minor modification in work_flow

2007-05-23 Wednesday 18:10  horinout

	* public/stylesheets/tree.css (1.14):
	  * Changed the tree view window hieght from 200 to 500.

2007-05-23 Wednesday 17:28  horinout

	* app/views/description/variable.rhtml (1.12):
	  * Download button for images

2007-05-23 Wednesday 17:08  horinout

	* app/: controllers/description_controller.rb (1.16),
	  views/description/variable.rhtml (1.11):
	  * Enhanced: description of an image shows the image.

2007-05-23 Wednesday 17:04  horinout

	* app/controllers/image_controller.rb (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * Handler of images recorded in the gfdnavi database
	  * /image/show/?path=... returns an image if it is available for the
	    current user.  It is a pure image http response, whose Content-Type
	    is image/* (*=png etc).

2007-05-23 Wednesday 13:31  horinout

	* db/register_directory_tree.rb (1.51):
	  * Debug for the option --clean-dir: path LIKE pat --> path LIKE
	    pat+'%' when finding the directory to clear the DB tables.
	  * Debug of user & group registration (embuged in 1.49)
	  * Modified to use the 'group_missing' group if the group name in yml
	    files are not in the current database.

2007-05-23 Wednesday 13:25  horinout

	* lib/tasks/setup.rake (1.18):
	  * Changed to create a predefined group 'group_missing' to register
	    variables whose groups have been lost from the database. Without it,
	    such data will be disclosed to anybody. Initial member of the
	    'group_missing' group is 'root'.

	  * Minor change to warning: to warn database clearance if the
	    variables table is not empty (in addition to its existence, which
	    had been the only check).

2007-05-22 Tuesday 20:40  horinout

	* db/register_directory_tree.rb (1.50), lib/tasks/update.rake (1.2,
	  BASE_0_2):
	  * Improved the use of GPhys#val --> Significant
	    speed up if data size is large. (Esp. the revision
	    made at revision 1.39 was really bad!)

	  * Replaced some of 'find_by_sql' by 'find' for more clarity and
	    readability.  -- I gave up to replace all of them, because I've got
	  tired.

2007-05-05 Saturday 00:38  seiya

	* app/controllers/analysis_controller.rb (1.92):
	  * bugfix

2007-05-05 Saturday 00:31  seiya

	* app/controllers/analysis_controller.rb (1.91),
	  public/images/slider_f_red.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/analysis.js (1.41),
	  public/javascripts/slider.js (1.13, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * use cache in animation when there is no change in parameters
	  * show dial which represents value of dimension for animation
	  * bugfix

2007-05-04 Friday 23:08  morikawa

	* db/register_directory_tree.rb (1.49):
	  * Information about 'user' and 'group' is registered to database.

	  * user, group 情報もデータベースに登録.

2007-05-04 Friday 22:02  morikawa

	* db/register_directory_tree.rb (1.48):
	  * PNG image format file is registered to database too.

	  * PNG 画像ファイルもデータベースに登録.

2007-05-04 Friday 21:24  seiya

	* app/models/variable.rb (1.39):
	  * change not to save yaml file when the file has already exited

2007-05-04 Friday 21:18  morikawa

	* db/register_directory_tree.rb (1.47): * 'variable_reference' is
	  parsed.

	  * variable_reference の解析機能を追加.

2007-05-04 Friday 20:38  morikawa

	* db/register_directory_tree.rb (1.46):
	  * Information with gfdnavi key can be added to each variables in
	    united file by YAML.

	  * YAML による統合ファイルの各変数に gfdnavi
	    キーによる情報付加を可能に する.

2007-05-04 Friday 19:41  morikawa

	* db/register_directory_tree.rb (1.45):
	  * Registration of 'user' and 'group' is suppressed for protection of
	    YAML files.

	  * 登録時に YAML が書き換えられるのを抑制するため, user, group
	    の登録を 止める.

2007-05-04 Friday 19:21  seiya

	* app/: controllers/user_controller.rb (1.12), models/user.rb (1.7)
	  (utags: BASE_0_2, BASE_NODE, BASE_OLD_TRUNK_0, VERSION_0_2):
	  * create group whose name is the same as user's name when new user
	  was created.

2007-05-04 Friday 18:21  morikawa

	* app/models/directory.rb (1.27):
	  * Unnecessary comments are removed.

	  * 不要なコメントを削除.

2007-05-04 Friday 18:07  morikawa

	* db/register_directory_tree.rb (1.44): * 'user' and 'group'
	    attributes of 'gfdnavi' hash in YAML files are registered.

	  * YAML ファイル内の gfdnavi をキーとするハッシュ内の user, group
	    属性をデータベースに登録.

2007-05-04 Friday 17:29  morikawa

	* db/register_directory_tree.rb (1.43):
	  * User directories are parsed.

	  * ユーザディレクトリを探査する.

2007-05-04 Friday 13:07  morikawa

	* db/register_directory_tree.rb (1.42):
	  * Option "--clean-update" is renamed to "--clean-dir".
	  * Option "--search-dir" for change start point of search directory
	  is added.

	  * オプション "--clean-update" を "--clean-dir" に変更.  *
	  探査開始ディレクトリを指定するための, オプション "--search-dir"
	  を追加.

2007-05-04 Friday 10:27  morikawa

	* db/register_directory_tree.rb (1.41): * "--clean-update" for
	    cleaning records once before register is added.

	  * 登録前に, 既に登録されている情報の削除を行うためのオプション
	    "--clean-update" を追加.

2007-05-04 Friday 08:19  morikawa

	* app/models/directory.rb (1.26): * "has_many :variables,
	  :dependent => :destroy" is added.  * "variables" method is deleted.

	  * "has_many :variables, :dependent => :destroy" を追加.
	  * variables メソッドを削除.

2007-05-04 Friday 07:45  morikawa

	* db/register_directory_tree.rb (1.40): * "userdir" option is
	  added. (Actual register is not implemented yet).

	  * userdir オプションの追加 (実質的な登録は未実装).

2007-05-04 Friday 07:21  morikawa

	* db/register_directory_tree.rb (1.39):
	  * Exceptional handling about blank time, latitude, longitude data.

	  * 時間, 緯度, 経度データに関し, 空データの場合の例外処理.

2007-05-04 Friday 06:48  morikawa

	* db/register_directory_tree.rb (1.38):
	  * Documents about "keyword_attribute_register" are modified.
	  * A method "gfdnavi_params_register" that registers information
	    generated by Web interfaces is created.
	  * Messages are displayed with normal termination.

	  * keyword_attribute_register の解説文書を更新.
	  * Web インターフェースから生成された情報を登録するための
	    メソッド gfdnavi_params_register を作成.  *
	  正常終了時にメッセージを表示.

2007-04-18 Wednesday 20:51  horinout

	* public/javascripts/gfdnavi.js (1.13): * #e0ffff -> #ddeeff for
	  uniformity (with the diagram hedding)

2007-04-18 Wednesday 20:35  horinout

	* public/javascripts/gfdnavi.js (1.12):
	  * Added style="background-color:#e0ffff;cursor:move;" to the top bar
	    of PopupMenu.

2007-04-18 Wednesday 20:02  horinout

	* public/: images/hbar.png (1.1, marge_to_release_1_0, VERSION_1_0,
	  VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), images/vbar.png (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2), stylesheets/tree.css (1.13):
	  * Changed the appearance of the drag&movable bars in the tree view
	  window

2007-04-18 Wednesday 18:17  horinout

	* public/javascripts/directory_tree.js (1.8):
	  * Changed the upper limit of the tree view window height (300 -->
	  1000).

2007-04-17 Tuesday 18:19  horinout

	* app/views/search/__help_dir_details.html (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2):
	  * minor change

2007-04-17 Tuesday 18:14  horinout

	* app/views/layouts/gfdnavi.rhtml (1.22): * "Gfdnavi Docs" -->
	  "Help"

2007-04-17 Tuesday 17:31  seiya

	* app/: controllers/work_flow_controller.rb (1.8),
	  models/analysis.rb (1.41):

	  * enable to execute local api in work_flow

2007-04-17 Tuesday 17:13  horinout

	* ChangeLog (1.4, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * updated

2007-04-17 Tuesday 17:07  horinout

	* app/views/layouts/gfdnavi.rhtml (1.21):
	  * Changed link to the Gfdnavi home page (Label: "Gfdnavi Home&Docs")
	    to a link directly to the Gfdnavi documentation page (Label:
	    "Gfdnavi Docs").  (this is because I wrote english documentation a
	  little bit -- sorry, just a little bit.)

2007-04-17 Tuesday 10:24  horinout

	* app/apis/webservice_analysis_api.rb (1.7, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):
	  * delete_work: to use FileUtils.rm_rf

2007-04-16 Monday 18:23  seiya

	* app/controllers/work_flow_controller.rb (1.7),
	  app/views/work_flow/_push_wsdls.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/work_flow.js (1.9, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2):

	  * bugfix
	  * change cursor while execution in work_flow

2007-04-16 Monday 18:13  horinout

	* app/helpers/search_helper.rb (1.4), public/images/tree/last.gif
	  (1.2, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0), public/images/tree/t.gif (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0),
	  public/images/tree/tate.gif (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0) (utags: BASE_0_2,
	  BASE_NODE, BASE_OLD_TRUNK_0, VERSION_0_2):
	  * To use gif to get around IE6 bugs (images for dotted lines in the
	  tree: t, tate, last)

2007-04-16 Monday 12:14  seiya

	* app/controllers/work_flow_controller.rb (1.6),
	  app/helpers/work_flow_helper.rb (1.5, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/work_flow/index.rhtml (1.6, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/work_flow.js (1.8),
	  public/stylesheets/work_flow.css (1.8, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2):

	  * bugfix
	  * simplified code

2007-04-15 Sunday 21:14  otsuka

	* install.rb (1.5): bugfix in install.rb: fix copy program of
	  sample data.

2007-04-15 Sunday 19:23  otsuka

	* install.rb (1.4): bugfix in install.rb: after execution of rake
	  setup, reload of environment.rb is needed.

2007-04-14 Saturday 22:42  seiya

	* app/controllers/work_flow_controller.rb (1.5),
	  app/views/work_flow/index.rhtml (1.5),
	  public/javascripts/work_flow.js (1.7),
	  public/stylesheets/work_flow.css (1.7):

	  * add get_ruby_code action in work_flow

2007-04-14 Saturday 15:13  seiya

	* app/views/work_flow/index.rhtml (1.4),
	  public/javascripts/work_flow.js (1.6),
	  public/stylesheets/work_flow.css (1.6):
	  * changes for appearance on IE

2007-04-14 Saturday 14:16  seiya

	* public/images/tree/: last.png (1.1), none.png (1.1), t.png (1.1),
	  tate.png (1.1) (utags: BASE_0_2, BASE_1_0, BASE_NODE,
	  BASE_OLD_TRUNK_0, MARGE_TO_TRUNK_0, VERSION_0_1, VERSION_0_2,
	  VERSION_1_0, marge_to_release_1_0):
	  * add new images for directory tree

2007-04-14 Saturday 14:15  seiya

	* app/controllers/search_controller.rb (1.30),
	  app/helpers/search_helper.rb (1.3),
	  app/views/search/_children.rhtml (1.12),
	  app/views/search/_tree.rhtml (1.17), public/stylesheets/tree.css
	  (1.12):
	  * change not to be inserted between columns in directory tree

2007-04-14 Saturday 01:16  seiya

	* app/views/work_flow/_push_wsdls.rhtml (1.1):
	  * add the file which I forgot to commit

2007-04-13 Friday 23:36  seiya

	* app/apis/webservice_analysis_api.rb (1.6),
	  app/controllers/work_flow_controller.rb (1.4),
	  app/helpers/work_flow_helper.rb (1.4),
	  public/javascripts/work_flow.js (1.5),
	  public/stylesheets/work_flow.css (1.5):

	  * enable connection between entities of apis

2007-04-13 Friday 19:02  horinout

	* public/stylesheets/gfdnavi.css (1.13):
	  * Specify font-weight: normal; for H2-H4.a (How do you think?)

2007-04-13 Friday 17:58  horinout

	* app/views/analysis/__help_analysis_tab.en.html (1.6,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/search/__help_dir_details.html (1.1),
	  app/views/search/__help_dir_tree.html (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/search/_children_details.rhtml (1.12),
	  app/views/search/_tree.rhtml (1.16),
	  public/images/Help_S-shots/dir_tree_with_add.jpg (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2), public/stylesheets/gfdnavi.css (1.12),
	  public/stylesheets/tree.css (1.11):
	  * Created popup helps for the directory tree (lhs window
	    of /search) and directory contents (rhs window of /search).

2007-04-13 Friday 14:20  horinout

	* app/views/search/index.rhtml (1.3):
	  * Changed the wording for the link to "mapsearch" a bit.

2007-04-13 Friday 12:42  horinout

	* app/views/layouts/gfdnavi.rhtml (1.20):
	  * Added links to
	    * Gfdnavi homepage as "Gfdnavi Home&Docs"
	    * Top page of the current Gfdnavi

2007-04-12 Thursday 20:52  seiya

	* app/controllers/work_flow_controller.rb (1.3),
	  app/helpers/work_flow_helper.rb (1.3),
	  app/views/work_flow/index.rhtml (1.3),
	  public/javascripts/work_flow.js (1.4),
	  public/stylesheets/work_flow.css (1.4):

	  * enable to execute webservice of another host from work_flow page
	    * I do not know the reason, but cannot connect self host.
	      * because of OS?
	    * enable to make link between apis just on diagram, but it does
	    not work yet.

2007-04-11 Wednesday 19:31  seiya

	* app/controllers/analysis_controller.rb (1.90),
	  lib/execute_analysis.rb (1.6), public/javascripts/analysis.js
	  (1.40), public/javascripts/work_flow.js (1.3),
	  public/stylesheets/work_flow.css (1.3):

	  * bugfix
	  * minor changes

2007-04-11 Wednesday 18:47  seiya

	* app/controllers/work_flow_controller.rb (1.2),
	  app/helpers/work_flow_helper.rb (1.2), app/models/variable.rb
	  (1.38), app/views/layouts/gfdnavi.rhtml (1.19),
	  app/views/work_flow/index.rhtml (1.2), public/images/x.gif (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/excanvas.js (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/work_flow.js (1.2),
	  public/stylesheets/work_flow.css (1.2):

	  * add has_many :draw_parameters to Variable model
	  * many changes in work_flow
	    * however, it has not worked yet.

2007-04-06 Friday 22:19  seiya

	* app/controllers/work_flow_controller.rb (1.1),
	  app/helpers/work_flow_helper.rb (1.1),
	  app/views/layouts/gfdnavi.rhtml (1.18),
	  app/views/work_flow/index.rhtml (1.1),
	  public/javascripts/work_flow.js (1.1),
	  public/stylesheets/work_flow.css (1.1),
	  test/functional/work_flow_controller_test.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2):

	  * make work_flow controller and view
	    * this is just mock currently

2007-04-06 Friday 19:00  seiya

	* TODO (1.1):

	  * ass TODO file

2007-04-06 Friday 18:41  seiya

	* app/controllers/analysis_controller.rb (1.89),
	  app/views/analysis/_diagram.rhtml (1.12, BASE_NODE, VERSION_0_2,
	  BASE_0_2), public/javascripts/analysis.js (1.39):

	  * cache image files in local while animation

2007-04-05 Thursday 17:16  seiya

	* app/: controllers/analysis_controller.rb (1.88),
	  models/analysis.rb (1.40):

	  * bugfix in setting tone levels

2007-04-05 Thursday 16:19  seiya

	* app/apis/webservice_analysis_api.rb (1.5),
	  app/controllers/analysis_controller.rb (1.87),
	  app/controllers/search_controller.rb (1.29),
	  app/controllers/webservice_analysis_controller.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2), app/models/analysis.rb (1.39), app/models/directory.rb
	  (1.25), app/models/variable.rb (1.37),
	  app/views/search/_children_details.rhtml (1.11),
	  config/gfdnavi.yml.example (1.10), config/load_config.rb (1.7),
	  lib/execute_analysis.rb (1.5), public/javascripts/analysis.js
	  (1.38):

	  * add a new api, 'analysis', to webservice_analysis
	  * change name of api 'diagramUrl' to 'draw'
	  * sort directories or variables by name in search tree
	  * bugfix
	    * executed when any key pressed in analysis page

2007-04-02 Monday 16:00  seiya

	* app/apis/webservice_analysis_api.rb (1.4),
	  app/controllers/analysis_controller.rb (1.86),
	  app/models/analysis.rb (1.38), lib/execute_analysis.rb (1.4):

	  * fix bug that parameters in diagramUrl were invalide except
	  "variables"

2007-04-02 Monday 14:56  seiya

	* app/views/analysis/_diagram.rhtml (1.11),
	  public/javascripts/analysis.js (1.37):

	  * change to execute when key pressed in analysis page
	  * bugfix

2007-04-02 Monday 01:11  seiya

	* app/apis/webservice_analysis_api.rb (1.3),
	  lib/execute_analysis.rb (1.3):

	  * enable the diagramUrl to get uri as variable name

2007-04-01 Sunday 20:02  seiya

	* app/apis/webservice_analysis_api.rb (1.2),
	  app/controllers/analysis_controller.rb (1.85),
	  app/models/analysis.rb (1.37),
	  app/views/analysis/_analysis_settings.rhtml (1.8,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/analysis/_draw_general_settings.rhtml (1.4),
	  app/views/analysis/_draw_settings.rhtml (1.14, BASE_NODE,
	  VERSION_0_2, BASE_0_2), app/views/analysis/index.rhtml (1.37),
	  lib/execute_analysis.rb (1.2), public/javascripts/analysis.js
	  (1.36), public/javascripts/slider.js (1.12):

	  * support animation
	  * move draw and analysis buttons into draw and analysis tabs,
	  respectively.

2007-03-31 Saturday 16:21  seiya

	* app/apis/webservice_analysis_api.rb (1.1),
	  app/controllers/analysis_controller.rb (1.84),
	  app/controllers/application.rb (1.9),
	  app/controllers/webservice_analysis_controller.rb (1.1),
	  app/models/analysis.rb (1.36), app/models/variable.rb (1.36),
	  app/views/analysis/show_diagram.rhtml (1.1, MARGE_TO_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), lib/execute_analysis.rb (1.1),
	  lib/file_gfdnavi.rb (1.2, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2),
	  test/functional/webservice_analysis_api_test.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, VERSION_0_1, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2):

	  * add webservice for draw diagrams
	    * http://host:port/path/webservice_analysis/service.wsdl
	      * there is only one api: diagramUrl
	  * change to show a simple page when the "link to this diagram" link
	  is clicked
	  * bugfix

2007-03-12 Monday 12:06  seiya

	* install.rb (1.3), db/migrate/001_initial_scheme.rb (1.24),
	  db/migrate/002_rel01.rb (1.1):

	  * enable to keep configure file while execution of install.rb
	  * make 002_rel01.rb rdb table migration file
	    * mv part related to draw_parameters to the new file
	    * we should edit the new migration file when we change rdb table

2007-03-12 Monday 10:31  otsuka

	* install.rb (1.2): changes for cygwin in install.rb

2007-03-11 Sunday 18:11  seiya

	* install.rb (1.1), config/load_config.rb (1.6), db/dump_db.rb
	  (1.2, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  lib/tasks/setup.rake (1.17):

	  * add install script
	  * bugfix

2007-03-11 Sunday 11:55  seiya

	* db/dump_db.rb (1.1), db/restore_db.rb (1.1, BASE_0_2),
	  lib/tasks/setup.rake (1.16), lib/tasks/update.rake (1.1):

	  * add new scripts: dump_db.rb and restore_db.rb
	  * add new task to rake: update

2007-03-11 Sunday 00:30  seiya

	* app/controllers/analysis_controller.rb (1.83),
	  app/models/draw_parameter.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2), app/models/variable.rb (1.35),
	  db/migrate/001_initial_scheme.rb (1.23),
	  test/fixtures/draw_parameters.yml (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2),
	  test/unit/draw_parameter_test.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2):

	  * add new table draw_parameters
	  * enable set default draw parameters

2007-03-10 Saturday 23:42  seiya

	* app/: controllers/analysis_controller.rb (1.82),
	  models/variable.rb (1.34), views/analysis/save.rhtml (1.9,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  views/description/variable.rhtml (1.10):

	  * add "group", "user", and "references" in yaml when user save
	  variable

2007-03-10 Saturday 18:06  morikawa

	* db/register_directory_tree.rb (1.37):
	  * Data files in symbolic directories under "public/data" can be
	  registered.

	  * public/data 以下のシンボリックリンクなディレクトリ以下のデータも
	    登録するよう改良する.

2007-03-10 Saturday 16:12  seiya

	* app/controllers/search_controller.rb (1.28),
	  app/views/search/mapsearch.rhtml (1.21, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/views/search/remapsearch.rjs (1.1, marge_to_release_1_0,
	  VERSION_1_0, VERSION_0_1, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/mapsearch.js (1.8, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2):

	  * change code to not use xml in map search

2007-03-10 Saturday 16:08  morikawa

	* db/register_directory_tree.rb (1.36):
	  * When united virtual file names in YAML files are not matched to
	    actual files, an error is occurred.

	  * YAML
	    ファイル中の統合仮想ファイル名が実ファイルにマッチしない場合に
	  エラーを返す.

2007-03-10 Saturday 15:40  morikawa

	* db/register_directory_tree.rb (1.35):
	  * Normal output messages are simplified.

	  * 通常のメッセージ出力を簡素化.

2007-03-10 Saturday 13:26  seiya

	* app/controllers/analysis_controller.rb (RELEASE_0_1.3):

	  * bugfix in makeing tar.gz file

2007-03-10 Saturday 02:48  morikawa

	* db/register_directory_tree.rb (1.34):
	  * Duplicate registration bug is fixed.

	  * 重複登録しないよう変更.

2007-03-07 Wednesday 00:25  morikawa

	* db/register_directory_tree.rb (RELEASE_0_1.2):
	  * An error due to loading of GRIB and GrADS data is suppressed.

	  * GRIB, GrADS データ読み込み時に生じるエラーを抑制.

2007-03-06 Tuesday 22:45  horinout

	* ChangeLog (1.3), app/controllers/analysis_controller.rb (1.81),
	  app/controllers/function_controller.rb (1.6),
	  app/models/analysis.rb (1.35), app/models/function_argument.rb
	  (1.2, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  app/models/query.rb (1.20, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2), app/models/variable.rb (1.33),
	  app/views/description/variable.rhtml (1.9),
	  app/views/function/create.rhtml (1.4, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), config/environment.rb (1.20,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  public/javascripts/function.js (1.3, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2):
	  * Merged from branch RELEASE_0_1

2007-03-06 Tuesday 22:08  horinout

	* ChangeLog (tags: VERSION_0_1) (RELEASE_0_1.1):
	  * updated

2007-03-06 Tuesday 21:26  kubota

	* app/models/analysis.rb (tags: VERSION_0_1) (RELEASE_0_1.1):
	  * always to use tonf instead of tone

2007-03-06 Tuesday 17:36  morikawa

	* db/register_directory_tree.rb (1.33):
	  * An error due to loading of GRIB and GrADS data is suppressed.

	  * GRIB, GrADS データ読み込み時に生じるエラーを抑制.

2007-03-06 Tuesday 10:28  seiya

	* config/environment.rb (tags: VERSION_0_1) (RELEASE_0_1.1):

	  * require some files in environment.rb

2007-03-05 Monday 22:37  seiya

	* app/controllers/analysis_controller.rb,
	  app/controllers/function_controller.rb,
	  app/models/function_argument.rb, app/models/variable.rb,
	  app/views/description/variable.rhtml,
	  app/views/function/create.rhtml, public/javascripts/function.js
	  (RELEASE_0_1.[2,1,1,1,1,1,1]) (utags: VERSION_0_1):

	  * bugfix in reference of variable
	  * bugfix in adding function

2007-03-03 Saturday 20:45  seiya

	* app/models/query.rb (tags: VERSION_0_1) (RELEASE_0_1.3):

	  * bugfix in keyword search

2007-03-03 Saturday 19:42  seiya

	* app/models/query.rb (RELEASE_0_1.2):

	  * bugfix in keyword research

2007-03-03 Saturday 17:58  horinout

	* public/javascripts/mapsearch.js (tags: VERSION_0_1)
	  (RELEASE_0_1.1): merged from trunk (revision 1.7)

2007-03-03 Saturday 17:57  horinout

	* db/register_directory_tree.rb (tags: VERSION_0_1)
	  (RELEASE_0_1.1): merged from trunk (revision 1.32)

2007-03-03 Saturday 17:56  horinout

	* app/models/query.rb (RELEASE_0_1.1): merged from trunk (revision
	  1.19)

2007-03-03 Saturday 17:54  horinout

	* app/controllers/analysis_controller.rb (RELEASE_0_1.1): merged
	  from trunk (revision 1.80)

2007-03-03 Saturday 17:34  horinout

	* lib/tasks/setup.rake (tags: VERSION_0_1) (RELEASE_0_1.1): merged
	  from trunk (revision 1.15)

2007-03-01 Thursday 14:22  morikawa

	* app/controllers/analysis_controller.rb (1.80),
	  lib/tasks/setup.rake (1.15):
	  * File paths are bracketed with double quotation marks so that
	    gfdnavi located in a directory including space characters work
	    correctly.

	  * 空白文字が含まれるディレクトリ以下に gfdnavi が置かれていても
	    動作するようファイルパスをダブルクォーテーションでくくる.

2007-02-28 Wednesday 16:59  seiya

	* public/javascripts/mapsearch.js (1.7):
	  * bugfix related to the path probrem

2007-02-28 Wednesday 16:52  seiya

	* app/models/query.rb (1.19):
	  * bugfix for PostgreSQL

2007-02-28 Wednesday 16:21  seiya

	* app/controllers/analysis_controller.rb (1.79),
	  db/register_directory_tree.rb (1.32), lib/tasks/setup.rake
	  (1.14):
	  * bugfix for windows

2007-02-28 Wednesday 14:03  seiya

	* app/: controllers/search_controller.rb (1.27, VERSION_0_1),
	  models/query.rb (1.18), views/search/_children_details_tr.rhtml
	  (1.11, VERSION_0_1), views/search/_show_grouplist.rhtml (1.3,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1),
	  views/search/_show_results.rhtml (1.3, VERSION_0_1),
	  views/search/_show_variablelist.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1),
	  views/search/mapsearch.rhtml (1.20, VERSION_0_1) (utags:
	  BASE_0_1):

	  * bugfix related to map search

2007-02-27 Tuesday 20:11  chiemi

	* app/models/query.rb (1.17): bugfix from query.querystring()

2007-02-27 Tuesday 19:12  seiya

	* app/views/analysis/_popular_diagrams.rhtml (1.7,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * bugfix for sqlite3

2007-02-27 Tuesday 15:22  seiya

	* app/views/search/: _show_grouplist.rhtml (1.2), mapsearch.rhtml
	  (1.19):

	  * fix for probrems related with path

2007-02-27 Tuesday 15:00  seiya

	* app/controllers/analysis_controller.rb (1.78),
	  app/views/layouts/gfdnavi.rhtml (1.17, VERSION_0_1),
	  app/views/search/_children.rhtml (1.11, VERSION_0_1),
	  app/views/search/_tree.rhtml (1.15, VERSION_0_1),
	  public/javascripts/analysis.js (1.35, VERSION_0_1),
	  public/javascripts/progress.js (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1) (utags: BASE_0_1):

	  * bugfix for progressText

2007-02-26 Monday 13:48  chiemi

	* public/images/kikyu_g.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1): add
	  green baloon icon

2007-02-26 Monday 13:47  chiemi

	* public/images/kikyu_r.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1): add red
	  baloon icon

2007-02-26 Monday 13:40  chiemi

	* app/views/search/_show_variablelist.rhtml (1.1): add newfile

2007-02-26 Monday 13:39  chiemi

	* app/views/search/_show_grouplist.rhtml (1.1): Add newfile

2007-02-26 Monday 13:37  chiemi

	* app/views/search/mapsearch.rhtml (1.18): update interface design

2007-02-26 Monday 13:32  chiemi

	* app/controllers/search_controller.rb (1.26): add functions for
	  interactive querying

2007-02-26 Monday 13:29  seiya

	* lib/no_rdb_base.rb (1.2, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * bugfix

2007-02-26 Monday 13:28  chiemi

	* app/models/query.rb (1.16): update constructor and query_string

2007-02-26 Monday 13:26  chiemi

	* public/javascripts/mapsearch.js (1.6, BASE_0_1): add interactive
	  functions to narrow down variables

2007-02-24 Saturday 20:16  seiya

	* app/models/analysis.rb (1.34, BASE_0_1):

	  * minor bugfix

2007-02-24 Saturday 20:08  seiya

	* app/: models/analysis.rb (1.33),
	  views/analysis/_popular_diagrams.rhtml (1.6):

	  * some arranges of the code

2007-02-24 Saturday 19:09  seiya

	* app/models/analysis.rb (1.32),
	  app/views/analysis/_draw_tone_settings.rhtml (1.6, VERSION_0_1,
	  BASE_0_1), test/functional/analysis_controller_test.rb (1.5,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * change names of attribution of Analysis model to be the same as
	  ggraph

2007-02-24 Saturday 12:31  seiya

	* app/models/analysis.rb (1.31):

	  * bugfix in analysis.rb

2007-02-24 Saturday 00:38  seiya

	* app/controllers/analysis_controller.rb (1.77),
	  app/models/analysis.rb (1.30),
	  app/views/analysis/_popular_diagrams.rhtml (1.5),
	  app/views/analysis/_save_form.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/analysis/save.rhtml (1.8, VERSION_0_1, BASE_0_1),
	  app/views/function/create.rhtml (1.3, BASE_0_1),
	  app/views/group/add_member.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/group/create.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/group/delete_member.rhtml (1.2, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/search/_children_details.rhtml (1.10, VERSION_0_1,
	  BASE_0_1), app/views/search/_show_results.rhtml (1.2),
	  app/views/search/_show_results_global.rhtml (1.3,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), app/views/search/_show_results_partial.rhtml (1.4,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1),
	  app/views/search/_show_results_partial_groupbyfile.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), app/views/search/mapsearch.rhtml (1.17),
	  app/views/user/add_user.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/user/change_password.rhtml (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/user/signup.rhtml (1.6, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  lib/no_rdb_base.rb (1.1):

	  * remove "end_form_tag"
	  * define NoRdbBase < ActiveRecord::Base

2007-02-22 Thursday 10:59  seiya

	* app/controllers/analysis_controller.rb (1.76),
	  app/controllers/user_controller.rb (1.11, VERSION_0_1, BASE_0_1),
	  app/models/user.rb (1.6, VERSION_0_1, BASE_0_1),
	  app/views/analysis/_popular_diagrams.rhtml (1.4),
	  app/views/user/index.rhtml (1.8, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/user/login.rhtml (1.4, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  config/gfdnavi.yml.example (1.9, VERSION_0_1, BASE_0_1),
	  config/load_config.rb (1.5, VERSION_0_1, BASE_0_1),
	  lib/login_system.rb (1.4, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * change codes as DEPRECATION WARNING
	  * add enable_email to configure (gfdnavi.yml.example)
	  * change to use fork only under linux
	  * disable to reset session when user login because we cannot login
	    under rails-1.2.*
	  * have to enable for a measure against Session Fixation Attack

2007-02-03 Saturday 23:43  seiya

	* app/controllers/analysis_controller.rb (1.75),
	  app/controllers/function_controller.rb (1.5, BASE_0_1),
	  app/controllers/group_controller.rb (1.3, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/controllers/search_controller.rb (1.25),
	  app/models/analysis.rb (1.29), app/models/group.rb (1.5,
	  VERSION_0_1, BASE_0_1), app/models/user_mailer.rb (1.3,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), app/views/analysis/_diagram.rhtml (1.10, VERSION_0_1,
	  BASE_0_1), app/views/analysis/_dimension_option.rhtml (1.13,
	  VERSION_0_1, BASE_0_1),
	  app/views/analysis/_draw_general_settings.rhtml (1.3,
	  VERSION_0_1, BASE_0_1),
	  app/views/analysis/_popular_diagrams.rhtml (1.3),
	  app/views/analysis/index.rhtml (1.36, VERSION_0_1, BASE_0_1),
	  app/views/layouts/gfdnavi.rhtml (1.16),
	  app/views/search/_tree.rhtml (1.14), app/views/user/index.rhtml
	  (1.7), db/migrate/001_initial_scheme.rb (1.22, VERSION_0_1,
	  BASE_0_1), lib/vizshot_gfdnavi.rb (1.8, VERSION_0_1, BASE_0_1),
	  public/images/star1.gif (1.1, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  public/images/star2.gif (1.1, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  public/javascripts/gfdnavi.js (1.11, VERSION_0_1, BASE_0_1),
	  test/unit/user_mailer_test.rb (1.2, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * add images of star
	  * change AR#find_all to AR#find(:all,)
	  * change some structure of analysis controller
	  * add share column to diagram_cache_sessions table
	  * add checkbox to disable to share information of diagrams which you
	  draw

2007-02-03 Saturday 13:35  seiya

	* app/controllers/analysis_controller.rb (1.74),
	  app/views/analysis/index.rhtml (1.35),
	  public/javascripts/gfdnavi.js (1.10):

	  * enable to show benchmark when 'analysis' is executed

2007-02-03 Saturday 13:10  seiya

	* app/controllers/analysis_controller.rb (1.73),
	  app/controllers/application.rb (1.8, VERSION_0_1, BASE_0_1),
	  app/helpers/application_helper.rb (1.4, VERSION_0_1, BASE_0_1),
	  lib/file.rb (1.2), lib/file_gfdnavi.rb (1.1, VERSION_0_1,
	  BASE_0_1):

	  * mv lib/file.rb to lib/file_gfdnavi.rb
	  * change not to use 'model' method
	  * change way to generate temporary file or dir name

2007-02-02 Friday 20:46  seiya

	* app/controllers/analysis_controller.rb (1.72),
	  app/models/analysis.rb (1.28), app/views/analysis/_diagram.rhtml
	  (1.9), app/views/analysis/index.rhtml (1.34),
	  config/gfdnavi.yml.example (1.8), config/load_config.rb (1.4),
	  public/javascripts/gfdnavi.js (1.9),
	  public/stylesheets/analysis.css (1.16, VERSION_0_1, BASE_0_1),
	  public/stylesheets/gfdnavi.css (1.11, VERSION_0_1, BASE_0_1):

	  * change diagram label of diagram cache
	  * show benchmark while drawing diagram if benchmark option is set in
	  gfdnavi.yaml

2007-02-02 Friday 00:05  seiya

	* app/controllers/analysis_controller.rb (1.71), lib/file.rb (1.1):

	  * enable to execute 'analysis' for variable of which number of file
	  is plural
	  * change File.rename to raise when dst file already exist
	  * set noclobber option true in NetCDF.create

2007-01-31 Wednesday 17:01  seiya

	* consistency_checker.rb (1.3, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * bugfix

2007-01-31 Wednesday 16:49  horinout

	* app/models/actual_file.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):
	  * Model for the new table actual_files.

2007-01-31 Wednesday 15:02  seiya

	* consistency_checker.rb (1.2):

	  * bugfix

2007-01-31 Wednesday 14:24  seiya

	* consistency_checker.rb (1.1), db/migrate/001_initial_scheme.rb
	  (1.21):

	  * add consistency_checker
	  * fix typo

2007-01-30 Tuesday 22:11  horinout

	* app/models/variable.rb (1.32, BASE_0_1):
	  * Modified Variable#name= just to deal with the DB table. We may
	  modfy it further.

2007-01-30 Tuesday 21:22  horinout

	* db/register_directory_tree.rb (1.31, BASE_0_1):
	  * To use the actual_files table for variables that reside in
	  multiple files.
	  * A new expression was supported in the YAML file to specify such
	    variables.  This allows to alias the wild card such as
	       010[1-3].nc/temp in 2006.nc:
	    The part following 'in' is the new expression. In this case, the
	    directory name in db becomes 2006.nc instead of 010[1-3].nc. By
	    using this aliasing, you can change the parent directory as follows:
	       010[1-3].nc/temp in ../2006.nc:

2007-01-30 Tuesday 21:13  horinout

	* lib/tasks/setup.rake (1.13, BASE_0_1):
	  * Added deletion of actual_files in the task "tree" (rake
	  setup:tree).

2007-01-30 Tuesday 21:09  horinout

	* app/models/variable.rb (1.31):
	  * To use the actual_files table instead of directly applying
	  Dir.glob
	  * file_and_variable_names was modified to return an Array of file
	    names as the first return value when the variable resides in
	    multiple files.  Otherwise, the result is the same as before.

2007-01-30 Tuesday 20:57  horinout

	* db/migrate/001_initial_scheme.rb (1.20):
	  * Added new table actual_files, which holds the file paths for
	    variables that virtually unite multiple files. (this table is not
	    used for single-file variables.)

2007-01-30 Tuesday 10:56  horinout

	* public/javascripts/gfdnavi.js (1.8):
	  * Debug. Corrected path of the close mark (x.gif) for apache.

2007-01-29 Monday 18:24  horinout

	* public/javascripts/gfdnavi.js (1.7):
	  * Adapted for IE (suggested by s nishizawa)

2007-01-29 Monday 18:10  seiya

	* app/: controllers/analysis_controller.rb (1.70),
	  models/function.rb (1.14, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  views/analysis/_analysis_function_settings.rhtml (1.3,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * bugfix

2007-01-29 Monday 15:08  horinout

	* app/controllers/analysis_controller.rb (1.69):
	  * corrected typo: l.448: ActiveRecored -> ActiveRecord

2007-01-29 Monday 14:45  horinout

	* public/javascripts/gfdnavi.js (1.6):
	  * very minor change (just to tidy up).

2007-01-29 Monday 14:40  horinout

	* app/views/analysis/__help_analysis_tab.en.html (1.5, VERSION_0_1,
	  BASE_0_1), public/javascripts/gfdnavi.js (1.5),
	  public/stylesheets/gfdnavi.css (1.10):
	  * Changed highlighting in help popups.
	    * gfdnavi.js: introduced functions helpLinkHilit and
	      helpLinkUnhilit (for onMouseOver and onMouseOut, respectively).
	    * gfdnavi.css: added setting for the "help_link" class.
	    * __help_analysis_tab.en.html:updated to use these changes.

2007-01-29 Monday 12:55  seiya

	* app/: controllers/analysis_controller.rb (1.68),
	  models/directory.rb (1.24, VERSION_0_1, BASE_0_1),
	  models/function.rb (1.13), models/variable.rb (1.30),
	  views/analysis/_popular_diagrams.rhtml (1.2):

	  * bugfix

2007-01-26 Friday 21:26  seiya

	* app/models/: diagram_cache.rb (1.1), diagram_cache_datum.rb
	  (1.1), diagram_cache_session.rb (1.1) (utags: BASE_0_1, BASE_0_2,
	  BASE_1_0, BASE_NODE, BASE_OLD_TRUNK_0, MARGE_TO_TRUNK_0,
	  VERSION_0_1, VERSION_0_2, VERSION_1_0, marge_to_release_1_0):

	  * forgot to commit

2007-01-26 Friday 17:22  seiya

	* app/: controllers/analysis_controller.rb (1.67),
	  models/analysis.rb (1.27):

	  * bugfix

2007-01-26 Friday 16:37  seiya

	* app/: controllers/analysis_controller.rb (1.66),
	  models/analysis.rb (1.26):

	  * bugfix

2007-01-26 Friday 16:20  seiya

	* app/: controllers/analysis_controller.rb (1.65),
	  controllers/description_controller.rb (1.15, VERSION_0_1,
	  BASE_0_1), models/analysis.rb (1.25), models/directory.rb (1.23):

	  * change id to path in URI to draw diagram
	  * enable to disable showing download link in description of
	    directory
	  * put keyword attribute (download:disable) into SIGEN or yaml file
	  to disable download data
	  * put sample data: era40/t.jan.nc
	    * put era40.SIGEN, which has the attribute to disable download
	    data, and t.jan.nc.yml

2007-01-26 Friday 01:26  seiya

	* app/views/analysis/__help_analysis_tab.en.html (1.4):

	  * highlight the corresponding DOM component when mouse goes on a
	  text in the help popup menu.

2007-01-26 Friday 00:48  seiya

	* app/helpers/application_helper.rb (1.3),
	  app/views/analysis/index.rhtml (1.33),
	  public/javascripts/gfdnavi.js (1.4):

	  * enable to add header to popup menu
	  * enable to open plural popup menus

2007-01-25 Thursday 23:44  seiya

	* app/controllers/analysis_controller.rb (1.64),
	  app/models/analysis.rb (1.24), app/models/variable.rb (1.29),
	  app/views/analysis/_diagram.rhtml (1.8),
	  app/views/analysis/_popular_diagrams.rhtml (1.1),
	  app/views/analysis/index.rhtml (1.32), config/gfdnavi.yml.example
	  (1.7), config/load_config.rb (1.3),
	  db/migrate/001_initial_scheme.rb (1.19), lib/vizshot_gfdnavi.rb
	  (1.7), lib/tasks/clean.rake (1.2, VERSION_0_1, BASE_0_1),
	  public/javascripts/analysis.js (1.34),
	  test/fixtures/diagram_cache_data.yml (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/diagram_cache_sessions.yml (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/diagram_caches.yml (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/diagram_cache_datum_test.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/diagram_cache_session_test.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/unit/diagram_cache_test.rb (1.1,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * change to cache diagrams
	    * add tables to database
	      * diagram_caches
	      * diagram_cache_data
	      * diagram_cache_sessions
	    * add task of rake clean:diagram_cache
	  * fix some bugs

2007-01-18 Thursday 21:56  seiya

	* app/views/user_mailer/signup_confirm.rhtml (1.3,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * edit confirming email for signing up (by Shiotani)

2007-01-16 Tuesday 00:12  morikawa

	* db/register_directory_tree.rb (1.30):
	  * A description of criterion for deciding time, latitude, and
	    longitude coordinates is added to comment.

	  * 時間, 緯度経度座標の判定方法についてコメント部分に
	    解説文書を追記.

2007-01-15 Monday 15:42  horinout

	* app/views/analysis/_dimension_option.rhtml (1.12),
	  app/views/analysis/_variables.rhtml (1.16, VERSION_0_1,
	  BASE_0_1), public/javascripts/analysis.js (1.33),
	  public/javascripts/gfdnavi.js (1.3):
	  * moved mover & mout from analysis.js to gfdnavi.js and renamed to
	    bgHighlight & bgUnhighlight
	  * reflected the function rename to views
	    (app/views/analysis/_variables.rhtml &
	  app/views/analysis/_dimension_option.rhtml)

2007-01-15 Monday 15:07  horinout

	* public/javascripts/: analysis.js (1.32), gfdnavi.js (1.2):
	  * Moved PopupMenu from analysis.js to gfdnavi.js

2007-01-15 Monday 14:51  horinout

	* app/helpers/: analysis_helper.rb (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  application_helper.rb (1.2):
	  * movded help_popup and locale from analysis_helper.rb to
	    application_helper.rb, so that we can use help popups
	    in other views.
	    (we should also move PopupMenu from analysis.js)

2007-01-13 Saturday 00:35  seiya

	* app/: controllers/user_controller.rb (1.10),
	  models/user_mailer.rb (1.2),
	  views/user_mailer/authorization_inform.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), views/user_mailer/signup_accepted.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), views/user_mailer/signup_confirm.rhtml (1.2),
	  views/user_mailer/signup_inform.rhtml (1.2, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  views/user_mailer/signup_rejected.rhtml (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * add link to gfdnavi in e-mails

2007-01-12 Friday 23:13  seiya

	* app/helpers/analysis_helper.rb (1.2),
	  app/views/analysis/index.rhtml (1.31), lib/actionview_addon.rb
	  (1.3), public/javascripts/analysis.js (1.31):

	  * mv "help_popup" method to analysis_helper.rb
	  * enable popup menu to move

2007-01-12 Friday 22:19  seiya

	* app/controllers/analysis_controller.rb (1.63):

	  * bugfix of 'cut' in analysis

2007-01-12 Friday 21:47  horinout

	* app/views/analysis/__help_analysis_tab.en.html (1.3):
	  * changed a bit.

2007-01-12 Friday 20:27  horinout

	* app/views/analysis/index.rhtml (1.30), lib/actionview_addon.rb
	  (1.2):
	  * Improved ActionView::Base#help_popup.  Reduced the number of the
	    arguments, and it is now not needed to specify the directory name.

2007-01-12 Friday 20:02  horinout

	* app/models/help.rb (1.3), app/views/analysis/index.rhtml (1.29),
	  lib/actionview_addon.rb (1.1):
	  * moved popup help window creator from app/models/help.rb to
	    lib/actionview_addon.rb, where it is now defined as
	    help_popup as a method added to ActionView::Base.

2007-01-12 Friday 19:40  horinout

	* public/stylesheets/analysis.css (1.15):
	  * Added tab_td{line-height: 20px;}

2007-01-12 Friday 18:44  horinout

	* app/views/analysis/__help_analysis_tab.en.html (1.2):
	  * Revised. (Further revision is desirble to separate font colors.)

2007-01-12 Friday 17:59  horinout

	* app/models/help.rb (1.2):
	  * Deleted test output to stdout.

2007-01-12 Friday 17:38  horinout

	* app/views/analysis/: __help_analysis_tab.en.html (1.1),
	  __help_draw_tab.en.html (1.1, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1), index.rhtml
	  (1.28):
	  * Prototypical help messaging (contents are yet to be written.)

2007-01-12 Friday 17:33  horinout

	* app/models/help.rb (1.1), public/images/helpmark16.png (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), public/images/helpmark18.png (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):
	  * Introduced a help system (prototype).

2007-01-12 Friday 12:52  seiya

	* lib/tasks/setup.rake (1.12):

	  * bugfix

2007-01-12 Friday 12:49  seiya

	* lib/tasks/setup.rake (1.11):

	  * change to ask if you want to change root's passowd in rake setup

2007-01-12 Friday 12:09  seiya

	* public/javascripts/slider.js (1.11, VERSION_0_1, BASE_0_1):

	  * fix buf of not changing opacity of dimension select slider in IE

2007-01-12 Friday 11:36  horinout

	* app/views/analysis/_dimension_option.rhtml (1.11):
	  * New popup to show grid-point values when one clicks dimension
	  names.

2007-01-12 Friday 11:34  horinout

	* public/javascripts/analysis.js (1.30),
	  app/views/analysis/_variables.rhtml (1.15):
	  * Moved functions mout and mover from _variables.rhtml to
	    analysis.js.  These functions are to highlight labels with yellow bg
	    color.  Its usage is found in _variable.rhtml

2007-01-12 Friday 09:41  koshiro

	* config/load_config.rb (1.2):
	  * add 'require "yaml"' to config/load_config.rb

2006-12-27 Wednesday 12:42  seiya

	* app/controllers/analysis_controller.rb (1.62):

	  * bugfix; remove GFDNAVI_DISPLAY

2006-12-20 Wednesday 17:18  horinout

	* ChangeLog (1.2, BASE_0_1):
	  * Updated by
	    % make cl

2006-12-15 Friday 23:15  chiemi

	* app/views/search/mapsearch.rhtml (1.16): groping results

2006-12-15 Friday 21:59  chiemi

	* db/migrate/001_initial_scheme.rb (1.18): set default value of
	  longitude and latitude nil

2006-12-15 Friday 21:56  chiemi

	* app/views/search/mapsearch.rhtml (1.15): groping results

2006-12-15 Friday 21:54  chiemi

	* app/models/query.rb (1.15): [no log message]

2006-12-13 Wednesday 15:00  chiemi

	* app/views/search/mapsearch.rhtml (1.14): update drawCircle

2006-12-13 Wednesday 14:31  seiya

	* config/: environment.rb (1.19, BASE_0_1), gfdnavi.yml.example
	  (1.6), load_config.rb (1.1):

	  * changes in setting configuration
	    * make 'env' item in gfdnavi.yml
	      * 'display' item become obsolete; use 'DISPLAY' in the 'env'
	      * set RAILS_ENV in the 'env'; if you don't specify, then
	      RAILS_ENV becomes 'development'

2006-12-13 Wednesday 13:37  chiemi

	* app/views/search/: mapsearch.rhtml (1.13),
	  _children_details_mapsearch.rhtml (1.3, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1): use
	  SpatialAttribute

2006-12-13 Wednesday 13:29  chiemi

	* app/models/query.rb (1.14): update function querystring

2006-12-13 Wednesday 12:59  chiemi

	* app/models/query.rb (1.13): update function querystring

2006-12-13 Wednesday 12:56  chiemi

	* app/views/search/mapsearch.rhtml (1.12): add drawCircle

2006-12-11 Monday 01:27  seiya

	* app/controllers/analysis_controller.rb (1.61), lib/tar.rb (1.1,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * add tar.rb
	  * use Tar.zcf instead Tar.cf

2006-12-10 Sunday 23:50  seiya

	* app/controllers/analysis_controller.rb (1.60),
	  app/views/analysis/_dimension_option.rhtml (1.10),
	  db/function_defaults.yml (1.7, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * chang some parts relating to execution of other processes
	    * show stderr outputs of other process when it aborts
	    * use Process.setpriority instead of "nice" command
	    * add lib/tar.rb and use Tar.c and Zlib::GzipWriter.open instead
	    of "tar" command
	  * bugfix in function_defaults.yml

2006-12-09 Saturday 00:20  seiya

	* app/models/analysis.rb (1.23),
	  app/views/analysis/_dimension_option.rhtml (1.9),
	  public/javascripts/slider.js (1.10):

	  * add argument of default value of dimension values to Slider class
	  (javascript)

2006-12-07 Thursday 00:14  chiemi

	* app/views/search/_children_details_mapsearch.rhtml (1.2): [no log
	  message]

2006-12-07 Thursday 00:04  chiemi

	* public/: images/circle.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  javascripts/mapsearch.js (1.5): [no log message]

2006-12-07 Thursday 00:00  chiemi

	* app/views/search/: _show_results_partial_groupbyfile.rhtml (1.1),
	  _show_results_partial.rhtml (1.3), mapsearch.rhtml (1.11): [no
	  log message]

2006-12-06 Wednesday 23:51  chiemi

	* app/: models/query.rb (1.12), controllers/search_controller.rb
	  (1.24): [no log message]

2006-12-05 Tuesday 22:11  horinout

	* app/: controllers/analysis_controller.rb (1.59),
	  models/analysis.rb (1.22),
	  views/analysis/_draw_tone_settings.rhtml (1.5):
	  * Added text field to specify number of tone levels.

2006-12-05 Tuesday 21:27  horinout

	* db/register_directory_tree.rb (1.29):
	  *  To use ENV['RAILS_ENV'] as @database (suggested by s nishizawa)

2006-12-05 Tuesday 21:19  horinout

	* app/: controllers/analysis_controller.rb (1.58),
	  models/analysis.rb (1.21),
	  views/analysis/_draw_tone_settings.rhtml (1.4):
	  * Added a checkbox for color bar (on by default)

2006-12-05 Tuesday 20:31  horinout

	* app/: controllers/analysis_controller.rb (1.57),
	  models/analysis.rb (1.20):
	  * analysis.rb: To support explit levels in "link to this diagram"
	  * analysis_controller.rb: Modified to keep @tone_levels as a String.

2006-12-05 Tuesday 19:38  horinout

	* app/: controllers/analysis_controller.rb (1.56),
	  models/analysis.rb (1.19),
	  views/analysis/_draw_tone_settings.rhtml (1.3):
	  * Added a text field to specify tone/contour levels explicity by
	    a comma-separated list.

2006-12-05 Tuesday 17:18  horinout

	* app/controllers/analysis_controller.rb (1.55):
	  * To add the variable in session[:variables_list] to have it appear
	    in the variable window (left-top).

2006-12-05 Tuesday 14:22  horinout

	* script/cleaner (1.1, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1):
	  * cleaner of temporary files (tentative; only for unix-like
	    environment; someone, please correct it.)

2006-11-28 Tuesday 21:35  morikawa

	* db/register_directory_tree.rb (1.28):
	  * A way to registration of "spatial_attributes" is modified.

	  * spatial_attributes の登録方法を修正.

2006-11-28 Tuesday 07:56  morikawa

	* db/register_directory_tree.rb (1.27):
	  * UNIX like wildcard "*" is changed to SQL like wildcard "%"

	  * UNIX 風のワイルドカード "*" を SQL 風のワイルドカード "%" へ
	    変更.

2006-11-25 Saturday 11:48  seiya

	* app/controllers/analysis_controller.rb (1.54),
	  app/controllers/function_controller.rb (1.4),
	  app/models/analysis.rb (1.18), app/models/function.rb (1.12),
	  app/models/function_argument.rb (1.1, BASE_0_1),
	  app/models/type.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/analysis/_analysis_function_settings.rhtml (1.2),
	  app/views/analysis/_analysis_settings.rhtml (1.7, VERSION_0_1,
	  BASE_0_1), app/views/analysis/save.rhtml (1.7),
	  app/views/function/create.rhtml (1.2), config/environment.rb
	  (1.18), db/function_defaults.yml (1.6),
	  db/migrate/001_initial_scheme.rb (1.17), lib/tasks/setup.rake
	  (1.10), public/javascripts/analysis.js (1.29),
	  public/javascripts/function.js (1.2, BASE_0_1),
	  test/fixtures/function_arguments.yml (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/types.yml (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/function_argument_test.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/type_test.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * enable to set arguments for function of analysis

2006-11-23 Thursday 23:14  horinout

	* app/views/description/: directory.rhtml (1.7, VERSION_0_1),
	  variable.rhtml (1.8) (utags: BASE_0_1):
	  * Not to show the "other attributes" menu if none.

2006-11-23 Thursday 23:00  horinout

	* app/views/analysis/_variables.rhtml (1.14):
	  * Sorry, just a small change.

2006-11-23 Thursday 22:58  horinout

	* app/views/analysis/_variables.rhtml (1.13): * #ffff50 --> yellow

2006-11-23 Thursday 22:55  horinout

	* app/: controllers/analysis_controller.rb (1.53),
	  views/analysis/_variables.rhtml (1.12):
	  * Enhanced the popup menu for variables:
	    Added a "Show description" link, which is a link to the
	    description page of the variable.
	  * Introduced a background color (#ffff50 -- yellow) to the variable
	    list, which is shown when the mouse come (by using
	    onmouseover/onmouseout).  This will help users recognize the popup
	  menu.

2006-11-23 Thursday 22:26  horinout

	* app/controllers/description_controller.rb (1.14),
	  app/views/description/directory.rhtml (1.6),
	  app/views/description/variable.rhtml (1.7),
	  public/stylesheets/description.css (1.6, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):
	  * css improved & debug

2006-11-23 Thursday 21:44  horinout

	* app/controllers/description_controller.rb (1.13):
	  * debug

2006-11-23 Thursday 21:33  horinout

	* app/controllers/description_controller.rb (1.12),
	  app/views/description/directory.rhtml (1.5),
	  app/views/description/variable.rhtml (1.6),
	  public/stylesheets/description.css (1.5):
	  * description/ is modified to show keyword attributes other than
	    "description" if one clicks links labeled "other attribtes".

2006-11-23 Thursday 17:49  horinout

	* app/: controllers/description_controller.rb (1.11),
	  models/directory.rb (1.22), views/search/_children_details.rhtml
	  (1.9), views/search/_children_details_tr.rhtml (1.10):
	  * changed to specify path instead of id to show description.

2006-11-22 Wednesday 23:26  morikawa

	* db/register_directory_tree.rb (1.26):
	  * Unnecessary old codes are deleted.

	  * 不要な古いコードを削除.

2006-11-22 Wednesday 23:04  morikawa

	* app/models/variable.rb (1.28), db/register_directory_tree.rb
	  (1.25):
	  * Separated files are registered as a virtual GPhys object.

	  * 分割ファイルをバーチャルにひとまとめにして登録する
	    機能を追加.

2006-11-22 Wednesday 19:00  horinout

	* app/models/query.rb (1.11):
	  * debug: to avoid error when no lat-lon specification is made.

2006-11-22 Wednesday 08:42  chiemi

	* app/views/search/mapsearch.rhtml (1.10): some updates

2006-11-22 Wednesday 08:41  chiemi

	* app/models/query.rb (1.10): add sort option to query

2006-11-22 Wednesday 01:21  morikawa

	* db/register_directory_tree.rb (1.24):
	  * A delimiter between keyword and language is changed from "." to
	  "-"
	  * Numerical values for keyword_attributes are converted to NArray
	    objects.  * "Permission denied" is avoided.
	  * Information (Hash) with "contains" keyword in yaml file is
	    registered as keyword_attributes.

	  * SIGEN ファイル内でキーの値で言語種別を選択する際の,
	    言語設定の文字列の直前に設定する文字を '.' から '-'
	    へ変更.
	  * keyword_attributes の値に数値を与える際, 値を NArray
	    クラスへ変更する.  *
	    読み込むファイルやディレクトリに読み込み許可が無い場合,
	  エラーにせずにスキップしてプログラムを続行させるよう修正.
	  * yaml ファイルのキーが "contains" である場合, contains 内の
	    情報 (ハッシュ) を keyword_attributes に登録する.

2006-11-21 Tuesday 23:59  chiemi

	* app/models/query.rb (1.9): bugfix

2006-11-21 Tuesday 23:15  chiemi

	* app/controllers/search_controller.rb (1.23): bugfix

2006-11-21 Tuesday 22:28  chiemi

	* db/create_derived_spatial_attributes.sql (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1): sql statement which creates view-table for spatial
	  query

2006-11-21 Tuesday 22:26  chiemi

	* public/javascripts/mapsearch.js (1.4): bugfix

2006-11-21 Tuesday 22:25  chiemi

	* app/models/derived_spatial_attribute.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1): define view-table to use spatial attributes of
	  directory

2006-11-21 Tuesday 22:23  chiemi

	* app/models/query.rb (1.8): update sql statement for spatial
	  region search

2006-11-21 Tuesday 22:18  chiemi

	* app/views/search/: _children_details_tr.rhtml (1.9),
	  mapsearch.rhtml (1.9), _show_results_global.rhtml (1.2),
	  _show_results_partial.rhtml (1.2),
	  _children_details_mapsearch.rhtml (1.1): bugfix

2006-11-21 Tuesday 15:24  chiemi

	* app/models/query.rb (1.7): bugfix

2006-11-21 Tuesday 14:58  chiemi

	* app/views/search/mapsearch.rhtml (1.8): update render partial

2006-11-21 Tuesday 14:53  chiemi

	* app/views/search/_children_details_tr.rhtml (1.8): insert id and
	  path

2006-11-21 Tuesday 14:36  chiemi

	* app/views/search/_show_results_partial.rhtml (1.1): Add
	  _show_results_partial.rhtml

2006-11-21 Tuesday 14:35  chiemi

	* app/views/search/_show_results_global.rhtml (1.1): Add
	  _show_results_global.rhtml

2006-11-21 Tuesday 14:34  chiemi

	* app/controllers/search_controller.rb (1.22): update function
	  mapsearch

2006-11-21 Tuesday 14:20  chiemi

	* app/models/query.rb (1.6): update query-string to search
	  directory keywords

2006-11-19 Sunday 18:30  seiya

	* app/views/user/: add_user.rhtml (1.1), signup_succeeded.rhtml
	  (1.1, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1):

	  * Two files were forgotten to commit

2006-11-13 Monday 16:46  horinout

	* public/stylesheets/analysis.css (1.14):
	  * Added style specification for .notice to show error messages in
	  RED.

2006-11-13 Monday 15:40  horinout

	* db/register_directory_tree.rb (1.23),
	  db/migrate/001_initial_scheme.rb (1.16),
	  test/fixtures/spatial_attributes.yml (1.3, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):
	  * Changed to include names of the lon/lat axes
	    * db/migrate/001_initial_scheme.rb: added columns lon_ax_name &
	    lat_ax_name
	  * db/register_directory_tree.rb: to register lon_ax_name &
	      lat_ax_name for variables if corresponding axes exist.
	    * test/fixtures/spatial_attributes.yml: updated accordingly

2006-11-11 Saturday 22:10  seiya

	* app/controllers/analysis_controller.rb (1.52),
	  app/models/analysis.rb (1.17), app/models/function.rb (1.11),
	  app/views/analysis/_analysis_function_settings.rhtml (1.1),
	  app/views/analysis/_analysis_settings.rhtml (1.6),
	  app/views/analysis/_draw_general_settings.rhtml (1.2),
	  app/views/analysis/_draw_settings.rhtml (1.13, VERSION_0_1,
	  BASE_0_1), app/views/analysis/_draw_vector_settings.rhtml (1.2,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), app/views/analysis/_variables_order.rhtml (1.1,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), db/function_defaults.yml (1.5),
	  public/javascripts/analysis.js (1.28):

	  * enable to draw and analysis multiple data at the same time
	  * add some functions to function_defaults.yml

2006-11-09 Thursday 23:54  seiya

	* app/controllers/application.rb (1.7),
	  app/controllers/user_controller.rb (1.9), config/environment.rb
	  (1.17), config/gfdnavi.yml.example (1.5):

	  * change to logout automatically if there is no access for a certain
	    moment
	  * duration is set as session_duration in gfdnavi.yml

2006-11-08 Wednesday 23:13  seiya

	* app/models/analysis.rb (1.16), lib/tasks/setup.rake (1.9):

	  * change not to use case in Analysis class
	  * bugfix

2006-11-07 Tuesday 14:46  horinout

	* config/environment.rb (1.16):
	  * Error messaging was made more informative for beginners.

2006-11-06 Monday 17:53  seiya

	* lib/tasks/setup.rake (1.8):

	  * bugfix

2006-11-03 Friday 18:11  seiya

	* config/gfdnavi.yml.example (1.4), lib/tasks/setup.rake (1.7):

	  * bugfix

2006-10-31 Tuesday 00:16  seiya

	* app/: controllers/analysis_controller.rb (1.51),
	  models/analysis.rb (1.15),
	  views/analysis/_draw_tone_settings.rhtml (1.2):

	  * enable to set miminum and maxmum of tone level
	  * bugfix

2006-10-26 Thursday 21:14  seiya

	* app/controllers/analysis_controller.rb (1.50),
	  app/controllers/user_controller.rb (1.8),
	  app/models/sign_up_user.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1), app/models/user.rb
	  (1.5), app/models/user_mailer.rb (1.1), app/models/variable.rb
	  (1.27), app/views/analysis/index.rhtml (1.27),
	  app/views/user/index.rhtml (1.6), app/views/user/login.rhtml
	  (1.3), app/views/user/signup.rhtml (1.5),
	  app/views/user_mailer/authorization_inform.rhtml (1.1),
	  app/views/user_mailer/signup_accepted.rhtml (1.1),
	  app/views/user_mailer/signup_confirm.rhtml (1.1),
	  app/views/user_mailer/signup_inform.rhtml (1.1),
	  app/views/user_mailer/signup_rejected.rhtml (1.1),
	  config/environment.rb (1.15), config/gfdnavi.yml.example (1.3),
	  db/migrate/001_initial_scheme.rb (1.15),
	  test/fixtures/group_members.yml (1.4, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/sign_up_users.yml (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/users.yml (1.3, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/variables.yml (1.8, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/user_mailer/authorization_inform (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/fixtures/user_mailer/signup_accepted (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/fixtures/user_mailer/signup_confirm (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/fixtures/user_mailer/signup_inform (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/fixtures/user_mailer/signup_rejected (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/functional/analysis_controller_test.rb (1.4),
	  test/unit/directory_test.rb (1.8, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/sign_up_user_test.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/user_mailer_test.rb (1.1), test/unit/user_test.rb (1.3,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * add signup form
	    * send mails to user and root when user signup and root accept or
	    reject the request.
	  * add tests
	  * fix some tests to work

2006-10-19 Thursday 12:32  seiya

	* app/controllers/user_controller.rb (1.7), app/models/user.rb
	  (1.4), app/views/user/change_password.rhtml (1.2),
	  app/views/user/index.rhtml (1.5), app/views/user/signup.rhtml
	  (1.4), config/gfdnavi.yml.example (1.2),
	  db/migrate/001_initial_scheme.rb (1.14):

	  * add colums to users table: full_name, super_user
	  * enable users to become super user

2006-10-18 Wednesday 21:33  seiya

	* public/: javascripts/analysis.js (1.27), javascripts/slider.js
	  (1.9), stylesheets/analysis.css (1.13):

	  * small bugfix for firefox
	  * remove unnecessary parts

2006-10-18 Wednesday 20:23  seiya

	* public/javascripts/analysis.js (1.26):

	  * bugfix for IE

2006-10-18 Wednesday 19:30  seiya

	* app/views/layouts/gfdnavi.rhtml (1.15), config/gfdnavi.yml
	  (1.14), config/gfdnavi.yml.example (1.1):

	  * again : [if IE 6] -> [if IE], the problem is not solved in IE7
	  * mv config/gfdnavi.yml to config/gfdnavi.yml.example

2006-10-18 Wednesday 17:32  horinout

	* app/views/layouts/gfdnavi.rhtml (1.14):
	  * minor change: [if IE] -> [if IE 6], hoping that the problem
	    is (or will be) solved in IE 7.

2006-10-18 Wednesday 16:12  horinout

	* app/views/layouts/gfdnavi.rhtml (1.13),
	  public/stylesheets/tree_for_ie.css (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):
	  * Added IE-specific setting (to get around bugs in IE)

2006-10-18 Wednesday 14:02  seiya

	* public/javascripts/directory_tree.js (1.7, VERSION_0_1,
	  BASE_0_1):

	  * bugfix for the path of image in search

2006-10-17 Tuesday 22:05  seiya

	* app/controllers/analysis_controller.rb (1.49):

	  * bugfix of pile_up

2006-10-17 Tuesday 15:17  seiya

	* app/controllers/: analysis_controller.rb (1.48),
	  description_controller.rb (1.10):

	  * bugfix

2006-10-17 Tuesday 14:48  seiya

	* app/controllers/analysis_controller.rb (1.47),
	  app/models/directory.rb (1.21), app/models/group.rb (1.4),
	  app/models/variable.rb (1.26), app/views/analysis/index.rhtml
	  (1.26), app/views/layouts/gfdnavi.rhtml (1.12),
	  lib/vizshot_gfdnavi.rb (1.6), public/javascripts/analysis.js
	  (1.25), public/javascripts/gfdnavi.js (1.1),
	  public/javascripts/slider.js (1.8):

	  * bugfix for apache
	  * some very minor changes

2006-10-10 Tuesday 20:35  horinout

	* app/models/: directory.rb (1.20), variable.rb (1.25):
	  * tentatively reverted from disabling non-user-specific methods such
	    as children (because of troubles in testing).

2006-10-10 Tuesday 16:00  seiya

	* lib/narray_yaml.rb (1.3, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * bugfix

2006-10-10 Tuesday 13:25  seiya

	* lib/narray_yaml.rb (1.2):

	  * change for ruby of version < 1.8.4

2006-10-10 Tuesday 12:15  horinout

	* app/controllers/analysis_controller.rb (1.46),
	  app/controllers/search_controller.rb (1.21),
	  app/models/directory.rb (1.19), app/models/variable.rb (1.24),
	  app/views/search/_children_details.rhtml (1.8),
	  app/views/search/_children_details_tr.rhtml (1.7),
	  app/views/search/_tree.rhtml (1.13), test/unit/directory_test.rb
	  (1.7), test/unit/variable_test.rb (1.5, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):
	  * models/directory.rb: created varaibles_for_children. disabled
	  children&variables
	  * modlels/variable.rb: disabled find * *.rhtml: to use
	  *_for_children
	  * SAFE = 3
	  * test/unit/directory_test.rb & test/unit/variable_test.rb : to
	    require narray_yaml, but they still don't work because of an error
	  regarding yaml_as.

2006-10-10 Tuesday 10:22  horinout

	* app/models/: directory.rb (1.18), function.rb (1.10), group.rb
	  (1.3), variable.rb (1.23):
	  * created a new class method Group.group_conditions to avoid
	    duplication to generate sql conditions like ( group_id IS NULL OR
	    group_id IN (...)).  Modified group.rb variable.rb function.rb
	  accordingly.

2006-10-09 Monday 11:27  seiya

	* app/controllers/analysis_controller.rb (1.45),
	  app/controllers/search_controller.rb (1.20), app/models/query.rb
	  (1.5), app/views/analysis/_diagram.rhtml (1.7),
	  app/views/layouts/gfdnavi.rhtml (1.11),
	  app/views/search/_tree.rhtml (1.12),
	  app/views/search/mapsearch.rhtml (1.7), config/environment.rb
	  (1.14), config/gfdnavi.yml (1.13),
	  public/javascripts/mapsearch.js (1.3),
	  public/stylesheets/tree.css (1.10, VERSION_0_1, BASE_0_1):

	  * bugfix

2006-10-08 Sunday 23:11  seiya

	* app/controllers/analysis_controller.rb (1.44),
	  app/controllers/application.rb (1.6),
	  app/controllers/description_controller.rb (1.9),
	  app/controllers/function_controller.rb (1.3),
	  app/controllers/search_controller.rb (1.19),
	  app/controllers/user_controller.rb (1.6), app/models/directory.rb
	  (1.17), app/models/function.rb (1.9),
	  app/models/keyword_attribute.rb (1.11, VERSION_0_1, BASE_0_1),
	  app/models/query.rb (1.4), app/models/user.rb (1.3),
	  app/models/variable.rb (1.22), app/views/analysis/_diagram.rhtml
	  (1.6), app/views/analysis/_variables.rhtml (1.11),
	  app/views/analysis/save.rhtml (1.6),
	  app/views/layouts/gfdnavi.rhtml (1.10),
	  app/views/search/mapsearch.rhtml (1.6), config/environment.rb
	  (1.13), config/gfdnavi.yml (1.12), lib/login_system.rb (1.3),
	  lib/narray_yaml.rb (1.1), public/javascripts/analysis.js (1.24),
	  public/stylesheets/search.css (1.5, MARGE_TO_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * add 'disable_user' and 'debug' to gfdnavi.yml
	  * change to create yaml file when diagram or data is saved
	  * add 'narray_yaml.rb' to enable to output yaml of NArray
	  * bugfix

2006-10-08 Sunday 16:39  seiya

	* app/controllers/analysis_controller.rb (1.43),
	  app/controllers/application.rb (1.5),
	  app/controllers/description_controller.rb (1.8),
	  app/controllers/function_controller.rb (1.2),
	  app/controllers/group_controller.rb (1.2),
	  app/controllers/search_controller.rb (1.18),
	  app/controllers/user_controller.rb (1.5), app/models/directory.rb
	  (1.16), app/views/layouts/gfdnavi.rhtml (1.9),
	  app/views/user/index.rhtml (1.4), lib/login_system.rb (1.2):

	  * bugfix

2006-10-08 Sunday 15:29  seiya

	* app/controllers/analysis_controller.rb (1.42),
	  app/models/analysis.rb (1.14), app/models/directory.rb (1.15),
	  app/models/function.rb (1.8), app/models/variable.rb (1.21),
	  app/views/analysis/_analysis_settings.rhtml (1.5),
	  app/views/analysis/_diagram.rhtml (1.5),
	  app/views/analysis/_draw_settings.rhtml (1.12),
	  config/environment.rb (1.12), db/function_defaults.yml (1.4),
	  public/javascripts/analysis.js (1.23):

	  * add 'link of diagram' to menu of diagram
	  * bugfix

2006-10-08 Sunday 12:06  seiya

	* app/models/analysis.rb (1.13), app/views/analysis/save.rhtml
	  (1.5), config/environment.rb (1.11), config/gfdnavi.yml (1.11),
	  public/index.html (1.3, MARGE_TO_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1):

	  * minor changes
	  * bugfix

2006-10-08 Sunday 00:04  seiya

	* app/controllers/analysis_controller.rb (1.41),
	  config/environment.rb (1.10), config/gfdnavi.yml (1.10):

	  * add "display" to config/gfdnavi.yml

2006-10-07 Saturday 23:10  seiya

	* app/controllers/analysis_controller.rb (1.40),
	  app/views/analysis/index.rhtml (1.25),
	  public/javascripts/analysis.js (1.22):

	  * bugfix

2006-10-07 Saturday 17:28  seiya

	* app/: models/keyword_attribute.rb (1.10), models/query.rb (1.3),
	  views/search/mapsearch.rhtml (1.5):

	  * enable to search by numeric value in mapsearch

2006-10-07 Saturday 15:16  seiya

	* app/views/search/_tree.rhtml (1.11):

	  * bugfix

2006-10-07 Saturday 15:01  seiya

	* app/controllers/analysis_controller.rb (1.39),
	  app/models/directory.rb (1.14), app/models/function.rb (1.7),
	  app/models/keyword_attribute.rb (1.9), app/models/variable.rb
	  (1.20), db/migrate/001_initial_scheme.rb (1.13),
	  public/stylesheets/tree.css (1.9):

	  * bugfix for SQLite3
	  * change column type of keyword_attribute.num_value to binary (BLOB)
	  * set $SAFE=4 in script of user's function

2006-10-06 Friday 17:16  seiya

	* app/controllers/analysis_controller.rb (1.38),
	  app/controllers/user_controller.rb (1.4), config/environment.rb
	  (1.9), config/gfdnavi.yml (1.9):

	  * change not to use mktemp
	  * change to create group whose name is the same as user name when
	  user is created

2006-10-06 Friday 14:57  horinout

	* app/models/variable.rb (1.19), test/unit/variable_test.rb (1.4):
	  * Variable#find_for_user: enhanced to cover the full functionarity
	    of find.
	  * Usage: find_for_user(user, *args) --> find(*args) with addtional
	      screening whether the data is accessible for the user.

2006-10-06 Friday 14:14  horinout

	* app/models/directory.rb (1.13):
	  * Directory#find_for_user: || -> OR; && -> AND

2006-10-06 Friday 13:18  seiya

	* app/controllers/analysis_controller.rb (1.37),
	  app/controllers/search_controller.rb (1.17),
	  app/models/directory.rb (1.12),
	  app/views/analysis/_draw_settings.rhtml (1.11),
	  app/views/analysis/index.rhtml (1.24),
	  public/javascripts/analysis.js (1.21):

	  * change to cache result of Directory#children_for_user
	  * bugfix

2006-10-05 Thursday 18:10  horinout

	* app/controllers/analysis_controller.rb (1.36):
	  * debug

2006-10-05 Thursday 17:39  horinout

	* app/controllers/analysis_controller.rb (1.35):
	  * changed paths for the user  directories from user&login:/... to
	    /user/login/...

2006-10-05 Thursday 17:21  horinout

	* app/models/directory.rb (1.11):
	  * debug in Directory#children_for_user for when no group was found
	  for the user.

2006-10-05 Thursday 17:05  horinout

	* app/models/directory.rb (1.10), test/fixtures/directories.yml
	  (1.7, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2,
	  VERSION_0_1, BASE_0_1), test/fixtures/group_members.yml (1.3),
	  test/fixtures/variables.yml (1.7), test/unit/directory_test.rb
	  (1.6):
	  * Improved Directory#children_for_user in app/models/directory.rb,
	    which now calls sql only once for each call.
	    * ALERT(spec change): path notation in variables is changed; It
	      now assumes '/'-separated paths for users too.
	      Thus, l.240 of analysis_controller.rb has to be changed,
	      WHICH IS YET TO BE DONE (I'll do that soon).
	    * ALERT(spec change): Directory#children_for_user now inspect
	      all directories (that is, data directories are also inspected).
	  * Added test for Directory#children_for_user in
	    test/unit/directory.rb along with appropriate change in
	  test/fixuture/*.yml

2006-10-02 Monday 20:48  horinout

	* app/views/search/index.rhtml (1.2, VERSION_0_1, BASE_0_1):
	  * added link to mapsearch
	  * changed "directory tree sample" to "Select from directory tree:"

2006-10-01 Sunday 22:01  seiya

	* app/controllers/analysis_controller.rb (1.34),
	  app/views/analysis/_variables.rhtml (1.10),
	  app/views/analysis/index.rhtml (1.23),
	  public/javascripts/analysis.js (1.20),
	  public/javascripts/directory_tree.js (1.6),
	  public/stylesheets/analysis.css (1.12),
	  public/stylesheets/tree.css (1.8):

	  * bugfix

2006-10-01 Sunday 00:45  seiya

	* app/views/analysis/index.rhtml (1.22),
	  public/javascripts/analysis.js (1.19),
	  public/javascripts/progress.js (1.2),
	  public/stylesheets/analysis.css (1.11):

	  * bugfix for IE

2006-09-30 Saturday 14:59  seiya

	* app/controllers/analysis_controller.rb (1.33),
	  app/controllers/user_controller.rb (1.3), app/models/analysis.rb
	  (1.12), app/models/directory.rb (1.9),
	  app/views/analysis/_analysis_settings.rhtml (1.4),
	  app/views/analysis/_dimension_option.rhtml (1.8),
	  app/views/analysis/_draw_general_settings.rhtml (1.1),
	  app/views/analysis/_draw_line_settings.rhtml (1.1,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), app/views/analysis/_draw_settings.rhtml (1.10),
	  app/views/analysis/_draw_tone_settings.rhtml (1.1),
	  app/views/analysis/_draw_vector_settings.rhtml (1.1),
	  app/views/analysis/_variables.rhtml (1.9),
	  app/views/analysis/index.rhtml (1.21),
	  app/views/layouts/gfdnavi.rhtml (1.8), app/views/user/login.rhtml
	  (1.2), app/views/user/signup.rhtml (1.3),
	  public/javascripts/analysis.js (1.18), public/javascripts/tab.js
	  (1.1, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1), public/stylesheets/analysis.css
	  (1.10), public/stylesheets/gfdnavi.css (1.9):

	  * chage layout (not rails's layout) of analysis
	    * using tab
	  * bugfix

2006-09-25 Monday 18:12  horinout

	* db/register_directory_tree.rb (1.22):
	  * to require numru/gphys instead of numru/ggraph

2006-09-25 Monday 17:47  horinout

	* db/register_directory_tree.rb (1.21):
	  * do not limit to NetCDF files.

2006-09-25 Monday 17:32  horinout

	* db/register_directory_tree.rb (1.20):
	  * supress unnecessary NetCDF file open.

2006-09-22 Friday 23:13  seiya

	* app/views/layouts/gfdnavi.rhtml (1.7):

	  * set charset utf-8

2006-09-22 Friday 22:48  seiya

	* public/: javascripts/analysis.js (1.17), stylesheets/gfdnavi.css
	  (1.8):

	  * bugfix for IE (some bugs are still remained)

2006-09-22 Friday 21:36  horinout

	* db/register_directory_tree.rb (1.19):
	  * commited nishizawa's suggestion on the ":" treatment

2006-09-22 Friday 21:24  horinout

	* app/views/analysis/_variables.rhtml (1.8):
	  * improved to show numeric attributes correctly in the pop-up menu.

2006-09-22 Friday 21:16  morikawa

	* db/register_directory_tree.rb (1.18):
	  * To use Variable::DIR_VAR_DELIMITER  as the delimieter btwn file &
	    var names.

2006-09-22 Friday 21:02  horinout

	* app/controllers/analysis_controller.rb (1.32):
	  * To use Variable::DIR_VAR_DELIMITER  as the delimieter btwn file &
	  var names.

2006-09-22 Friday 20:57  morikawa

	* db/register_directory_tree.rb (1.17):
	  * Charset of keyword is checked too.

	  * キーワードの文字コードも検査.

2006-09-22 Friday 20:48  morikawa

	* db/register_directory_tree.rb (1.16):
	  * Meta data in yml, yml.en, yml.ja files are registered.
	  * Meta data in SIGEN, SIGEN.en, SIGEN.ja files are registered.
	  * Language setting is done according to suffix of keywords.

	  * yml, yml.en, yml.ja からメタデータを登録.
	  * SIGEN, SIGEN.en, SIGEN.ja からメタデータ登録.  *
	  メタデータのキーワードのサフィックスに応じて言語登録を行う.

2006-09-22 Friday 20:15  horinout

	* app/models/variable.rb (1.18), db/register_directory_tree.rb
	  (1.15):
	  * revered to separate file and var names with @
	    * morikawa & nishizawa-san: i did it just to show the
	      implementation of what I suggested. I don't mind to revert again.
	  sorry....

2006-09-22 Friday 19:35  morikawa

	* db/migrate/001_initial_scheme.rb (1.12),
	  test/fixtures/keyword_attributes.yml (1.7, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1): *
	  "lang" column is added to "keyword_attribute" table.

	  * keyword_attribute テーブルに lang 列を追加.

2006-09-22 Friday 19:20  seiya

	* app/: controllers/analysis_controller.rb (1.31),
	  models/variable.rb (1.17):

	  * bugfix

2006-09-22 Friday 18:55  seiya

	* app/controllers/analysis_controller.rb (1.30),
	  app/controllers/description_controller.rb (1.7),
	  app/controllers/search_controller.rb (1.16),
	  app/models/variable.rb (1.16), app/models/variable_relation.rb
	  (1.1, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2,
	  VERSION_0_1, BASE_0_1), app/views/description/directory.rhtml
	  (1.4), app/views/description/variable.rhtml (1.5),
	  db/development_data.sql (1.14), db/migrate/001_initial_scheme.rb
	  (1.11), lib/tasks/setup.rake (1.6),
	  test/fixtures/variable_relations.yml (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/variables.yml (1.6),
	  test/unit/variable_relation_test.rb (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * add new table of variable_relations
	    * add "References" and "Cited by" to description/variable.rhtml

2006-09-22 Friday 17:47  morikawa

	* db/register_directory_tree.rb (1.14):
	  * Register of variables is corrected.

	  * variables 登録のバグを修正.

2006-09-22 Friday 16:33  seiya

	* app/controllers/analysis_controller.rb (1.29),
	  app/models/variable.rb (1.15), db/migrate/001_initial_scheme.rb
	  (1.10), lib/tasks/setup.rake (1.5):

	  * change separater of path in variables table from @ to /
	    * add "gphysizable" column to variables table
	  * bugfix in lib/tasks/setup.rake

2006-09-22 Friday 15:26  morikawa

	* db/register_directory_tree.rb (1.13):
	  * Files with ".yml" suffix are registered as meta data.

	  * 拡張子が .yml のファイルをメタデータとしてデータベースに登録.

2006-09-22 Friday 00:47  chiemi

	* app/models/query.rb (1.2): bug fix

2006-09-21 Thursday 21:22  morikawa

	* db/register_directory_tree.rb (1.12):
	  * Code for register of KeywordAttribute is united.

	  * KeywordAttribute 登録用のコードを一箇所に集約.

2006-09-21 Thursday 20:21  morikawa

	* db/register_directory_tree.rb (1.11):
	  * Delimiter between directory and variable is changed from '@' to
	  '/'.

	  * ディレクトリと変数の区切り文字を '@' から '/' へ変更.

2006-09-21 Thursday 14:44  horinout

	* app/views/layouts/gfdnavi.rhtml (1.6),
	  public/stylesheets/gfdnavi.css (1.7):
	  * changed logo image file used in the top banner

2006-09-21 Thursday 14:34  horinout

	* public/images/: gfdnavi_logo_mini.png (1.1),
	  gfdnavi_logo_xsmall.png (1.1) (utags: BASE_0_1, BASE_0_2,
	  BASE_1_0, BASE_NODE, BASE_OLD_TRUNK_0, MARGE_TO_TRUNK_0,
	  VERSION_0_1, VERSION_0_2, VERSION_1_0, marge_to_release_1_0): [no
	  log message]

2006-09-21 Thursday 14:09  chiemi

	* public/javascripts/mapsearch.js (1.2): bug fix

2006-09-21 Thursday 13:45  horinout

	* public/index.html (1.2):
	  * top page updated

2006-09-21 Thursday 13:45  horinout

	* public/images/: gfdnavi_home_logo.png (1.1), gfdnavi_logo_big.png
	  (1.1), gfdnavi_logo_med.png (1.1), gfdnavi_logo_nobg_big.png
	  (1.1), gfdnavi_logo_nobg_med.png (1.2),
	  gfdnavi_logo_nobg_small.png (1.2), gfdnavi_logo_small.png (1.1)
	  (utags: BASE_0_1, BASE_0_2, BASE_1_0, BASE_NODE,
	  BASE_OLD_TRUNK_0, MARGE_TO_TRUNK_0, VERSION_0_1, VERSION_0_2,
	  VERSION_1_0, marge_to_release_1_0):
	  * logo images updated / new resolution images added /
	  * logo with "home" added (to link to the gfdnavi home page)

2006-09-21 Thursday 13:33  chiemi

	* app/views/search/mapsearch.rhtml (1.4): bug fix

2006-09-21 Thursday 11:56  chiemi

	* app/views/search/_show_results.rhtml (1.1): add
	  _show_results.rhtml

2006-09-21 Thursday 11:52  chiemi

	* public/stylesheets/search.css (1.4): add stylesheet for mapsearch

2006-09-21 Thursday 11:38  chiemi

	* app/views/search/mapsearch.rhtml (1.3): set charset for google
	  map api

2006-09-21 Thursday 11:35  chiemi

	* public/javascripts/mapsearch.js (1.1): Add mapsearch.js

2006-09-20 Wednesday 21:58  horinout

	* public/index.html (1.1):
	    * added default top page.

2006-09-20 Wednesday 21:56  horinout

	* public/images/: gfdnavi_logo_nobg_med.png (1.1),
	  gfdnavi_logo_nobg_small.png (1.1):
	    * Added logos.

2006-09-20 Wednesday 18:45  seiya

	* app/models/variable.rb (1.14), app/views/layouts/gfdnavi.rhtml
	  (1.5), lib/tasks/setup.rake (1.4), public/stylesheets/gfdnavi.css
	  (1.6):

	  * add a rake task
	    * setup:tables
	  * add logo image to banner
	  * add 'require "numru/netcdf"' to model/variable.rb

2006-09-20 Wednesday 17:43  morikawa

	* db/register_directory_tree.rb (1.10):
	  * Information of username, password, host is loaded from
	  database.yml.

	  * username, password, host の情報を database.yml から読み込む.

2006-09-20 Wednesday 14:29  seiya

	* app/controllers/search_controller.rb (1.15),
	  app/views/search/mapsearch.rhtml (1.2), config/environment.rb
	  (1.8), config/gfdnavi.yml (1.8):

	  * change google map key to be set in gfdnavi.yml

2006-09-20 Wednesday 13:34  seiya

	* app/: controllers/analysis_controller.rb (1.28),
	  views/analysis/_draw_settings.rhtml (1.9),
	  views/analysis/_variables.rhtml (1.7):

	  * bugfixes

2006-09-20 Wednesday 13:26  chiemi

	* app/views/search/mapsearch.rhtml (1.1): query interface using
	  google map

2006-09-20 Wednesday 13:24  chiemi

	* app/controllers/search_controller.rb (1.14): add function for
	  map-search

2006-09-20 Wednesday 13:22  chiemi

	* app/models/query.rb (1.1): model for map search

2006-09-19 Tuesday 19:41  seiya

	* app/controllers/analysis_controller.rb (1.27),
	  app/views/analysis/save.rhtml (1.4),
	  app/views/function/list.rhtml (1.2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), db/function_defaults.yml (1.3), lib/vizshot_gfdnavi.rb
	  (1.5), lib/tasks/setup.rake (1.3), public/javascripts/analysis.js
	  (1.16), public/javascripts/directory_tree.js (1.5):

	  * bugfixes

2006-09-15 Friday 16:57  chiemi

	* db/register_variables.rb (1.3, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1): include
	  environment.rb

2006-09-15 Friday 16:56  chiemi

	* db/NetCDFparser.rb (1.2, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1): modify
	  path-expression and add a function convert lon/lat value by units

2006-09-13 Wednesday 20:13  seiya

	* app/controllers/search_controller.rb (1.13),
	  app/models/directory.rb (1.8), app/models/variable.rb (1.13),
	  app/views/search/_children.rhtml (1.10),
	  app/views/search/_tree.rhtml (1.10), db/function_defaults.yml
	  (1.2), lib/tasks/setup.rake (1.2):

	  * add setup:tree to rake task
	    * this executes db/register_directory_tree.rb after clearing
	    database tables
	  * change structure of function_defaults.yml
	  * bugfixes

2006-09-12 Tuesday 19:24  morikawa

	* config/environment.rb (1.7), config/gfdnavi.yml (1.7),
	  db/register_directory_tree.rb (1.9):
	  * A list of ignored directories are read from config/gfdnavi.yml
	    via config/environment.rb .

	  * config/environment.rb を介して config/gfdnavi.yml から登録しない
	    ディレクトリを読み込むよう修正.

2006-09-12 Tuesday 18:53  morikawa

	* db/register_directory_tree.rb (1.8):
	  * Progress messages are simplified.
	  * Bugs about acquisition of information of time and position
	    are corrected.

	  * 進捗状況出力メッセージの簡素化 * 時間情報,
	  緯度経度情報取得機構のバグを修正.

2006-09-12 Tuesday 17:21  morikawa

	* db/register_directory_tree.rb (1.7):
	  * Coordinates are not registered.

	  * 座標変数は登録しないよう改善.

2006-09-12 Tuesday 11:44  seiya

	* app/: controllers/search_controller.rb (1.12),
	  models/directory.rb (1.7), models/variable.rb (1.12),
	  views/search/_children_details_tr.rhtml (1.6):

	  * add Variable#gphys? method
	  * bugfixes

2006-09-12 Tuesday 00:26  morikawa

	* db/register_directory_tree.rb (1.6):
	  * Information about adapters, databases, a root directory is
	    inquired from config/environment.rb, config/gfdnavi.yml,
	    config/database.yml

	  * アダプタやデータベース, ルートディレクトリの情報を
	    config/environment.rb, config/gfdnavi.yml, config/database.yml
	    から取得.

2006-09-11 Monday 21:57  morikawa

	* db/register_directory_tree.rb (1.5):
	  * Constructure of classes is changed.
	  * starttime, endtime is inserted to variables table.
	  * Information about spaces is inserted to spatial_tables.

	  * クラスの構成を変更.
	  * variables テーブルに starttime, endtime を追加するよう修正.
	  * spatial_tables テーブルにデータを挿入するよう修正.

2006-09-10 Sunday 14:24  seiya

	* app/controllers/analysis_controller.rb (1.26),
	  app/controllers/application.rb (1.4),
	  app/controllers/function_controller.rb (1.1),
	  app/controllers/search_controller.rb (1.11),
	  app/helpers/function_helper.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/helpers/search_helper.rb (1.2, VERSION_0_1, BASE_0_1),
	  app/models/directory.rb (1.6), app/models/function.rb (1.6),
	  app/models/group.rb (1.2), app/models/variable.rb (1.11),
	  app/views/analysis/_analysis_settings.rhtml (1.3),
	  app/views/analysis/_diagram.rhtml (1.4),
	  app/views/analysis/_dimension_option.rhtml (1.7),
	  app/views/analysis/_draw_settings.rhtml (1.8),
	  app/views/analysis/index.rhtml (1.20),
	  app/views/analysis/save.rhtml (1.3),
	  app/views/function/create.rhtml (1.1),
	  app/views/function/list.rhtml (1.1),
	  app/views/layouts/gfdnavi.rhtml (1.4),
	  app/views/search/_children.rhtml (1.9),
	  app/views/user/index.rhtml (1.3), db/development_data.sql (1.13),
	  public/javascripts/analysis.js (1.15),
	  public/javascripts/function.js (1.1),
	  public/javascripts/slider.js (1.7),
	  public/stylesheets/analysis.css (1.9),
	  test/functional/function_controller_test.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * add function create page
	  * add links to function create page
	  * add links to group create page

2006-09-08 Friday 22:53  seiya

	* app/controllers/user_controller.rb (1.2), app/models/user.rb
	  (1.2), app/views/analysis/_draw_settings.rhtml (1.7),
	  app/views/analysis/index.rhtml (1.19),
	  app/views/user/change_password.rhtml (1.1),
	  app/views/user/index.rhtml (1.2), app/views/user/signup.rhtml
	  (1.2), test/fixtures/function_outputs.yml (1.2, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/functions.yml (1.2, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/fixtures/group_members.yml (1.2), test/fixtures/groups.yml
	  (1.2, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2,
	  VERSION_0_1, BASE_0_1), test/fixtures/users.yml (1.2),
	  test/fixtures/variables.yml (1.5),
	  test/functional/analysis_controller_test.rb (1.3),
	  test/functional/user_controller_test.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/unit/user_test.rb (1.2):

	  * add change_password
	  * change distribution in analysis page
	  * add fixture data for test
	  * some minor fix

2006-09-08 Friday 19:57  seiya

	* app/controllers/analysis_controller.rb (1.25),
	  app/controllers/application.rb (1.3),
	  app/controllers/group_controller.rb (1.1),
	  app/controllers/user_controller.rb (1.1),
	  app/helpers/analysis_helper.rb (1.1),
	  app/helpers/application_helper.rb (1.1),
	  app/helpers/group_helper.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/helpers/user_helper.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/models/directory.rb (1.5), app/models/function.rb (1.5),
	  app/models/function_output.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/models/group.rb (1.1), app/models/group_member.rb (1.1,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), app/models/user.rb (1.1), app/models/variable.rb
	  (1.10), app/views/analysis/save.rhtml (1.2),
	  app/views/group/add_member.rhtml (1.1),
	  app/views/group/create.rhtml (1.1),
	  app/views/group/delete_member.rhtml (1.1),
	  app/views/group/list.rhtml (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/layouts/analysis.rhtml (1.6),
	  app/views/layouts/description.rhtml (1.2),
	  app/views/layouts/gfdnavi.rhtml (1.3),
	  app/views/layouts/search.rhtml (1.4), app/views/user/index.rhtml
	  (1.1), app/views/user/login.rhtml (1.1),
	  app/views/user/logout.rhtml (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/user/signup.rhtml (1.1), db/development_data.sql
	  (1.12), db/function_defaults.yml (1.1),
	  db/migrate/001_initial_scheme.rb (1.9), lib/login_system.rb
	  (1.1), lib/tasks/setup.rake (1.1), test/test_helper.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/fixtures/function_outputs.yml (1.1),
	  test/fixtures/functions.yml (1.1),
	  test/fixtures/group_members.yml (1.1), test/fixtures/groups.yml
	  (1.1), test/fixtures/users.yml (1.1),
	  test/functional/group_controller_test.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/functional/user_controller_test.rb (1.1),
	  test/unit/function_output_test.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/function_test.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/group_member_test.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/group_test.rb (1.1, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  test/unit/user_test.rb (1.1):

	  * add new database tables
	    * users, groups, group_members, functions, function_outputs
	  * remove layout files without gfdnavi.rhtml
	  * add rake task to insert row for functions of anaylsis to functions
	  and function_outputs tables
	  * add login functions

2006-09-08 Friday 19:55  horinout

	* public/stylesheets/gfdnavi.css (1.5):
	   * a bit-more space-saving version

2006-09-08 Friday 18:47  horinout

	* public/stylesheets/gfdnavi.css (1.4):
	  * h? (?=2-4): to use smaller top/bottom margin / a bit smaller but
	  bold fonts
	  * p : to use smaller top/bottom margin

2006-09-08 Friday 16:31  horinout

	* app/controllers/analysis_controller.rb (1.24):
	   * to use VizShot#add

2006-09-08 Friday 16:30  horinout

	* lib/vizshot_gfdnavi.rb (1.4):
	    * removed deep_clone and get_plots to be covered by VizShot#add

2006-09-08 Friday 15:08  horinout

	* lib/vizshot_gfdnavi.rb (1.3):
	    * Changed to call variable_to_file_and_var in plot

2006-09-08 Friday 11:21  seiya

	* app/views/description/directory.rhtml (1.3),
	  app/views/description/variable.rhtml (1.4),
	  app/views/layouts/gfdnavi.rhtml (1.2),
	  app/views/search/_children.rhtml (1.8),
	  public/stylesheets/description.css (1.4),
	  public/stylesheets/tree.css (1.7):

	  * re-apply description.css to description views
	  * change common layout to apply each style to each view

2006-09-07 Thursday 23:47  seiya

	* app/: controllers/description_controller.rb (1.6),
	  views/description/directory.rhtml (1.2),
	  views/search/_children_details.rhtml (1.7),
	  views/search/_children_details_tr.rhtml (1.5):

	  * add link to description in directory tree details
	  * minor bugfix

2006-09-07 Thursday 23:05  seiya

	* app/controllers/analysis_controller.rb (1.23),
	  app/controllers/application.rb (1.2),
	  app/controllers/search_controller.rb (1.10),
	  app/helpers/search_helper.rb (1.1), app/models/analysis.rb
	  (1.11), app/models/directory.rb (1.4), app/models/function.rb
	  (1.4), app/models/variable.rb (1.9),
	  app/views/analysis/_analysis_settings.rhtml (1.2),
	  app/views/analysis/_diagram.rhtml (1.3),
	  app/views/analysis/_variables.rhtml (1.6),
	  app/views/analysis/index.rhtml (1.18),
	  app/views/analysis/save.rhtml (1.1),
	  app/views/layouts/gfdnavi.rhtml (1.1),
	  app/views/search/_children.rhtml (1.7),
	  app/views/search/_children_details.rhtml (1.6),
	  app/views/search/_tree.rhtml (1.9), db/development_data.sql
	  (1.11), lib/vizshot_gfdnavi.rb (1.2), public/images/tree/none.gif
	  (1.1, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1), public/javascripts/analysis.js
	  (1.14), public/javascripts/slider.js (1.6),
	  public/stylesheets/analysis.css (1.8),
	  public/stylesheets/gfdnavi.css (1.3),
	  public/stylesheets/search.css (1.3), public/stylesheets/tree.css
	  (1.6):

	  * changes in directory tree
	    * add lines representing relations of directories
	  * changes in analysis
	    * change behavior by drag & drop of diagrams to draw piled
	    diagrams
	  * add common layout
	  * some other minor changes

2006-09-06 Wednesday 18:18  horinout

	* app/controllers/description_controller.rb (1.5),
	  app/views/description/directory.rhtml (1.1),
	  public/stylesheets/description.css (1.3):
	    * Added /descrption/directory view&controller (along with css
	    modification)

2006-09-06 Wednesday 17:30  horinout

	* config/environment.rb (1.6):
	    * added a new constant GFDNAVI_DATA_URL_PREFIX, which is:
	      * nil if the data tree is not under the document root
	      RAILS_ROOT/public
	  * is the path (String) of the top directory of the data tree.
	        For example, if the data: field defined in gfdnavi.yml
	        is "RAILS_ROOT/public/data", it is '/data/'

	    * 新しい定数 GFDNAVI_DATA_URL_PREFIX を追加。これは nil または Sring
	      になる：
	      * データツリーがドキュメントルート (RAILS_ROOT/public) の下に
	        ない場合は、直接アクセス不能なので nil
	      * データツリーがドキュメントルート (RAILS_ROOT/public) の下に
	        ある場合は、ツリーのトップディレクトリーの、サーバー URL
	        におけ るパスを表す。例えば、gfdnavi.yml の data: 欄が
	        RAILS_ROOT/public/data である場合は、'/data/'
	        となる。これにより、 Directory#path の前に
	        GFDNAVI_DATA_URL_PREFIX を加えることで、 直接アクセスのリンクの href
	  欄に入れる文字列を作れる。

2006-09-06 Wednesday 17:17  horinout

	* app/controllers/description_controller.rb (1.4):
	    * very minor change

2006-09-06 Wednesday 17:00  horinout

	* db/development_data.sql (1.10), db/migrate/001_initial_scheme.rb
	  (1.8), test/fixtures/directories.yml (1.6),
	  test/unit/directory_test.rb (1.5):
	    * Added a new column "plain_file" (boolean) to the directories
	      table. Controllers can use it to prepare direct download links.

	    * directoriesテーブルに plain_file という BOOL 型(true/false)
	      の列を追加。コントローラーは、これを使って直接ダウンロードの
	      リンク作成の準備ができる。
	      * 開発用メモ
	        * 実装には、GFDNAVI_DATA_PATH と URL の関係を記述する

	  新しい定数かメソッドを用意する必要あり。(db/environment.rbで)
	        * 特定の変数だけを抜き出して（and/or切り出して） DL
	          させる仕組みも
	  別途必要。ただし、サーバー側でのファイル作成を要するので、サイズ

	  制限せざるを得ない。大きいデータは既存ファイルをそのままDLすべし。

2006-09-06 Wednesday 15:36  horinout

	* app/: controllers/description_controller.rb (1.3),
	  views/description/variable.rhtml (1.3):
	    * supported information_url in the /description/variable
	    view&controller

2006-09-06 Wednesday 15:36  horinout

	* db/development_data.sql (1.9):
	    * Added a few keyword attributes, including one with
	    name='information_url'

2006-09-06 Wednesday 15:32  horinout

	* app/models/keyword_attribute.rb (1.8):
	    * introduced a new standard name 'information_url', which is
	      currently searched by {:conditions => "name = 'information_url'
	      || ( (name = 'reference' || name = 'references' ) && value LIKE
	      'http://%' ) || name = 'url'", :order => 'name'} The precedence
	      order here is information_url > reference% > url, which is luckily
	  in the alphabetical order.

2006-09-06 Wednesday 13:57  horinout

	* app/controllers/description_controller.rb (1.2),
	  app/views/description/variable.rhtml (1.2),
	  public/stylesheets/description.css (1.2):
	    * added a link to add the variable for /analysis

2006-09-05 Tuesday 21:18  horinout

	* app/controllers/description_controller.rb (1.1),
	  app/helpers/description_helper.rb (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/views/description/variable.rhtml (1.1),
	  app/views/layouts/description.rhtml (1.1),
	  public/stylesheets/description.css (1.1),
	  test/functional/description_controller_test.rb (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):
	    * added a new menu description/
	      * description/variable/id shows the description of a variable

2006-09-05 Tuesday 17:23  horinout

	* app/controllers/analysis_controller.rb (1.22):
	    * l.338  :itr -> 'itr' (GGraph options must be string)
	    * l.417  not to use the -p option in mktemp

	    * l.338  :itr -> 'itr' (GGraphオプションは文字列でないとならない.
	      Symbolだとたまたまオプション１個の場合エラーにならないけど、
	      増やしたとたんに <=> に関するエラーが出る。)
	    * l.417  mktemp で -p オプションを使わないよう変更

2006-09-04 Monday 17:02  horinout

	* app/models/keyword_attribute.rb (1.7):
	    * debug in treatment of Numric
	    * improved error messages

2006-09-03 Sunday 11:49  seiya

	* Makefile (1.3, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/controllers/analysis_controller.rb (1.21),
	  app/controllers/search_controller.rb (1.9),
	  app/views/search/_children.rhtml (1.6),
	  app/views/search/_children_details_tr.rhtml (1.4),
	  app/views/search/_tree.rhtml (1.8), lib/tasks/clean.rake (1.1),
	  public/javascripts/directory_tree.js (1.4),
	  public/stylesheets/tree.css (1.5),
	  test/functional/analysis_controller_test.rb (1.2):

	  * change behavior of directory tree when symbol '-' is clicked
	  * add 'clean', 'clean:session_files', 'clean:diagram_dirs', and
	    'clean:work_dirs' tasks to rake
	  * remove entry of 'clean_diagrams' from Makefile

2006-09-03 Sunday 01:32  morikawa

	* db/register_directory_tree.rb (1.4):
	  * Close handling of GPhys variables are added.  * '/' is added to
	  beginning of "path".

	  * GPhys 変数のクローズ処理を行う.
	  * path の行頭に '/' を付加.

2006-09-03 Sunday 00:52  morikawa

	* db/register_directory_tree.rb (1.3):
	  * Register for GPhys variables is being added (now not working).

	  * GPhys 変数登録機構を追加中 (まだ動きません).

2006-09-02 Saturday 17:13  seiya

	* Makefile (1.2), app/controllers/analysis_controller.rb (1.20),
	  app/controllers/search_controller.rb (1.8),
	  app/models/analysis.rb (1.10), app/views/analysis/_diagram.rhtml
	  (1.2), app/views/analysis/_dimension_option.rhtml (1.6),
	  app/views/analysis/index.rhtml (1.17),
	  app/views/search/_children.rhtml (1.5),
	  app/views/search/_children_details.rhtml (1.5),
	  app/views/search/_children_details_tr.rhtml (1.3),
	  app/views/search/_tree.rhtml (1.7),
	  public/javascripts/analysis.js (1.13),
	  public/javascripts/application.js (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  public/javascripts/directory_tree.js (1.3),
	  public/javascripts/slider.js (1.5), public/stylesheets/tree.css
	  (1.4), test/functional/search_controller_test.rb (1.2,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1):

	  * changes in directory tree
	    * add path to top of the details box
	    * change to remember status of the tree
	      * to enable this, cookie must be enabled
	    * change default height of the box
	    * add check box and button to add to the list variables
	    * change variables which is added to the list to only the children
	    of selected directory
	  * changes in analysis
	    * change to remember opened option
	      * to enable this, cookie must be enabled
	  * add 'clean_diagrams' to Makefile to clean directories for
	  temporary diagrams

	  * ディレクトリツリーの変更
	    * パスを詳細表示ボックスのトップに加えた
	    * ツリーの状態を記憶するようにした
	      * この機能を有効にするためには、クッキーを有効にする必要あり
	    * ボックスのデフォルトの高さを変更
	    * 変数リストに加えるためのチェックボックスとボタンを追加
	    * リストに加えられる変数を、選択されたディレクトリの子供だけに変更
	  * 解析における変更
	    * 開けたオプションを記憶するようにした
	      * この機能を有効にするためには、クッキーを有効にする必要あり
	  * Makefile に 一時的な図のためのディレクトリを消す 'clean_diagrams'
	  を追加

2006-09-01 Friday 19:15  seiya

	* app/: controllers/analysis_controller.rb (1.19),
	  models/analysis.rb (1.9), views/analysis/_draw_settings.rhtml
	  (1.6):

	  * enable to change projection to draw

2006-09-01 Friday 17:40  seiya

	* app/: controllers/analysis_controller.rb (1.18),
	  views/analysis/_dimension_option.rhtml (1.5):

	  * bugfix

2006-09-01 Friday 17:26  seiya

	* app/controllers/analysis_controller.rb (1.17),
	  app/controllers/search_controller.rb (1.7),
	  app/models/analysis.rb (1.8), app/models/keyword_attribute.rb
	  (1.6), app/views/analysis/index.rhtml (1.16),
	  test/fixtures/directories.yml (1.5),
	  test/fixtures/keyword_attributes.yml (1.6),
	  test/fixtures/spatial_attributes.yml (1.2),
	  test/fixtures/variables.yml (1.4),
	  test/functional/analysis_controller_test.rb (1.1),
	  test/functional/search_controller_test.rb (1.1),
	  test/unit/directory_test.rb (1.4), test/unit/variable_test.rb
	  (1.3):

	  * add functional test for analysis and search
	  * change script to including vizshot.rb

2006-09-01 Friday 12:21  seiya

	* app/controllers/search_controller.rb (1.6),
	  app/views/search/_tree.rhtml (1.6),
	  public/javascripts/directory_tree.js (1.2),
	  public/stylesheets/tree.css (1.3):

	  * enable to change size of directory tree box

2006-08-31 Thursday 18:07  seiya

	* app/models/variable.rb (1.8), db/development_data.sql (1.8):

	  * add new sample data (UV.jan.nc)

2006-08-31 Thursday 18:01  seiya

	* app/controllers/analysis_controller.rb (1.16),
	  app/models/analysis.rb (1.7), app/models/variable.rb (1.7),
	  app/views/analysis/_diagram.rhtml (1.1),
	  app/views/analysis/index.rhtml (1.15), config/environment.rb
	  (1.5), config/gfdnavi.yml (1.6), lib/vizshot_gfdnavi.rb (1.1):

	  * change to use NumRu::VizShot which is part of GPhys
	  * change path of work space for analysis

2006-08-31 Thursday 10:14  seiya

	* app/controllers/analysis_controller.rb (1.15),
	  app/controllers/application.rb (1.1),
	  app/controllers/search_controller.rb (1.5),
	  app/models/variable.rb (1.6), app/views/analysis/_save_form.rhtml
	  (1.1), app/views/analysis/_variables.rhtml (1.5),
	  app/views/analysis/index.rhtml (1.14),
	  app/views/search/_children_details.rhtml (1.4),
	  app/views/search/_children_details_tr.rhtml (1.2),
	  config/environment.rb (1.4), config/gfdnavi.yml (1.5),
	  public/images/tree/folder.png (1.1, VERSION_0_1, BASE_0_1),
	  public/images/tree/image2.png (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  public/javascripts/analysis.js (1.12),
	  public/stylesheets/analysis.css (1.7):

	  * enable to save data and diagrams

2006-08-30 Wednesday 13:03  seiya

	* app/views/search/_children_details_tr.rhtml (1.1):

	  * separated view template for details of directory tree

2006-08-30 Wednesday 13:01  seiya

	* app/: controllers/analysis_controller.rb (1.14),
	  controllers/search_controller.rb (1.4),
	  views/analysis/_variables.rhtml (1.4), views/analysis/index.rhtml
	  (1.13), views/search/_children_details.rhtml (1.3):

	  * add link, which adds variables to list for analysis, to directory
	  tree details

	  *

	  解析用のリストに変数を追加するリンクを、ディレクトリツリーの詳細表示に追加

2006-08-30 Wednesday 11:16  seiya

	* app/controllers/analysis_controller.rb (1.13),
	  app/views/search/_children_details.rhtml (1.2),
	  config/environment.rb (1.3):

	  * changes to using KeywordAttribute#find_by_stdname

2006-08-29 Tuesday 23:49  horinout

	* app/models/keyword_attribute.rb (1.5):
	  * minor change in the precedence of titles.

2006-08-29 Tuesday 23:30  horinout

	* app/models/keyword_attribute.rb (1.4),
	  test/unit/keyword_attribute_test.rb (1.4, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):
	  * Introduced the standard name space in KeywordAttribute.
	    Added class methods find_by_stdname and find_by_stdname_or_name.
	  * KeywordAttribute に標準名前空間を導入. クラスメソッド
	    find_by_stdname と find_by_stdname_or_name を追加.

2006-08-29 Tuesday 21:45  morikawa

	* db/register_directory_tree.rb (1.2):
	  * A name of top directory is renamed to "/".
	  * Directories are searched recursively.

	  * トップディレクトリの名前を "/" に変更.  *
	  ディレクトリを再帰的に探査するよう修正.

2006-08-29 Tuesday 21:39  horinout

	* db/development_data.sql (1.7), db/migrate/001_initial_scheme.rb
	  (1.7), test/fixtures/keyword_attributes.yml (1.5),
	  test/unit/keyword_attribute_test.rb (1.3):
	  * removed data_type from the keyword_attributes table
	  * keyword_attributes テーブルから data_type 列を削除

2006-08-29 Tuesday 20:40  morikawa

	* db/: mksigen_collector.rb (1.4), register_directory_tree.rb
	  (1.1), mksigen_collector.rb (1.5):
	  * mksigen_collector.rb is renamed to register_directory_tree.rb

	  * mksigen_collector.rb を register_directory_tree.rb へリネーム.

2006-08-29 Tuesday 18:45  horinout

	* app/models/keyword_attribute.rb (1.3):
	  * minor revision: unsupported type check in value=

2006-08-29 Tuesday 18:38  horinout

	* app/models/keyword_attribute.rb (1.2), db/development_data.sql
	  (1.6), db/migrate/001_initial_scheme.rb (1.6),
	  test/fixtures/keyword_attributes.yml (1.4),
	  test/unit/keyword_attribute_test.rb (1.2):
	  * Support numerical attribute values in NArray by introducing the
	    num_value column
	  * NArray による数値の属性値をサポート -- コラム num_value の導入

2006-08-29 Tuesday 15:52  seiya

	* app/controllers/analysis_controller.rb (1.12),
	  app/models/function.rb (1.3), app/models/variable.rb (1.5),
	  app/views/analysis/_variables.rhtml (1.3),
	  app/views/analysis/index.rhtml (1.12), config/environment.rb
	  (1.2), config/gfdnavi.yml (1.4), public/javascripts/analysis.js
	  (1.11), public/stylesheets/analysis.css (1.6):

	  * enable to download data which was created by user's opration
	  (analysis)

2006-08-28 Monday 14:43  seiya

	* app/controllers/analysis_controller.rb (1.11),
	  app/models/function.rb (1.2), app/views/analysis/index.rhtml
	  (1.11), app/views/search/_children.rhtml (1.4),
	  public/javascripts/analysis.js (1.10),
	  public/stylesheets/analysis.css (1.5):

	  * enable to download ruby script and netcdf file to draw the same
	  diagram
	  * some minor changes

2006-08-26 Saturday 13:41  chiemi

	* db/register_variables.rb (1.2): some minor changes

2006-08-26 Saturday 13:37  chiemi

	* db/: NetCDFparser.rb (1.1), register_variables.rb (1.1): Script
	  that registers information of variables from NetCDF file(s) to
	  database.

2006-08-25 Friday 19:18  seiya

	* public/: javascripts/slider.js (1.4), stylesheets/analysis.css
	  (1.4):

	  * bugfix for Mozilla

2006-08-25 Friday 18:58  seiya

	* app/controllers/analysis_controller.rb (1.10),
	  app/views/analysis/_dimension_option.rhtml (1.4),
	  app/views/analysis/index.rhtml (1.10),
	  app/views/search/_children_details.rhtml (1.1),
	  public/stylesheets/analysis.css (1.3):

	  * add view file for details of directory tree
	  * some minor changes

2006-08-25 Friday 12:31  seiya

	* app/controllers/analysis_controller.rb (1.9),
	  app/models/directory.rb (1.3), app/views/analysis/index.rhtml
	  (1.9), app/views/search/_children.rhtml (1.3),
	  db/development_data.sql (1.5), public/javascripts/analysis.js
	  (1.9), public/stylesheets/tree.css (1.2):

	  * enable to transpose x and y axes for tone and vector
	  * add 'long_name' and 'description' to details window of directory
	  tree
	  * correction in development_data.sql

2006-08-24 Thursday 18:41  seiya

	* public/stylesheets/tree.css (1.1):

	  * add style sheet for showing directory tree

2006-08-24 Thursday 18:40  seiya

	* app/controllers/search_controller.rb (1.3),
	  app/views/layouts/search.rhtml (1.3),
	  app/views/search/_children.rhtml (1.2),
	  app/views/search/_tree.rhtml (1.5), public/images/tree/binary.png
	  (1.1, marge_to_release_1_0, VERSION_1_0, BASE_1_0,
	  MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2,
	  BASE_0_2, VERSION_0_1, BASE_0_1), public/stylesheets/search.css
	  (1.2), test/fixtures/directories.yml (1.4),
	  test/fixtures/keyword_attributes.yml (1.3),
	  test/fixtures/variables.yml (1.3), test/unit/directory_test.rb
	  (1.3):

	  * changes in tests due to adding "root directory" to directories
	  table
	  * remove variables from directory tree, and create new window for
	  children of directory.

2006-08-24 Thursday 17:03  seiya

	* app/controllers/analysis_controller.rb (1.8),
	  app/models/analysis.rb (1.6),
	  app/views/analysis/_dimension_option.rhtml (1.3),
	  app/views/analysis/index.rhtml (1.8), public/images/x.gif (1.1,
	  VERSION_0_1, BASE_0_1), public/javascripts/analysis.js (1.8),
	  public/stylesheets/analysis.css (1.2):

	  * add "tone and contour" option
	  * replace "delete" or "hide" strings to 'x' image
	  * bugfix

2006-08-24 Thursday 13:57  seiya

	* app/controllers/analysis_controller.rb (1.7),
	  app/controllers/search_controller.rb (1.2),
	  app/views/analysis/_draw_settings.rhtml (1.5),
	  app/views/search/_children.rhtml (1.1),
	  app/views/search/_tree.rhtml (1.4), app/views/search/children.rjs
	  (1.5), config/gfdnavi.yml (1.3), db/development_data.sql (1.4),
	  public/javascripts/analysis.js (1.7),
	  public/javascripts/slider.js (1.3):

	  * add 'data' to path of data_public in gfdnavi.yml and remove 'data'
	  from path of directories and variables tables
	  * some minor changes in Slider
	  * some minor changes in Directory Tree

	  * gfdnavi.yml 内の data_public に 'data' を追加し、direcotories,
	  variables テーブルの path コラムから 'data' を削除
	  * Slider の些細な変更 * ディレクトリツリーの些細な変更

2006-08-24 Thursday 11:59  horinout

	* db/development_data.sql (1.3):
	  * root directory included / DELETE statements added *
	  ルートディレクトリーを含むように / DELETE文を追加

2006-08-24 Thursday 11:56  horinout

	* app/views/search/: _tree.rhtml (1.3), children.rjs (1.4):
	  * minor change for DB to include the root directory
	  * DBにルートディレクトリーを含む場合のための対応

2006-08-23 Wednesday 15:59  seiya

	* app/views/analysis/: _variables.rhtml (1.2), index.rhtml (1.7):

	  * bugfix for IE

2006-08-22 Tuesday 14:46  seiya

	* db/create_tables.sql (1.6):

	  remove create_tables.sql

2006-08-21 Monday 14:33  seiya

	* app/controllers/analysis_controller.rb (1.6),
	  app/models/analysis.rb (1.5), app/models/function.rb (1.1),
	  app/models/variable.rb (1.4),
	  app/views/analysis/_analysis_settings.rhtml (1.1),
	  app/views/analysis/_variables.rhtml (1.1),
	  app/views/analysis/index.rhtml (1.6),
	  app/views/search/children.rjs (1.3), config/gfdnavi.yml (1.2),
	  public/images/tree/folder_close.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1):

	  * enable to execute analysis
	  * change directory tree not to show symbol '+' and '-' when the
	  directory does not have child.

	  * 解析の実行ができるようにした *

	  ディレクトリが子を持たない場合、ディレクトリツリー表示で'+','-'記号をつけないように変更

2006-08-20 Sunday 17:29  morikawa

	* db/mksigen_collector.rb (1.3):
	  * A bug that can not receive relative path is corrected.

	  * 相対パスを受け付けないバグを修正.

2006-08-19 Saturday 19:24  morikawa

	* db/mksigen_collector.rb (1.2):
	  * Unnecessarily comments are removed.

	  * 不要なコメントを削除.

2006-08-19 Saturday 19:22  morikawa

	* db/mksigen_collector.rb (1.1):
	  * Script that registers information on SIGEN files that accompanies
	    directories and the directories below a certain top directory in
	    database.

	  * あるトップディレクトリ以下のディレクトリ構造とそのディレクトリに
	    付随する SIGEN ファイルの情報をデータベースに登録するスクリプト.

2006-08-18 Friday 17:00  seiya

	* app/views/search/_tree.rhtml (1.2), app/views/search/children.rjs
	  (1.2), public/javascripts/analysis.js (1.6):

	  * bugfix in showing directory tree

2006-08-18 Friday 16:43  seiya

	* db/: development_data.sql (1.2), migrate/001_initial_scheme.rb
	  (1.5), migrate/002_rename_columns.rb (1.2),
	  migrate/003_add_a_new_column.rb (1.3):

	  * remove ruby scripts for migration except 001_initial_scheme.rb

	  * 001_initial_scheme.rb 以外の migration用スクリプトの削除

2006-08-18 Friday 15:57  seiya

	* public/javascripts/progress.js (1.1):

	  * add javascript file for progress text

	  * 処理中を表すテキスト用の javascript ファイル

2006-08-18 Friday 15:45  seiya

	* app/controllers/analysis_controller.rb (1.5),
	  app/models/analysis.rb (1.4), app/models/variable.rb (1.3),
	  app/views/analysis/_draw_settings.rhtml (1.4),
	  app/views/analysis/index.rhtml (1.5),
	  app/views/layouts/analysis.rhtml (1.5), config/environment.rb
	  (1.1), config/gfdnavi.yml (1.1), db/development_data.sql (1.1),
	  db/migrate/003_add_a_new_column.rb (1.2),
	  public/javascripts/analysis.js (1.5),
	  public/stylesheets/gfdnavi.css (1.2):

	  * add configuration file
	    * config/gfdnavi.yml
	    * config/environment.rb
	  * add sample data
	    * public/data/reanalysis/ncep/T.jan.nc
	    * db/development_data.sql

	  * 設定ファイルの追加
	    * config/gfdnavi.yml
	    * config/environment.rb * サンプルファイルの追加
	    * public/data/reanalysis/ncep/T.jan.nc
	    * db/development_data.sql

2006-08-15 Tuesday 19:34  morikawa

	* ChangeLog (1.1), Makefile (1.1):
	  * ChangeLog and Makefile for generation of ChangeLog are added.

	  * ChangeLog およびその生成用 Makefile を追加.

2006-08-14 Monday 14:26  horinout

	* db/migrate/003_add_a_new_column.rb (1.1),
	  test/fixtures/directories.yml (1.3):
	  * added a new columns to the directories table:
	    * in database schema (db/migrate/003_add_a_new_column.rb)
	    * in test data generator (test/fixtures/directories.yml)

2006-08-12 Saturday 11:52  seiya

	* app/controllers/analysis_controller.rb (1.4),
	  app/models/analysis.rb (1.3),
	  app/views/analysis/_draw_settings.rhtml (1.3),
	  app/views/analysis/index.rhtml (1.4),
	  app/views/layouts/analysis.rhtml (1.4),
	  app/views/layouts/search.rhtml (1.2), public/.htaccess (1.2),
	  public/javascripts/analysis.js (1.4),
	  public/stylesheets/gfdnavi.css (1.1):

	  * support drawing line and vector
	  * add gfdnavi.css

	  * 折れ線およびベクトル図をサポート
	  * gfdnavi.css を追加

2006-08-11 Friday 21:51  seiya

	* app/controllers/analysis_controller.rb (1.3),
	  app/models/analysis.rb (1.2),
	  app/views/analysis/_dimension_option.rhtml (1.2),
	  app/views/analysis/_draw_settings.rhtml (1.2),
	  app/views/analysis/index.rhtml (1.3),
	  app/views/layouts/analysis.rhtml (1.3),
	  public/javascripts/analysis.js (1.3):

	  * enable to draw diagrams
	    * add options for drawing
	      * size of diagrams
	      * keep or not previous diagrams
	    * drag & drop support for changing position of the diagrams

	  * 図の描画ができるようになった
	    * 描画用のオプションの追加
	      * 図のサイズ
	      * 前の図を残すかどうか
	    * 図の位置変更ためのドラッグ&ドロップのサポート

2006-08-11 Friday 17:41  horinout

	* test/fixtures/keyword_attributes.yml (1.2):
	  * corrected a typo:
	    ncep_jan_discription:descrition -->
	                                                                   ncep_jan_discription:description ^

2006-08-10 Thursday 21:53  seiya

	* app/controllers/analysis_controller.rb (1.2),
	  app/models/analysis.rb (1.1),
	  app/views/analysis/_dimension_option.rhtml (1.1),
	  app/views/analysis/_draw_settings.rhtml (1.1),
	  app/views/analysis/axes_setting.rhtml (1.2),
	  app/views/analysis/index.rhtml (1.2),
	  app/views/analysis/select_variable.rjs (1.2),
	  app/views/layouts/analysis.rhtml (1.2),
	  public/javascripts/analysis.js (1.2),
	  public/javascripts/slider.js (1.2),
	  public/stylesheets/analysis.css (1.1):

	  * add 'Option Menu' to analysis page
	  * change some file names

	  * analysis ページに 'Option Menu' を追加 *
	  いくつかのファイル名の変更

2006-08-09 Wednesday 15:52  seiya

	* public/javascripts/analysis.js (1.1):

	  * add javascript file for analysis

2006-08-09 Wednesday 15:50  seiya

	* app/views/layouts/analysis.rhtml (1.1):

	  * add layout file for analysis

	  * analysis 用のレイアウトファイルの追加

2006-08-09 Wednesday 15:40  seiya

	* app/controllers/analysis_controller.rb (1.1),
	  app/views/analysis/axes_setting.rhtml (1.1),
	  app/views/analysis/index.rhtml (1.1),
	  app/views/analysis/select_variable.rjs (1.1),
	  public/images/slider_f.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  public/javascripts/slider.js (1.1):

	  * add function to show slider
	    * add javascript file
	    * addh the function to "Analysis" controller

	  * スライドバー表示機能を追加
	    * javascript ファイルを追加
	    * "Analysis" コントローラーにスライドバー表示機能を追加

2006-08-09 Wednesday 15:21  seiya

	* public/images/tree/: last.gif (1.1), minus.gif (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2),
	  minus_simple.gif (1.1, marge_to_release_1_0, VERSION_1_0,
	  BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0, BASE_NODE,
	  VERSION_0_2, BASE_0_2), plus.gif (1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2), plus_simple.gif (1.1,
	  marge_to_release_1_0, VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2), t.gif (1.1),
	  tate.gif (1.1) (utags: BASE_0_1, VERSION_0_1):

	  * add image files for showing directory tree

	  * ディレクトリツリー表示用の画像ファイルの追加

2006-08-09 Wednesday 15:15  seiya

	* app/views/layouts/search.rhtml (1.1),
	  public/javascripts/directory_tree.js (1.1),
	  public/stylesheets/search.css (1.1):

	  * add function to who directory tree
	    * add javascript and style sheet files
	    * add the function to "Search" controller

	  * ディレクトリツリー表示機能を追加
	    * javascript および スタイルシートファイルの追加
	    * "Search" コントローラに ツリー表示を追加

2006-08-09 Wednesday 15:04  seiya

	* app/: controllers/search_controller.rb (1.1),
	  views/search/_tree.rhtml (1.1), views/search/children.rjs (1.1),
	  views/search/index.rhtml (1.1):

	  * add function to who directory tree
	    * add javascript and style sheet files
	    * add the function to "Search" controller

	  * ディレクトリツリー表示機能を追加
	    * javascript および スタイルシートファイルの追加
	    * "Search" コントローラに ツリー表示を追加

2006-08-09 Wednesday 13:48  seiya

	* app/models/directory.rb (1.2), app/models/keyword_attribute.rb
	  (1.1), app/models/other.rb (1.2), app/models/space_region.rb
	  (1.2), app/models/spatial_attribute.rb (1.1, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  app/models/variable.rb (1.2), db/create_tables.sql (1.5),
	  db/migrate/002_rename_columns.rb (1.1),
	  test/fixtures/directories.yml (1.2),
	  test/fixtures/keyword_attributes.yml (1.1),
	  test/fixtures/others.yml (1.2), test/fixtures/space_regions.yml
	  (1.2), test/fixtures/spatial_attributes.yml (1.1),
	  test/fixtures/variables.yml (1.2), test/unit/directory_test.rb
	  (1.2), test/unit/keyword_attribute_test.rb (1.1),
	  test/unit/other_test.rb (1.2), test/unit/space_region_test.rb
	  (1.2), test/unit/spatial_attribute_test.rb (1.1,
	  BASE_OLD_TRUNK_0, BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1,
	  BASE_0_1), test/unit/variable_test.rb (1.2):

	  * データベーステーブルの変更
	    * テーブル名の変更
	    * カラム名の変更
	    * カラムの追加
	    * カラムに "not null" オプションの追加 * モデルの変更
	    * データベーステーブルの変更に伴う変更
	    * 検証の追加 * テストの変更
	    * データベーステーブルの変更に伴う変更
	    * テーブルに追加されたコラムのテスト
	    * "has_many()"メソッドの ":dependent"
	    オプションによる振る舞いのテスト

	  * changes in database tables
	    * changes in name of tables
	    * changes in name of columns
	    * add new columns
	    * add "not null" option to columns
	  * changes in Model
	    * changes by the changes in database tables
	    * add validations
	  * changes in unit tests
	    * changes by the changes in database tables
	    * tests for the columns which were added to the table
	    * test for the actions by ":dependent" option of "has_many()"
	    method

2006-08-06 Sunday 14:17  seiya

	* app/models/directory.rb (1.1), app/models/other.rb (1.1),
	  app/models/space_region.rb (1.1), app/models/variable.rb (1.1),
	  test/fixtures/directories.yml (1.1), test/fixtures/others.yml
	  (1.1), test/fixtures/space_regions.yml (1.1),
	  test/fixtures/variables.yml (1.1), test/unit/directory_test.rb
	  (1.1), test/unit/other_test.rb (1.1),
	  test/unit/space_region_test.rb (1.1), test/unit/variable_test.rb
	  (1.1):

	  * Model クラスの作成
	    * Directory, Variable, Other, SpaceRegion
	    * 各モデル用のユニットテストおよびテスト用フィクスチャの作成

	  * created Model classes
	    * Directory, Variable, Other, SpaceRegion
	    * created unit tests and fixtures for the tests of these models

2006-08-06 Sunday 14:02  seiya

	* db/: create_tables.sql (1.4), migrate/001_initial_scheme.rb
	  (1.4):

	  * others テーブルの type 列名 を data_type に変更

	  * change column name of 'type' in table 'others' to 'data_type'

2006-08-06 Sunday 13:07  seiya

	* db/: create_tables.sql (1.3), migrate/001_initial_scheme.rb
	  (1.3):

	  * テーブル名を directories に戻しました

	  * change back the table name to directories

2006-08-06 Sunday 12:53  seiya

	* db/: create_tables.sql (1.2), migrate/001_initial_scheme.rb
	  (1.2):

	  * テーブル名が directories だと、モデルクラスの名前が Ruby の
	  組み込みクラスとコンフリクトするので virtual_directories に変更

	  * change table name from directories to virtual_directories because
	  the Model class name confrictes with the built-in Ruby classe.

2006-08-06 Sunday 11:57  seiya

	* db/: create_tables.sql (1.1), migrate/001_initial_scheme.rb
	  (1.1):

	  * データベーステーブルを作成するためのファイルの追加
	    * db/create_tables.sql: 渡辺さん作成のDDL(データ定義言語)
	      * db/migrate/001_inital_scheme.rb: Rake の Migration
	      機能を使用してテーブルを作成するためのスクリプト

	      * add files to create database tables
	        * db/create_tables.sql: DDL written by Dr.Watababe.
	          * db/migrate/001_inital_scheme.rb: ruby script to create the
	          tables by Migration of Rake

2006-08-06 Sunday 09:27  seiya

	* config/database.yml.example (1.1), public/.htaccess (1.1):
	  Initial revision

2006-08-06 Sunday 09:27  seiya

	* config/database.yml.example (1.1.1.1, marge_to_release_1_0,
	  VERSION_1_0, BASE_1_0, MARGE_TO_TRUNK_0, BASE_OLD_TRUNK_0,
	  BASE_NODE, VERSION_0_2, BASE_0_2, VERSION_0_1, BASE_0_1),
	  public/.htaccess (1.1.1.1) (utags: start): start gfdnavi

